GNU bug report logs - #49867
[PATCH 00/29] gnu: Add ocaml-cohttp-lwt-unix.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: pukkamustard <pukkamustard@HIDDEN>; Keywords: patch; dated Wed, 4 Aug 2021 07:12:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Sep 2021 08:57:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 04:57:48 2021
Received: from localhost ([127.0.0.1]:58614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNtOu-0001ap-Hd
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 04:57:48 -0400
Received: from mout01.posteo.de ([185.67.36.65]:38639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mNtOr-0001aZ-Ke
 for 49867 <at> debbugs.gnu.org; Wed, 08 Sep 2021 04:57:47 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4E970240027
 for <49867 <at> debbugs.gnu.org>; Wed,  8 Sep 2021 10:57:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1631091459; bh=z/w8OXk/gdxa5gUS3bqngmpBVfGtw0n/SeGNdQiXfxA=;
 h=From:To:Cc:Subject:Date:From;
 b=hyGe/dvGyUP6LgG11Clymdqm3Opb4RGU04v3/5bVKccTitInDBSRMVn8Giedlwm8+
 8dSNSVGg0tsXwdXANA1dQCC9Gxp7Or34KEUfzkvhgisauhSbIZnCxV1BkJUPUWtDO5
 hgedYOwHzipQLzkPjIFMp6wqBOqujwZBjcHbU7T9RgcsLS4t3f8pc3BAAGtfgFSt2k
 obz8YKDnXrBVL/oQ4mklLrBVIPy855f73xsiB9uvCqvBDH3YZQa5kcLmmo/+ez3Cwl
 iIma+JZjM0HAUNy8GOjDNk5aohNKBIdvYtO/FGswijntRUHrT0q56oC9HpLEzGGHwn
 fxXQTpO+LaJ9Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4H4GHQ22GWz9rxR;
 Wed,  8 Sep 2021 10:57:37 +0200 (CEST)
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-13-pukkamustard@HIDDEN>
 <20210821160154.407b4928@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: [bug#49867] [PATCH v2 13/31] gnu: Add ocaml-mirage-crypto.
Date: Wed, 08 Sep 2021 08:53:02 +0000
In-reply-to: <20210821160154.407b4928@HIDDEN>
Message-ID: <86czpjxx4v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain


Julien Lepiller <julien@HIDDEN> writes:

> Trying to build ocaml-mirage-crypto, I get errors during the tests:
>
> ocamlopt tests/test_symmetric_runner.exe (exit 2)
>
> Error: Files
> /gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
> and
> /gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
> make inconsistent assumptions over implementation Eqaf
>
> this seems to indicate Eqaf did not build properly? Does it build for
> you?

This seems to be fixed with the patch for using dune release mode
(https://issues.guix.gnu.org/49868#17).

> also, minor but there's a typo in the synopsis "provding" ->
> "providing".

Attached fixed patch for ocaml-mirage. I can resubmit the entire series
if that is easier.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0013-gnu-Add-ocaml-mirage-crypto.patch

From e5430a30e9f228963537cb5fe0dc8184252c2f1e Mon Sep 17 00:00:00 2001
From: pukkamustard <pukkamustard@HIDDEN>
Date: Tue, 3 Aug 2021 12:03:23 +0200
Subject: [PATCH 13/31] gnu: Add ocaml-mirage-crypto.

* gnu/packages/ocaml.scm (ocaml-mirage-crypto): New variable.
---
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 75f6a24a84..8d00d6cb01 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7635,6 +7635,37 @@ QuickCheck-style property-based testing and the magical bug-finding powers of
 constant-time to avoid timing-attack with crypto stuff.")
     (license license:expat)))
 
+(define-public ocaml-mirage-crypto
+  (package
+    (name "ocaml-mirage-crypto")
+    (version "0.10.3")
+    (home-page "https://github.com/mirage/mirage-crypto")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0j7x07c8xy8bmqp9ad1cib6j69dy7acjg9m1d7pn0dnmbkrl8fiz"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "mirage-crypto"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-bigarray-compat" ,ocaml-bigarray-compat)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml library providing cryptographic primitives")
+    (description "This OCaml library provides symmetric ciphers (DES, AES,
+RC4, ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).  This library can be
+used from MirageOS unikernels.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.33.0


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 23 Aug 2021 16:53:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 23 12:53:02 2021
Received: from localhost ([127.0.0.1]:42534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIDBy-0003I0-AR
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 12:53:02 -0400
Received: from mout02.posteo.de ([185.67.36.66]:50183)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mIDBs-0003Hi-31
 for 49867 <at> debbugs.gnu.org; Mon, 23 Aug 2021 12:52:57 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 772C3240105
 for <49867 <at> debbugs.gnu.org>; Mon, 23 Aug 2021 18:52:45 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1629737565; bh=j7cQKnKmP3JMnOPNGb5w0Vlvc0sC6Z5o56/JZ+6nnBs=;
 h=From:To:Cc:Subject:Date:From;
 b=lPZHsomkS53eXyIJlkTd8Q4U3hngbL3nlF1a74YUHGgUsmg3u/qwMtGZk2j1SZNdL
 NU4F8k6DaGwDZW3vwDtq7XK2Vh61CaIomWUICKxxQwNl9qwS4e0Rmp8XCBT/ho9RRI
 nNQ3rXjBILCHIbfpGp7seFKkELQYGbG41XFCmnO8GmE+sVJXSJ+4jgCHvnzh5AiQzi
 jTSTAl/fvjfnwxMFfQdWOrpiCyYmCpNXI3aJnhGBcXzB2rlnlc+mkWTIxu6lE18Eq5
 h4dTohYDUtOEXQtIqxSNaF325JNT0wOMnHt15AdWabimnGDKAWkk0EEpXptgubX8Sr
 UqpXlOR0Yf17g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gtdb0033vz6tmG;
 Mon, 23 Aug 2021 18:52:43 +0200 (CEST)
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-13-pukkamustard@HIDDEN>
 <20210821160154.407b4928@HIDDEN>
 <86a6l8qlrf.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#49867] [PATCH v2 13/31] gnu: Add ocaml-mirage-crypto.
In-reply-to: <86a6l8qlrf.fsf@HIDDEN>
Date: Mon, 23 Aug 2021 16:52:42 +0000
Message-ID: <867dgcqf1h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org, Julien Lepiller <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


pukkamustard <pukkamustard@HIDDEN> writes:

> Julien Lepiller <julien@HIDDEN> writes:
>
>> Trying to build ocaml-mirage-crypto, I get errors during the 
>> tests:
>>
>> ocamlopt tests/test_symmetric_runner.exe (exit 2)
>>
>> Error: Files
>> /gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
>> and
>> /gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
>> make inconsistent assumptions over implementation Eqaf
>>
>> this seems to indicate Eqaf did not build properly? Does it 
>> build for
>> you?
>
> Negative. Can confirm that ocaml-mirage-crypto does not build 
> when rebased on
> master. I will investigate.

This seems to be related to the recently added dune profile 
parameter (https://issues.guix.gnu.org/49868).

The installed eqaf.cmxa seems to be the one built by using the 
"dev" profile, whereas eqaf_bigstring.cmxa is expecting the Eqaf 
module built with the "release" profile:

```
$ ocamlobjinfo 
/gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
[..]
Implementations imported:
	193f160ab58c2c455f4e1fe1425b8971	Eqaf
[..]

$ ocamlobjinfo 
/gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
[..]
CRC of implementation: f693310ffd4f92f54cd1fde8271782b8
[..]
```

With (arguments `(#:profile "dev")):
```
$ ocamlobjinfo 
/gnu/store/v2s1h1is0ci2ij2h8k5fbna3j8ycrw9y-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
[..]
Implementations imported:
[..]
--------------------------------	Eqaf

$ ocamlobjinfo 
/gnu/store/v2s1h1is0ci2ij2h8k5fbna3j8ycrw9y-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
[..]
CRC of implementation: f693310ffd4f92f54cd1fde8271782b8
[..]
```

When using the "dev" profile the ocaml-eqaf and 
ocaml-mirage-crypto build and pass the checks.

(I assume that the missing CRC in eqaf_bigstring.cmxa means it 
does not check the CRC of the Eqaf implementation.)

If I set (arguments `(#:package "eqaf")), then also everything 
builds fine and the hashes seem to be right:

```
$ ocamlobjinfo 
/gnu/store/cyw1n07cqdh25w5awww185s44yzbcyss-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
Implementations imported:
	193f160ab58c2c455f4e1fe1425b8971	Eqaf


$ ocamlobjinfo 
/gnu/store/cyw1n07cqdh25w5awww185s44yzbcyss-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
CRC of implementation: 193f160ab58c2c455f4e1fe1425b8971
```

This seems weird. I don't understand why dune installs the 
eqaf.cmxa built with "dev" profile but eqaf_bigstring.cmxa with 
"release" profile. Maybe this is a bug in dune?

It does seem that using the dune "--profile" options on its own is 
not very common. Opam uses the dune "-p" option. This sets the 
profile to "release" and does a couple of other things 
(https://dune.readthedocs.io/en/stable/opam.html?highlight=build%20profile#invocation-from-opam). 
I don't think many people use the "--profile" option on its own.

For our dune-build-system I think it makes more sense to always 
use the "-p" flag. This requires adding the explicit OCaml 
package(s) to many specifications in Guix. I also think the 
"profile" parameter should be removed as the interactions with the 
"package" parameter (dune "-p") are not as expected. Sorry for not 
doing this research before submitting the patch that added the 
"profile" parameter.

Thoughts?

-pukkamustard




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 23 Aug 2021 14:27:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 23 10:27:49 2021
Received: from localhost ([127.0.0.1]:42252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIAvV-0003Oa-Mw
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 10:27:49 -0400
Received: from mout01.posteo.de ([185.67.36.65]:34683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mIAvQ-0003OJ-P8
 for 49867 <at> debbugs.gnu.org; Mon, 23 Aug 2021 10:27:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 5EC71240029
 for <49867 <at> debbugs.gnu.org>; Mon, 23 Aug 2021 16:27:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1629728858; bh=8nyuphN998Yw4cVLug7zIaHwV9mhiDXfOy9txdffy+M=;
 h=From:To:Cc:Subject:Date:From;
 b=KBiVBsXT8+DHHHaF2AB1AY+VIlCQDEoTc98ZLHz8bS3yw2ecXojPgXwp7Am08Y+mv
 LzkRXyEr0vw2ATTcmU1I79F4G8F+e1oCNAaje9ZJWEtXYYxjGniZUft9qWVSvc0BR7
 1uo5AxlybpIUv9nbbkjZZNn6c53O1KRIYqUCGKh5ywLB3QPT7771u04yXS5RpJzSDJ
 PW8MWAile5pbQQgLaT2gsBwfs6ilOparbLEfVc335ggsvwWX9p/dEVwnwyNgFtTe5h
 MbFegeoaPgb9IXQXNcnIiZucEBTDCCVa0ROip2hfuHnvqZkiwshBftq/POnKHaa6SE
 fwUUi09ZmnGbw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GtZMV2j27z6tmZ;
 Mon, 23 Aug 2021 16:27:34 +0200 (CEST)
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-13-pukkamustard@HIDDEN>
 <20210821160154.407b4928@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: [bug#49867] [PATCH v2 13/31] gnu: Add ocaml-mirage-crypto.
In-reply-to: <20210821160154.407b4928@HIDDEN>
Date: Mon, 23 Aug 2021 14:27:32 +0000
Message-ID: <86a6l8qlrf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Julien Lepiller <julien@HIDDEN> writes:

> Trying to build ocaml-mirage-crypto, I get errors during the 
> tests:
>
> ocamlopt tests/test_symmetric_runner.exe (exit 2)
>
> Error: Files
> /gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
> and
> /gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
> make inconsistent assumptions over implementation Eqaf
>
> this seems to indicate Eqaf did not build properly? Does it 
> build for
> you?

Negative. Can confirm that ocaml-mirage-crypto does not build when 
rebased on master. I will investigate.

> also, minor but there's a typo in the synopsis "provding" ->
> "providing".

Oops. Will fix.

-pukkamustard




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 21 Aug 2021 14:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 21 10:02:16 2021
Received: from localhost ([127.0.0.1]:37602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHRZc-0002ZM-CV
	for submit <at> debbugs.gnu.org; Sat, 21 Aug 2021 10:02:16 -0400
Received: from lepiller.eu ([89.234.186.109]:55708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1mHRZX-0002TX-1v
 for 49867 <at> debbugs.gnu.org; Sat, 21 Aug 2021 10:02:11 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id bce26afa;
 Sat, 21 Aug 2021 14:02:04 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:cc:subject:message-id:in-reply-to:references:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=rbclstoCNgjG
 H9o9KuMFz5rVH+UziookVU9nGJp46zQ=; b=D2naOqmTLu+0jLQIvTHhpos+X52+
 ZJu6CdeDgzndou5B4UBxuoyska3nZ3GRjwTUdjSCWVlVh8wkl8MEZeeZ61jR/P+p
 nJKurskuRj+thZh6XOOGF6YoNNgm49bQyE+JhUeVwe3STas54XpEqXpbT5QgKiHN
 k8D3+q2srpB9bdYq5VSdrnA6ltc92EmA1sWNgbMnwxmTj73tDDx1BzEjWH6PiZ73
 kvQqH9NaJhHy3da/I9W5Qad0LITeuFatwVOJAjJXUF74ANkayqlS/u9Shujv1Yoy
 1HGgTfXuyCmil5DdvYIUN7Cw5prqjO3MP6WvxmGO690e5/gwwJtO9daK8w==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 912ecbae
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 21 Aug 2021 14:02:04 +0000 (UTC)
Date: Sat, 21 Aug 2021 16:01:54 +0200
From: Julien Lepiller <julien@HIDDEN>
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#49867] [PATCH v2 13/31] gnu: Add ocaml-mirage-crypto.
Message-ID: <20210821160154.407b4928@HIDDEN>
In-Reply-To: <20210809070124.25641-13-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-13-pukkamustard@HIDDEN>
X-Mailer: Claws Mail 3.18.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Trying to build ocaml-mirage-crypto, I get errors during the tests:

ocamlopt tests/test_symmetric_runner.exe (exit 2)

Error: Files
/gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/bigstring/eqaf_bigstring.cmxa
and
/gnu/store/id3dchcsw5gijsnn73kw5sn9ymjj90ai-ocaml-eqaf-0.7/lib/ocaml/site-lib/eqaf/eqaf.cmxa
make inconsistent assumptions over implementation Eqaf

this seems to indicate Eqaf did not build properly? Does it build for
you?

also, minor but there's a typo in the synopsis "provding" ->
"providing".




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 10 Aug 2021 12:04:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 08:04:38 2021
Received: from localhost ([127.0.0.1]:58612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDQUo-0004PI-DE
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 08:04:38 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:50624
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mDQUl-0004P0-Ap
 for 49867 <at> debbugs.gnu.org; Tue, 10 Aug 2021 08:04:37 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628597065;
 bh=cnMm3E/maWEHZc3jIvUOqCgBQPeQiQ78NbZaIQwLAys=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=QEZbfpRT97zTmd481SB+o8kXhoPNldYdViBhQDuUnA3Jb6LS0THsOwSL3gTKyBfGX
 FCKNahKnuNA0pIySAaq74iOq+V4OxN4F3ESi1cHfze7nhFkg9W6x1+d2LLEUL8Jnjx
 UzS6U22tYRaQ8+buBwQXGuUYHegN1dwKODxaPgCU=
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#49867] [PATCH v2 11/31] gnu: Add ocaml-crowbar.
In-Reply-To: <86bl65u3t6.fsf@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-11-pukkamustard@HIDDEN>
 <87mtprosht.fsf@HIDDEN> <86bl65u3t6.fsf@HIDDEN>
Date: Tue, 10 Aug 2021 14:04:20 +0200
Message-ID: <87lf59o69n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Aug 10 2021,
 pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
 writes: > >> >> Texinfo formatting: >> >>
 @uref{http://lcamtuf.coredump.cx/afl/, 
 afl-fuzz} >> >> The rest of v2 looks good. :-) > > D'oh! Thanks! > > The
 fixed pat [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Aug 10 2021, pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
    writes: > >> >> Texinfo formatting: >> >> @uref{http://lcamtuf.coredump.cx/afl/,
    afl-fuzz} >> >> The rest of v2 looks good. :-) > > D'oh! Thanks! > > The
   fixed pat [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, Aug 10 2021, pukkamustard wrote:

> Xinglu Chen <public@HIDDEN> writes:
>
>>
>> Texinfo formatting:
>>
>>   @uref{http://lcamtuf.coredump.cx/afl/, afl-fuzz}
>>
>> The rest of v2 looks good.  :-)
>
> D'oh! Thanks!
>
> The fixed patch is attached. I can also send the entire series=20
> again as v3 if that is easier...

The patch looks good, but I don=E2=80=99t have commit access, so you will h=
ave
to wait for someone else to merge it.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmESa0QVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5jeAP+wWwLN6/PesIf/76RJVbY7Z0a95j
xt+R6aEcTRrJ8Cd/t29Nzmy9zdjQ2PPvsoFE8hoHJ9FspLskGCFfQKhd0oTB1ZwH
cyJoOLJ6xEldK7seOaHvXxcjI/nwIY0TsaTwHGCVgSeJ5eQ66DAt6k6oxiX4q2j5
JpUKh+x2KBt0igXYsf7bVAZvkWI0tM2v6hOgiuZ9oiDaNw5bjx3KAfTi+rM3K72k
BnpWvPx348YRR4d7s08msdMB+Dq03AI0F9YwjkT9/fpp7nJX5IjhHc6ui/GJPr4p
zLw9UaO8EZte0MyX9MM7y3+TesASyumFLOMHG3lS6EUERCJQIQppksupobx6HYsk
JdmzEvWhzEPXubm45EidZQWgAwtJ0jCzD1iTT4+XtxZKPlpCMw8d2ujzbI/bV5tq
HvnTNF3CUNeMcKIi5IElsYQFIkSKI/QaBVsNykjFUzOPV5HtKiSXbrfg1gCiVwNu
S7aU+lu/lIIKUBWt/shpnxYG4hOgjS8yasSvc7iEtZK6zwRndGMgpJ3jj5A02x1H
4Wye7fNlwk8Ti0tPcPebWXPSprqyarGSKY1pWpB00m/UcgZDbPyPjHK1kp97vYkC
lm27Vb95lKYPMtp5H7ngxDvdn4o7NEDUll9KokCN6s9ev8zn85YeJsRA8Hoi9E1o
OeqJUk/yhZwqAx2u
=raxR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 10 Aug 2021 08:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 04:01:12 2021
Received: from localhost ([127.0.0.1]:58383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDMhE-0004hi-If
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 04:01:12 -0400
Received: from mout01.posteo.de ([185.67.36.65]:42843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mDMhB-0004hU-KI
 for 49867 <at> debbugs.gnu.org; Tue, 10 Aug 2021 04:01:10 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 69322240028
 for <49867 <at> debbugs.gnu.org>; Tue, 10 Aug 2021 10:01:03 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628582463; bh=FzVxvLzkSjmIuhJs5JqtmSamCN2PXsh+DMwVWlCNU4Q=;
 h=From:To:Cc:Subject:Date:From;
 b=DC/zW4s0j2ZaFEL98zH+yLWaIyHK8/SNsI9oA0LQZTh/9Y3YucP3KvhU6uQuBgbSc
 Tqg02ePB/s1poKSXJPFJg/HY2Ydfsy+YXNVG/QXA1AT1vrFIwic1SE/poHQe+gLElh
 q6cv1dBXTOCsM9yz96p6HzMGxHqVtMkbTEua2pY4o+jUYxRwEeBp0cUtALnekhM84h
 M2zxk3/LWS6QkYc0Hj7T5L4H3JNdUEf6iwVNycFJYQ3Us7MvUGsszWw+ZNiYVVpRWv
 yChSYljORk07OQ7GPN+doZ6f7yjzEmjO0BeJ2PP8WOWsNEJmmxqXjkok0exHMAAftz
 55feemKRdx5qQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GkQPV14kCz9rxX;
 Tue, 10 Aug 2021 10:01:01 +0200 (CEST)
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-11-pukkamustard@HIDDEN>
 <87mtprosht.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH v2 11/31] gnu: Add ocaml-crowbar.
In-reply-to: <87mtprosht.fsf@HIDDEN>
Date: Tue, 10 Aug 2021 08:00:53 +0000
Message-ID: <86bl65u3t6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Xinglu Chen <public@HIDDEN> writes: > > Texinfo
 formatting:
 > > @uref{http://lcamtuf.coredump.cx/afl/, afl-fuzz} > > The rest of v2 looks
 good. :-) D'oh! Thanks! 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.65 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.65 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--=-=-=
Content-Type: text/plain; format=flowed


Xinglu Chen <public@HIDDEN> writes:

>
> Texinfo formatting:
>
>   @uref{http://lcamtuf.coredump.cx/afl/, afl-fuzz}
>
> The rest of v2 looks good.  :-)

D'oh! Thanks!

The fixed patch is attached. I can also send the entire series 
again as v3 if that is easier...


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=v3-0011-gnu-Add-ocaml-crowbar.patch

From c573ec927e8fd6ed99a05b3995144ff1c0cfb0b3 Mon Sep 17 00:00:00 2001
From: pukkamustard <pukkamustard@HIDDEN>
Date: Mon, 9 Aug 2021 08:06:12 +0200
Subject: [PATCH v3 11/31] gnu: Add ocaml-crowbar.

* gnu/packages/ocaml.scm (ocaml-crowbar): New variable.
---
 gnu/packages/ocaml.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 5a7acb4ba8..3c7a40d923 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7528,6 +7528,42 @@ breaks, while respecting the constraints imposed by the structure of the
 document and by the text width.")
     (license license:lgpl2.0)))
 
+(define-public ocaml-crowbar
+  (package
+    (name "ocaml-crowbar")
+    (version "0.2")
+    (home-page "https://github.com/stedolan/crowbar")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0wjfc9irvirfkic32ivvj6qb7r838w08b0d3vmngigbjpjyc9b14"))))
+    (build-system dune-build-system)
+    (arguments
+     ;; Tests require ocaml-xmldiff which requires OCaml 4.12.0
+     `(#:tests? #f))
+    (propagated-inputs
+     `(("ocaml-ocplib-endian" ,ocaml-ocplib-endian)
+       ("ocaml-cmdliner" ,ocaml-cmdliner)
+       ("ocaml-afl-persistent" ,ocaml-afl-persistent)))
+    (native-inputs
+     `(("ocaml-calendar" ,ocaml-calendar)
+       ("ocaml-fpath" ,ocaml-fpath)
+       ("ocaml-uucp" ,ocaml-uucp)
+       ("ocaml-uunf" ,ocaml-uunf)
+       ("ocaml-uutf" ,ocaml-uutf)
+       ("ocaml-pprint" ,ocaml-pprint)))
+    (synopsis "Ocaml library for tests, let a fuzzer find failing cases")
+    (description "Crowbar is a library for testing code, combining
+QuickCheck-style property-based testing and the magical bug-finding powers of
+@uref{http://lcamtuf.coredump.cx/afl/, afl-fuzz}.")
+    (license license:expat)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 12:39:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 08:39:55 2021
Received: from localhost ([127.0.0.1]:56285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD4ZP-0004Q3-GZ
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 08:39:55 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:46812
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mD4ZM-0004Pn-DI
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 08:39:53 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628512782;
 bh=ZAQe7eO4r+IvMujQtKodi/tbGVT/55J8yyr3SMvqqjU=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=FgDQbYTlB3Wm6jqGQApDPhG0+hujll1IhGNG8BSnkNAK4/DnnsAScasvVII+/vfqJ
 7tTtUEC00xoHy6Hxq3CWKRezcuqE+HKsEnmjD+s3s7P10vMmOhjzF9EFNOmfVeoV/y
 9TRH8rLcPmgobOvC/aukKII6UMk++4X+ugKsbSgc=
To: Julien Lepiller <julien@HIDDEN>, 49867 <at> debbugs.gnu.org,
 pukkamustard@HIDDEN
Subject: Re: [bug#49867] [PATCH v2 11/31] gnu: Add ocaml-crowbar.
In-Reply-To: <446ED7A8-F897-42F2-8F6C-B929D1826C1C@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-11-pukkamustard@HIDDEN>
 <87mtprosht.fsf@HIDDEN>
 <446ED7A8-F897-42F2-8F6C-B929D1826C1C@HIDDEN>
Date: Mon, 09 Aug 2021 14:39:37 +0200
Message-ID: <87bl66pzau.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Aug 09 2021, Julien Lepiller wrote: > Le 9 août 2021
    05:51:58 GMT-04:00, Xinglu Chen <public@HIDDEN> a écrit : >>On Mon,
    Aug 09 2021, pukkamustard wrote: >> >>> * gnu/packages/ocaml.scm (ocaml-crowbar):
    New variable. >>> --- > [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Aug 09 2021, Julien Lepiller wrote: > Le 9 août 2021
    05:51:58 GMT-04:00, Xinglu Chen <public@HIDDEN> a écrit : >>On Mon,
    Aug 09 2021, pukkamustard wrote: >> >>> * gnu/packages/ocaml.scm (ocaml-crowbar):
    New variable. >>> --- > [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Mon, Aug 09 2021, Julien Lepiller wrote:

> Le 9 ao=C3=BBt 2021 05:51:58 GMT-04:00, Xinglu Chen <public@HIDDEN=
> a =C3=A9crit=C2=A0:
>>On Mon, Aug 09 2021, pukkamustard wrote:
>>
>>> * gnu/packages/ocaml.scm (ocaml-crowbar): New variable.
>>> ---
>>>  gnu/packages/ocaml.scm | 36 ++++++++++++++++++++++++++++++++++++
>>>  1 file changed, 36 insertions(+)
>>>
>>> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
>>> index 5a7acb4ba8..dba715d2f5 100644
>>> --- a/gnu/packages/ocaml.scm
>>> +++ b/gnu/packages/ocaml.scm
>>> @@ -7528,6 +7528,42 @@ breaks, while respecting the constraints imposed=
 by the structure of the
>>>  document and by the text width.")
>>>      (license license:lgpl2.0)))
>>>=20=20
>>> +(define-public ocaml-crowbar
>>> +  (package
>>> +    (name "ocaml-crowbar")
>>> +    (version "0.2")
>>> +    (home-page "https://github.com/stedolan/crowbar")
>>> +    (source
>>> +     (origin
>>> +       (method git-fetch)
>>> +       (uri (git-reference
>>> +             (url home-page)
>>> +             (commit (string-append "v" version))))
>>> +       (file-name (git-file-name name version))
>>> +       (sha256
>>> +        (base32
>>> +         "0wjfc9irvirfkic32ivvj6qb7r838w08b0d3vmngigbjpjyc9b14"))))
>>> +    (build-system dune-build-system)
>>> +    (arguments
>>> +     ;; Tests require ocaml-xmldiff which requires OCaml 4.12.0
>>> +     `(#:tests? #f))
>>> +    (propagated-inputs
>>> +     `(("ocaml-ocplib-endian" ,ocaml-ocplib-endian)
>>> +       ("ocaml-cmdliner" ,ocaml-cmdliner)
>>> +       ("ocaml-afl-persistent" ,ocaml-afl-persistent)))
>>> +    (native-inputs
>>> +     `(("ocaml-calendar" ,ocaml-calendar)
>>> +       ("ocaml-fpath" ,ocaml-fpath)
>>> +       ("ocaml-uucp" ,ocaml-uucp)
>>
>>The =E2=80=98ocaml-uucp=E2=80=99 package hasn=E2=80=99t been packaged yet.
>
> It has, I just pushed it yesterday :)

Ah, forgot to pull :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmERIgkVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5EmIQAJ7woMB4TZyt1juVC1+zF/VN0/yX
Oq1EdN0R1fgvuGwqfAQ8kNnIf6uNnKMqbrtUbdC5iq37aIkSemu+moIKc/Y90WI7
Cut8SZTHCjZf+ibW2RuXq2HgeSzeG/41lIeNTpNrqA6vHjHuuaXqN+RFZIbt98O2
Q3finRzIAVc50ARl/Fq5wxlLYjW4dhqm8f5t/DF4uo4d+jItlJPBO1nS6S1FkhP+
XslNRwAokkAO7FxhPV3sVm5UJWNR8/ldXgRu0OXoYNOokJXBFWw3GbgB1M2SFdJg
KrBY+NKd6sxzp7mfuT1AegneyULeQPgXDJJ89PSb/UGFnKby1r+b70v/x+ws985S
YgjkZGbyQgEfugh/46Wb3thDcTzXx1Qun7LzGKDoiv5lYVW8TOeVl2oAT8mr19x8
6lS0HwXiR1nqAjC6SwsBRkF1cfa7RN2px1HtImj/Qy1K4KWCiGHnGlyJhzFyzH2U
wCygOUh/i2MXqf0bFmlwBzoz8hRKK1iLOx6HqN3ryjRGMcHNoeGrmLVaCXqXqpWV
g5WUQq59Mrd6teYp/cYegXe7ZLfmVtT77zLWa39aridM2L1U8ysHiWtZ7tFo/MQh
3JXmxe31P/JYhgWpMzLv4FvHEQ6QSq6CsU71RS0n7QcLCO3ozfNbYJrVs7SjMFCn
7V5L8fMHICY4shpy
=mO+W
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 11:14:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 07:14:10 2021
Received: from localhost ([127.0.0.1]:56068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD3EQ-0006Ge-Dg
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 07:14:10 -0400
Received: from lepiller.eu ([89.234.186.109]:54686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1mD3EL-0006GO-MK
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 07:14:09 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id e7a048de;
 Mon, 9 Aug 2021 11:14:03 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=UqX3PxW3SQ5y
 hu91GJAk8303ucOO9BKc3aJzrPKsm9E=; b=eOj+3TsDdEQasXKIN37pWewucuaH
 Ky/vnsT6BkAS7qPydwWwqG5GLVhKkKlg4FTWF9ZOH+ny9k1jky2eOS0Zj6+FcvcJ
 5zlmpVbXHmpqFwP4j66ZOlssMYeYX4uN9qlfR1g1PUpgkBm0cFOklbTUlepzaWCO
 FY4iIYZZMGyySUkTfq4drtjnsqFIWTcNySOFbEtYRDOwVrVRCP3zZ3s9wzUC6XvT
 XwjYHwB3IIoU+WkdnhAymR4lc5X0R7WsSsYYPOhcPLQgXSgCaw1w+p5IT+V9nMeT
 HKnS6gUQGtyXmh6kdG7/zvaBIfrZm0Va/TYn5w5/tMVkEy9JV5sVbhzHbA==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 9654cffa
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 9 Aug 2021 11:14:03 +0000 (UTC)
Date: Mon, 09 Aug 2021 07:13:51 -0400
From: Julien Lepiller <julien@HIDDEN>
To: guix-patches@HIDDEN, Xinglu Chen <public@HIDDEN>,
 pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH v2 11/31] gnu: Add ocaml-crowbar.
User-Agent: K-9 Mail for Android
In-Reply-To: <87mtprosht.fsf@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-11-pukkamustard@HIDDEN>
 <87mtprosht.fsf@HIDDEN>
Message-ID: <446ED7A8-F897-42F2-8F6C-B929D1826C1C@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 9 août 2021 05:51:58 GMT-04:00, Xinglu Chen <public@HIDDEN>
    a écrit : >On Mon, Aug 09 2021, pukkamustard wrote: > >> * gnu/packages/ocaml.scm
    (ocaml-crowbar): New variable. >> --- >> gnu/ [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 49867
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)



Le 9 ao=C3=BBt 2021 05:51:58 GMT-04:00, Xinglu Chen <public@yoctocell=2Exy=
z> a =C3=A9crit=C2=A0:
>On Mon, Aug 09 2021, pukkamustard wrote:
>
>> * gnu/packages/ocaml=2Escm (ocaml-crowbar): New variable=2E
>> ---
>>  gnu/packages/ocaml=2Escm | 36 ++++++++++++++++++++++++++++++++++++
>>  1 file changed, 36 insertions(+)
>>
>> diff --git a/gnu/packages/ocaml=2Escm b/gnu/packages/ocaml=2Escm
>> index 5a7acb4ba8=2E=2Edba715d2f5 100644
>> --- a/gnu/packages/ocaml=2Escm
>> +++ b/gnu/packages/ocaml=2Escm
>> @@ -7528,6 +7528,42 @@ breaks, while respecting the constraints imposed=
 by the structure of the
>>  document and by the text width=2E")
>>      (license license:lgpl2=2E0)))
>> =20
>> +(define-public ocaml-crowbar
>> +  (package
>> +    (name "ocaml-crowbar")
>> +    (version "0=2E2")
>> +    (home-page "https://github=2Ecom/stedolan/crowbar")
>> +    (source
>> +     (origin
>> +       (method git-fetch)
>> +       (uri (git-reference
>> +             (url home-page)
>> +             (commit (string-append "v" version))))
>> +       (file-name (git-file-name name version))
>> +       (sha256
>> +        (base32
>> +         "0wjfc9irvirfkic32ivvj6qb7r838w08b0d3vmngigbjpjyc9b14"))))
>> +    (build-system dune-build-system)
>> +    (arguments
>> +     ;; Tests require ocaml-xmldiff which requires OCaml 4=2E12=2E0
>> +     `(#:tests? #f))
>> +    (propagated-inputs
>> +     `(("ocaml-ocplib-endian" ,ocaml-ocplib-endian)
>> +       ("ocaml-cmdliner" ,ocaml-cmdliner)
>> +       ("ocaml-afl-persistent" ,ocaml-afl-persistent)))
>> +    (native-inputs
>> +     `(("ocaml-calendar" ,ocaml-calendar)
>> +       ("ocaml-fpath" ,ocaml-fpath)
>> +       ("ocaml-uucp" ,ocaml-uucp)
>
>The =E2=80=98ocaml-uucp=E2=80=99 package hasn=E2=80=99t been packaged yet=
=2E

It has, I just pushed it yesterday :)

>
>> +       ("ocaml-uunf" ,ocaml-uunf)
>> +       ("ocaml-uutf" ,ocaml-uutf)
>> +       ("ocaml-pprint" ,ocaml-pprint)))
>> +    (synopsis "Ocaml library for tests, let a fuzzer find failing case=
s")
>> +    (description "Crowbar is a library for testing code, combining Qui=
ckCheck-style
>> +property-based testing and the magical bug-finding powers of
>> +[afl-fuzz](http://lcamtuf=2Ecoredump=2Ecx/afl/)=2E")
>
>Texinfo formatting:
>
>  @uref{http://lcamtuf=2Ecoredump=2Ecx/afl/, afl-fuzz}
>
>The rest of v2 looks good=2E  :-)
>




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Aug 2021 11:14:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 07:14:14 2021
Received: from localhost ([127.0.0.1]:56071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD3ET-0006Gv-N7
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 07:14:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:36276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1mD3EQ-0006Gl-Qj
 for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 07:14:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58454)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <julien@HIDDEN>)
 id 1mD3EQ-0000GT-Hv
 for guix-patches@HIDDEN; Mon, 09 Aug 2021 07:14:10 -0400
Received: from lepiller.eu ([89.234.186.109]:52626)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <julien@HIDDEN>)
 id 1mD3EN-00079E-Rq
 for guix-patches@HIDDEN; Mon, 09 Aug 2021 07:14:09 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id e7a048de;
 Mon, 9 Aug 2021 11:14:03 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=UqX3PxW3SQ5y
 hu91GJAk8303ucOO9BKc3aJzrPKsm9E=; b=eOj+3TsDdEQasXKIN37pWewucuaH
 Ky/vnsT6BkAS7qPydwWwqG5GLVhKkKlg4FTWF9ZOH+ny9k1jky2eOS0Zj6+FcvcJ
 5zlmpVbXHmpqFwP4j66ZOlssMYeYX4uN9qlfR1g1PUpgkBm0cFOklbTUlepzaWCO
 FY4iIYZZMGyySUkTfq4drtjnsqFIWTcNySOFbEtYRDOwVrVRCP3zZ3s9wzUC6XvT
 XwjYHwB3IIoU+WkdnhAymR4lc5X0R7WsSsYYPOhcPLQgXSgCaw1w+p5IT+V9nMeT
 HKnS6gUQGtyXmh6kdG7/zvaBIfrZm0Va/TYn5w5/tMVkEy9JV5sVbhzHbA==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 9654cffa
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 9 Aug 2021 11:14:03 +0000 (UTC)
Date: Mon, 09 Aug 2021 07:13:51 -0400
From: Julien Lepiller <julien@HIDDEN>
To: guix-patches@HIDDEN, Xinglu Chen <public@HIDDEN>,
 pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH v2 11/31] gnu: Add ocaml-crowbar.
User-Agent: K-9 Mail for Android
In-Reply-To: <87mtprosht.fsf@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-11-pukkamustard@HIDDEN>
 <87mtprosht.fsf@HIDDEN>
Message-ID: <446ED7A8-F897-42F2-8F6C-B929D1826C1C@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=89.234.186.109; envelope-from=julien@HIDDEN;
 helo=lepiller.eu
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)



Le 9 ao=C3=BBt 2021 05:51:58 GMT-04:00, Xinglu Chen <public@yoctocell=2Exy=
z> a =C3=A9crit=C2=A0:
>On Mon, Aug 09 2021, pukkamustard wrote:
>
>> * gnu/packages/ocaml=2Escm (ocaml-crowbar): New variable=2E
>> ---
>>  gnu/packages/ocaml=2Escm | 36 ++++++++++++++++++++++++++++++++++++
>>  1 file changed, 36 insertions(+)
>>
>> diff --git a/gnu/packages/ocaml=2Escm b/gnu/packages/ocaml=2Escm
>> index 5a7acb4ba8=2E=2Edba715d2f5 100644
>> --- a/gnu/packages/ocaml=2Escm
>> +++ b/gnu/packages/ocaml=2Escm
>> @@ -7528,6 +7528,42 @@ breaks, while respecting the constraints imposed=
 by the structure of the
>>  document and by the text width=2E")
>>      (license license:lgpl2=2E0)))
>> =20
>> +(define-public ocaml-crowbar
>> +  (package
>> +    (name "ocaml-crowbar")
>> +    (version "0=2E2")
>> +    (home-page "https://github=2Ecom/stedolan/crowbar")
>> +    (source
>> +     (origin
>> +       (method git-fetch)
>> +       (uri (git-reference
>> +             (url home-page)
>> +             (commit (string-append "v" version))))
>> +       (file-name (git-file-name name version))
>> +       (sha256
>> +        (base32
>> +         "0wjfc9irvirfkic32ivvj6qb7r838w08b0d3vmngigbjpjyc9b14"))))
>> +    (build-system dune-build-system)
>> +    (arguments
>> +     ;; Tests require ocaml-xmldiff which requires OCaml 4=2E12=2E0
>> +     `(#:tests? #f))
>> +    (propagated-inputs
>> +     `(("ocaml-ocplib-endian" ,ocaml-ocplib-endian)
>> +       ("ocaml-cmdliner" ,ocaml-cmdliner)
>> +       ("ocaml-afl-persistent" ,ocaml-afl-persistent)))
>> +    (native-inputs
>> +     `(("ocaml-calendar" ,ocaml-calendar)
>> +       ("ocaml-fpath" ,ocaml-fpath)
>> +       ("ocaml-uucp" ,ocaml-uucp)
>
>The =E2=80=98ocaml-uucp=E2=80=99 package hasn=E2=80=99t been packaged yet=
=2E

It has, I just pushed it yesterday :)

>
>> +       ("ocaml-uunf" ,ocaml-uunf)
>> +       ("ocaml-uutf" ,ocaml-uutf)
>> +       ("ocaml-pprint" ,ocaml-pprint)))
>> +    (synopsis "Ocaml library for tests, let a fuzzer find failing case=
s")
>> +    (description "Crowbar is a library for testing code, combining Qui=
ckCheck-style
>> +property-based testing and the magical bug-finding powers of
>> +[afl-fuzz](http://lcamtuf=2Ecoredump=2Ecx/afl/)=2E")
>
>Texinfo formatting:
>
>  @uref{http://lcamtuf=2Ecoredump=2Ecx/afl/, afl-fuzz}
>
>The rest of v2 looks good=2E  :-)
>




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 09:55:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 05:55:21 2021
Received: from localhost ([127.0.0.1]:55821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD209-0001pL-KK
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:55:21 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:42934
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mD208-0001pA-D1
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:55:20 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628502912;
 bh=I8+sFK3swmcR9Vs5IIHZOAGGngfshWjt2X0jEC/Gbgw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Y5hEyspjzKNIBxNbLxbKsj6nPMK/QdT0m/qAAv+MJccWcKabQ/u98nawnqt8rttL6
 Ph8j9jhdASiKzjgkoPTGBFK5EYIMxyNNJjhr8yHOXhx5W1LdBAHWgMMCbk5NtXNgQK
 jTLaX8AZSYfTRziIeJViwDIwCmGHP05vZ0GXQIsk=
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#49867] [PATCH 00/29] gnu: Add ocaml-cohttp-lwt-unix.
In-Reply-To: <86pmun5cp5.fsf@HIDDEN>
References: <20210804071015.20848-1-pukkamustard@HIDDEN>
 <87wnozkil2.fsf@HIDDEN> <86pmun5cp5.fsf@HIDDEN>
Date: Mon, 09 Aug 2021 11:55:12 +0200
Message-ID: <87im0foscf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Aug 09 2021, pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
    writes: > >> I managed to package ‘ocaml-afl-persistent’ with the attached
    >> patch, >> but it doesn’t respect the ‘--without-tests’ transformation
    >> si [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Aug 09 2021, pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
    writes: > >> I managed to package ‘ocaml-afl-persistent’ with the attached
    >> patch, >> but it doesn’t respect the ‘--without-tests’ transformation
    >> si [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Mon, Aug 09 2021, pukkamustard wrote:

> Xinglu Chen <public@HIDDEN> writes:
>
>> I managed to package =E2=80=98ocaml-afl-persistent=E2=80=99 with the att=
ached=20
>> patch,
>> but it doesn=E2=80=99t respect the =E2=80=98--without-tests=E2=80=99 tra=
nsformation=20
>> since the
>> tests are run as part of the build phase.
>
> Fantastic! With your patch I've added ocaml-crowbar and enabled=20
> tests for ocaml-eqaf in V2.
>
> Tests for ocaml-crowbar are currently disabled as they require=20
> ocaml-xmldiff which requires OCaml 4.12.0.
>
>> Thanks for working on this!
>
> Thank you for your comments!
>
> V2 follows.

Great, thank you for the update!

I noticed that the =E2=80=98ocaml-uucp=E2=80=99 package, which is an input =
for =E2=80=98ocaml-crowbar=E2=80=99, is
missing.   Otherwise v2 LGTM!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEQ+4AVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5s4MQAInjlxdXVXHWJUUZ89E6SH5l98wl
lgkySaBA4HPJwWt+cehSFtayfxvnBbhSb2+CTR5VmbS42NQ9gdnW3dC3jOH6i7jF
gU08LXu2Og3GI2aTEBUsSiIYWFOyc3nPrtlHVF6AS5PMtToYgr3zvV7cxPVO3BKC
5zF4auIsDAcXtopfLjeabqsRrq9uIVjroEKYc3MBJm8XjK70g0mUiTZctTllyMSM
W4WhceIBxF+7tE7c3UWTxufDt8nc3G2zUXhG9WujFPidyL255EKJ0G1P+AZFQYRJ
lPPRip3qIEPE7zw9D08Xo5h4LBKo3qzdtwwZ5hCmUvLN6PozZZdgX6kxjG2hbSC9
3R+v1LiqujaTxPCoeZPsCVIgonn5EJf+qdUx+H0qgJ79efjYmOOBZeI3qs6P6rjN
26P8ea27OzWg7gOufqh6Eq1uqOgSby2CKW+kiIMPsLCkajDpWHYCECgEqIyoUmDL
dste8DCgVCHTGz3QnMq2V2KU+XjNovjLVLauwg8zb++Wd96QmC8QvH/gttxJTqNf
ujrh925OZZFYHiwpDzPCIIMenACYv8VXW6PIkYFElegyDWabQGBKLDir/SGWMJdT
/JgHkpuFv+5cthq/RkG/W/sONX7dj5hnLGv5/4B15HfD2iTbIHJCRuilhlQkzE/J
adEV4M5Hmr7LHJO5
=bAvo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 09:53:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 05:53:26 2021
Received: from localhost ([127.0.0.1]:55817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD1yI-0001m8-8i
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:53:26 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:42882
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mD1yH-0001lv-1u
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:53:25 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628502797;
 bh=adADhLNtsVqo2BJjhLb6Mjue0qgA2bi2n+/vS3Ou8p0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=XG9650u59btCnUAiFaU88e4qiImSIaOyfwK0ws1JjXpyKhzofogW7KFmKKyJC4q6m
 32a1FROErAqdifQdPZP8dT+sYyMQnxK/HwdplryxXujU98oT2A7TjUnKyPIICdUWVF
 lkoXw/e4EwTO8pOGBBjQNiYDfm5LkwL3+kKCuN+U=
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#49867] [PATCH 21/29] gnu: Add ocaml-pbkdf.
In-Reply-To: <86fsvk6v2e.fsf@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-21-pukkamustard@HIDDEN>
 <87o8abkhs5.fsf@HIDDEN> <86fsvk6v2e.fsf@HIDDEN>
Date: Mon, 09 Aug 2021 11:53:16 +0200
Message-ID: <87k0kvosfn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Aug 08 2021,
 pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
 writes: > >>> + (description "An OCaml implementation of PBKDF 1 and 2 as
 >>> defined by >>> +PKCS#5 using @code{ocaml-mirage-crypto}.") >> >> The
 description shou [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Aug 08 2021, pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
    writes: > >>> + (description "An OCaml implementation of PBKDF 1 and 2 as
    >>> defined by >>> +PKCS#5 using @code{ocaml-mirage-crypto}.") >> >> The
   description shou [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 08 2021, pukkamustard wrote:

> Xinglu Chen <public@HIDDEN> writes:
>
>>> +    (description "An OCaml implementation of PBKDF 1 and 2 as=20
>>> defined by
>>> +PKCS#5 using @code{ocaml-mirage-crypto}.")
>>
>> The description should contain full sentences, maybe
>>
>>   "This package provides an OCaml implementation of =E2=80=A6"
>
> Changed to: "This package provides an OCaml implementation of=20
> PBKDF 1 and 2 as defined by PKCS#5 using=20
> @code{ocaml-mirage-crypto}."
>
> Note: A version 1.2.0 was released recently. However, it requires=20
> CStruct 6.0.0. I will submit a patch to update ocaml-cstruct and=20
> then ocaml-pbkdf can be updated to 1.2.0.

Cool, sounds good.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEQ+wwVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5EzYP/RCnzgWGURXHGdLGrE4/+t/STxtd
Z6b8652aHjqLPitF++18WROrbihq8ewDkpO5Y1KhgHgoWJxAIRqIg/nkcNU4D14c
+lUxfasHt+g1VCEM8u/tgusFr4bA7/YsXY+XTrjZw+BNNbM0ITgkwgRriAL9YjYZ
v7jmxY0otYJNMsejocBoHtk0nEVbdfO+RL4uE3BQBFtZ0n6Ty7YvAtdA49DCXIhJ
TzNQqSI7HRgC7cIJilsWQVXKZ28ZASSh0MPNjsf9Ol5iF22f58hxmQ7zYxP1k+pv
LIONGK9c9fddBCAE1rQv89PorzzQZMIN2MoLMVMs19YXdi18NG5wb4/wJ3hG3SEi
13R3AGt86CuYamQzVKQTwW1eiQtoOBCwljDeSWJJ92KO7AeNBRwJ/mPz1RUCcmuS
c4XrdJUeNQX5q18mOENjfPSUBjTazSXuH4Nn8E1B2Ysq0s19GcRKNTG6gLJQG+51
DE+o6gm6Sf+dZ4ZrOr3aXbd8O6XE82lkUB6ha5bH1GE+wfa9/roESH3rct7uW3n7
ARqngvzDFbM6wRA3Om/xarmw3FRwkn1M3DL4HYxsl3Dn16+ty88PUe7Pt/kCjKvd
Qwbij6fHxOzhro/iGUtLELmwYU8M8Hdm3uV+D4vAB07E91u0vgkAonH3jkFQHcuS
k2S4VYnMtEaFBuOB
=Dy/m
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 09:52:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 05:52:12 2021
Received: from localhost ([127.0.0.1]:55813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD1x5-0001kF-Re
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:52:12 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:42828
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mD1x2-0001jr-Ur
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:52:10 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628502719;
 bh=1kCnCEVOu4Indr01J9th/l5+C4+Xhr4WOVH1G2QCmIs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Nvk8fIpVUoohK//qk0D2rf8fXOtpqJ67tD8Y/cRVpjbP2nxTnFvxX3fgjHyGEUdZB
 eNtbZymbg6NQYuEx55McIWReyl5aSjVA8MlLy3Go4NILtWVrkVtCrvUIbesiZiFW6u
 CdUHIJNlqlPNoG2UYNHcNGypsNz/rCWItTDG99WU=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH v2 11/31] gnu: Add ocaml-crowbar.
In-Reply-To: <20210809070124.25641-11-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
 <20210809070124.25641-11-pukkamustard@HIDDEN>
Date: Mon, 09 Aug 2021 11:51:58 +0200
Message-ID: <87mtprosht.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, Aug 09 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-crowbar): New variable. > --- > gnu/packages/ocaml.scm | 36
 ++++++++++++++++++++++++++++++++++++
 > 1 file changed, 36 insertions(+) > > diff --git a/gnu/packages/ocam [...]
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Aug 09 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-crowbar): New variable. > --- > gnu/packages/ocaml.scm | 36 ++++++++++++++++++++++++++++++++++++
    > 1 file changed, 36 insertions(+) > > diff --git a/gnu/packages/ocam [...]
    
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Mon, Aug 09 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-crowbar): New variable.
> ---
>  gnu/packages/ocaml.scm | 36 ++++++++++++++++++++++++++++++++++++
>  1 file changed, 36 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index 5a7acb4ba8..dba715d2f5 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7528,6 +7528,42 @@ breaks, while respecting the constraints imposed b=
y the structure of the
>  document and by the text width.")
>      (license license:lgpl2.0)))
>=20=20
> +(define-public ocaml-crowbar
> +  (package
> +    (name "ocaml-crowbar")
> +    (version "0.2")
> +    (home-page "https://github.com/stedolan/crowbar")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url home-page)
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "0wjfc9irvirfkic32ivvj6qb7r838w08b0d3vmngigbjpjyc9b14"))))
> +    (build-system dune-build-system)
> +    (arguments
> +     ;; Tests require ocaml-xmldiff which requires OCaml 4.12.0
> +     `(#:tests? #f))
> +    (propagated-inputs
> +     `(("ocaml-ocplib-endian" ,ocaml-ocplib-endian)
> +       ("ocaml-cmdliner" ,ocaml-cmdliner)
> +       ("ocaml-afl-persistent" ,ocaml-afl-persistent)))
> +    (native-inputs
> +     `(("ocaml-calendar" ,ocaml-calendar)
> +       ("ocaml-fpath" ,ocaml-fpath)
> +       ("ocaml-uucp" ,ocaml-uucp)

The =E2=80=98ocaml-uucp=E2=80=99 package hasn=E2=80=99t been packaged yet.

> +       ("ocaml-uunf" ,ocaml-uunf)
> +       ("ocaml-uutf" ,ocaml-uutf)
> +       ("ocaml-pprint" ,ocaml-pprint)))
> +    (synopsis "Ocaml library for tests, let a fuzzer find failing cases")
> +    (description "Crowbar is a library for testing code, combining Quick=
Check-style
> +property-based testing and the magical bug-finding powers of
> +[afl-fuzz](http://lcamtuf.coredump.cx/afl/).")

Texinfo formatting:

  @uref{http://lcamtuf.coredump.cx/afl/, afl-fuzz}

The rest of v2 looks good.  :-)


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEQ+r4VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5aUgP/jhCGyp/HT/iDQYlipsjA8HGpGuM
a2BwzAdkutmnf7omjoB6KI3TkT+87HPU+mEUfVENmyZ5IXruVC+HboFCjiewmnLU
ihSVcyu5T76knL1R1+hXxkmbNCS/S+PLdqvKZyPPjELeQhYEldQf1rO3ew3AeaTX
oidhyfDX447jcNZC793GuF60ewh3ZYCEGcdlNQFtwu5D5cXvXXBBqW/1TAvVTaHB
s6SNYbu2Srr1uAiYzOyWbKGt/bHkdOXirL28THqyVvp6Q7wqmRsUyqtn6oEXGXA/
VXPyF9Bt1Y+BkFqrXPpxw7lblBylqFfWA/hT2xzGIeMsFBz/8QWfvNARdxgW3w0q
j2N4rqPD0VrkISjZ5IdqaGocn3lxz0vcp/WmNAf5kPz7iAuBeik0EFxRgIre4GXz
saT5kEqIBG6mt2ykJsDC+F3bzJhcjCTiutC8QxHNllsw/uPeHV71Rl5WyXJtd46Y
eJmaiAULvcVt3Zy/c2eqry7IvM1I40pf79txkIIB1T3J8mnFTDlyctWkos/GoYan
CvI6OvUjzerW0XHf/rp+VmNNbn3HZKrhCmGwU0JeRIZPNuAPGfizCewJr0k0BaUQ
EbE+9iWpwzYomHlf5+F4N/z/S1ESMsTzJosQTBSf2it27z4pmtG5/Q9ndgdUvutA
Q93b7fAFLsHyKSSm
=B0R/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 09:31:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 05:31:26 2021
Received: from localhost ([127.0.0.1]:55760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD1d0-0001CJ-Dd
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:31:26 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:42334
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mD1cx-0001C3-0f
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:31:25 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628501473;
 bh=iRTE4WfKaVA1vEuSIrkb7C2dW8YMcSPXS7EKGZMWCqY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=GGLa/lJzesAaF2508yLN8ggShUi55MkfMMpcuEz008Z4vI6VTNo61cJUNQkBZ8RHM
 ik/jmH5OxydZqxiW518SUhI3outD3WdTqRD1fY4qXKo3OrKJB9ZktzLyBkQhWh3r/L
 VG/XmsnHC47nuxfup9BLKum2fcI2EnqExSU8BOCw=
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#49867] [PATCH 24/29] gnu: Add ocaml-ca-certs.
In-Reply-To: <867dgw6rlg.fsf@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-24-pukkamustard@HIDDEN>
 <87fsvnkgzk.fsf@HIDDEN> <867dgw6rlg.fsf@HIDDEN>
Date: Mon, 09 Aug 2021 11:30:50 +0200
Message-ID: <87tujzoth1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Aug 08 2021,
 pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
 writes: > >>> + ;; Tests are failing as they require >>> certificates to
 be in /etc/ssl/certs >>> + #:tests? #f)) >> >> The same issue has been
 mentioned by NixOS [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Aug 08 2021, pukkamustard wrote: > Xinglu Chen <public@HIDDEN>
    writes: > >>> + ;; Tests are failing as they require >>> certificates to
   be in /etc/ssl/certs >>> + #:tests? #f)) >> >> The same issue has been mentioned
    by NixOS [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 08 2021, pukkamustard wrote:

> Xinglu Chen <public@HIDDEN> writes:
>
>>> +                 ;; Tests are failing as they require=20
>>> certificates to be in /etc/ssl/certs
>>> +                 #:tests? #f))
>>
>> The same issue has been mentioned by NixOS people on their bug
>> tracker[1], they solved[2] it by reading the NIX_SSL_CERT_FILE
>> environment variable, which automatically gets set in the build
>> environment if the =E2=80=98cacert=E2=80=99 package is specified as an i=
nput.  I=20
>> don=E2=80=99t
>> know if Guix does something similar.
>>
>> [1]: <https://github.com/mirage/ca-certs/issues/16>
>> [2]: <https://github.com/mirage/ca-certs/pull/17>
>>
>
> Thanks for the pointers.
>
> Inspired by the package definition for curl, I tried setting=20
> NIX_SSL_CERT_FILE with native-search-paths:
>
> ```
>     (native-search-paths
>      (list
>       (search-path-specification
>        (variable "NIX_SSL_CERT_FILE")
>        (file-type 'regular)
>        (separator #f)                   ;single entry
>        (files '("/etc/ssl/certs/ca-certificates.crt")))))
> ```
>
> and adding `nss-certs` to the native-inputs.
>
> However, this does not work. Some observations/questions:
>
> - The NIX_SSL_CERT_FILE does not appear in the=20
>   `environment-variables` file when running `guix build -K`. I=20
>   would have expected it to be set there.
> - `nss-certs` does not provide the `ca-certificates.crt` file. It=20
>   is built when creating a profile with the=20
>   `ca-certificate-bundle` hook. Is this run when creating a build=20
>   environment?
>
> I seem to be not understanding a lot of things about the build=20
> environment ... Pointers very welcome!

Maybe the environment variables in =E2=80=98native-search-paths=E2=80=99 ar=
e only set if
the package is installed in a profile (in ~/.guix-profile/etc/profile)?=20=
=20

I don=E2=80=99t think profile hooks are run in the build environment, so th=
at=E2=80=99s
probably why.

In Nix, the bundle is created during the build phase[1], not sure if we
should do this too.

I think it=E2=80=99s fine to disable tests for now, but it would be great t=
o see
what other people think too.

[1]: https://github.com/nixos/nixpkgs/blob/master/pkgs/data/misc/cacert/def=
ault.nix#L53

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEQ9csVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5fV4P/3AHvdhEEaCLNezGIqe9dO/GkG6E
p0mnINAMOabkpZPb7AWNC/1UQyNuHXQJZu17fPyRt51DESQIWeYrcnTQRmxNRh4z
dClCw1ejD7qOcOTHodrt9vghOZ5ZfKe5qs4HLzniL8GHb3mE1NYL+cPXd+/bHIu2
iT/TVk52wJcXoYVwPJyyw9scf8oPF/PWkszk24ZVgDsd8R4DQ5rvGVgYM0+slr7K
YyFmbjT9sxMk5Hjcpm8xAbWcurbsej3LXO1B7IrGMjitLnT2Ecd/7mymapkKu8HK
IOIcwpCYOGQMhq6TES3h1njdi5puv75+l+nXxmt5yLxtz0+1NQvtXLYn9FNVLKtH
JkBMiQxlEff4N+9Q1CwmMGipKT0EzIUijoyU1DVfiEDt7EYVDQcqT3jyeMLvGNJi
qARUo8rry825iLaJhF/9olcXTMscMj3gCqfAvxyTiR9bFEIRppRjzemAWqU0hkrR
d4bu6MdBYxqdaBs7JSBTiFxo9oi7hU6mA7UusKi65kpORx9B/ACXTcUjXO6Aw8es
Oh51f/eWkwXQitHM2yjCpnXEbtujHZVv/VJiOWnpu6V4i1DAq5Lfn575xSlp4YeX
GO/n5l2TLJQ07yiEsUnTG6D8lPYM2T/QlefiUSdeRvsFpmytnhzEldB51V/5LQGa
BZoqgwqdaN/HLvEz
=GU+q
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:23 2021
Received: from localhost ([127.0.0.1]:55548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIl-0003fn-1n
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:23 -0400
Received: from mout02.posteo.de ([185.67.36.66]:49167)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIR-0003av-Sa
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 0D6FA240103
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492518; bh=WCgdQEVYLDPW2DuulGsjT/MU623DHIacuhQHu3nEc74=;
 h=From:To:Cc:Subject:Date:From;
 b=auBjptAKeEw8KSraO2DRXMXKS4PwFCNysm7v0MU7dCuy6id2fG+9wW36aTaUAhCl0
 Wl9/Xq4IeV6NZfKYODUlntXe7tORE1kdlzstkIQgZj8QrxHgX1j1WqzBzSW5NUqDTS
 DtVW23ZTum4zGm7nYPGr4KVJC2El3eixMPT5j6FmphJ3Gv3Oj+xZAD+5GBfxXkPH44
 RgHnc4W+99cSaY40L6BgyDSFoPe/NyEoWw+Pk2c+bQGPlThaloP0RwBMrOG9Ei/FDV
 Ns90P+sNbSFPyCa654NLJc9fOQ69DohOGrPbnxubMKM27aXIqUJpPpD4ytZwQcQPg+
 5FNFLivsyqP6Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7n2QcYz6tmK;
 Mon,  9 Aug 2021 09:01:57 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 31/31] gnu: Add ocaml-cohttp-lwt-unix
Date: Mon,  9 Aug 2021 07:01:24 +0000
Message-Id: <20210809070124.25641-31-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cohttp-lwt-unix): New variable.
---
 gnu/packages/ocaml.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 42e6fd2e94..8965f5920d 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7424,6 +7424,29 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-cohttp-lwt-unix
+  (package
+    (inherit ocaml-cohttp)
+    (name "ocaml-cohttp-lwt-unix")
+    (arguments `(#:package "cohttp-lwt-unix"
+                 ;; tests require network
+                 #:tests? #f))
+    (propagated-inputs
+     `(("ocaml-conduit-lwt" ,ocaml-conduit-lwt)
+       ("ocaml-conduit-lwt-unix" ,ocaml-conduit-lwt-unix)
+       ("ocaml-cmdliner" ,ocaml-cmdliner)
+       ("ocaml-magic-mime" ,ocaml-magic-mime)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-cohttp-lwt" ,ocaml-cohttp-lwt)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-lwt-ssl" ,ocaml-lwt-ssl)))
+    (native-inputs `(("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml HTTP implementation for Unix using Lwt")
+    (description "This Ocaml package provides an implementation of an HTTP
+client and server for Unix using the Lwt concurrency library.")))
+
 (define-public ocaml-magic-mime
   (package
     (name "ocaml-magic-mime")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:23 2021
Received: from localhost ([127.0.0.1]:55546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIk-0003fg-Nz
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:23 -0400
Received: from mout02.posteo.de ([185.67.36.66]:59863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIR-0003ao-E1
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:03 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 9B713240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492517; bh=2sNuR5ObTG6lT4pVhESea8hedyhUd3HbusxOcOVx2gc=;
 h=From:To:Cc:Subject:Date:From;
 b=ppNJN+SP46whcIWuLIdzNWiJV56ZU+Dd3HzrfMsUH5ZKe3ku91hvU8IX0ZLpwVwDo
 hPVJgUHf6ZitMMe+EO5PC0tI5mWOqQx0Py+6Sb1FBgNXIAltjAFzZPLbq0briXmBWu
 F1pAjPgs2uS0F2qmT+FgNmcsBGUKQwAnDBAZSEhuoiERx9CVFBGFH8/AtEN8lDHiIK
 C8tBcKsemMj+NIXDiFdcFv3nGUQWPCvZKznZxuVZ5cw6JpU5pzSuWhwugOISqaxf3d
 kIoA4DJWO5P5MB8fNHjk3AOr874lq9mMr43L4TIS5Q3K725gcF51rsr0HUP/6AmHU0
 Oq+BeM6dXBXWQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7m1nvZz6tmK;
 Mon,  9 Aug 2021 09:01:56 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 30/31] gnu: Add ocaml-magic-mime.
Date: Mon,  9 Aug 2021 07:01:23 +0000
Message-Id: <20210809070124.25641-30-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-magic-mime): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index b35994231d..42e6fd2e94 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7424,6 +7424,31 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-magic-mime
+  (package
+    (name "ocaml-magic-mime")
+    (version "1.2.0")
+    (home-page "https://github.com/mirage/ocaml-magic-mime")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1pmwxw5n0lxbp7b9z1wplkn0cfl816cbacx3cdj2912n5zyjpjnk"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (synopsis "OCaml library for mapping filenames to common MIME types")
+    (description "This library contains a database of MIME types that maps
+filename extensions into MIME types suitable for use in many Internet
+protocols such as HTTP or e-mail.  It is generated from the @file{mime.types}
+file found in Unix systems, but has no dependency on a filesystem since it
+includes the contents of the database as an ML datastructure.")
+    (license license:isc)))
+
 (define-public ocaml-domain-name
   (package
     (name "ocaml-domain-name")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:22 2021
Received: from localhost ([127.0.0.1]:55544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIk-0003fY-EN
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:22 -0400
Received: from mout02.posteo.de ([185.67.36.66]:44925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIP-0003aI-TW
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:02 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 34D11240103
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492516; bh=zaAGlMnZ40xFAodnJpHT7EPZYiZFcUeAOEr9Kg0tYUc=;
 h=From:To:Cc:Subject:Date:From;
 b=KFLB9mxdJ4ivltfmkB176k3nl3QdrUOpN3IRQB49ecuusivnvDHz7GrzfbiwAjnBY
 n7c4yuEoSc85coa7Tnpwj7NS131GdXKwKGjNZK7DNjOT6FIm4efly5r2VJchhC1AOH
 h9POzE08YVKAIUINsi9esohawwzo4FxA6cNiY/R7rXxFP3K3UIent3FslNwknfvecZ
 DYvpHJTJqkwPwapY6cxyiLBM9NmsEwXH18T44U9TigNYod2hh3xq348w3TVbCb52Dh
 PWF2NhAdcgYQsTnBIpSnFSBoChyoYDjb8kXZeaMLZ6Xi4VW2wKQQwld9wtVAOwg3ck
 RWWIlqpxBUz6w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7l3qCCz6tmK;
 Mon,  9 Aug 2021 09:01:55 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 29/31] gnu: Add ocaml-conduit-lwt-unix.
Date: Mon,  9 Aug 2021 07:01:22 +0000
Message-Id: <20210809070124.25641-29-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-conduit-lwt-unix): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 3a0cc08c1e..b35994231d 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7606,6 +7606,32 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 @code{ocaml-ssl}, that performs I/O concurrently.")
     (license license:lgpl2.1+))) ; with linking exception
 
+(define-public ocaml-conduit-lwt-unix
+  (package
+    (inherit ocaml-conduit)
+    (name "ocaml-conduit-lwt-unix")
+    (arguments `(#:package "conduit-lwt-unix"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-logs" ,ocaml-logs)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-conduit-lwt" ,ocaml-conduit-lwt)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-uri" ,ocaml-uri)
+       ("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-ipaddr-sexp" ,ocaml-ipaddr-sexp)
+       ("ocaml-ca-certs" ,ocaml-ca-certs)))
+    (native-inputs
+     `(("ocaml-lwt-log" ,ocaml-lwt-log)
+       ("ocaml-ssl" ,ocaml-ssl)
+       ("ocaml-lwt-ssl" ,ocaml-lwt-ssl)))
+    (synopsis "OCaml library for establishing TCP and SSL/TLC connections
+using Lwt_unix")
+    (description "This OCaml library provides an implementation
+for establishing TCP and SSL/TLS connections for the @code{ocaml-conduit}
+signatures using Lwt_unix.")
+    (license license:isc)))
+
 (define-public ocaml-pprint
   (package
     (name "ocaml-pprint")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:22 2021
Received: from localhost ([127.0.0.1]:55542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIk-0003fR-4h
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:22 -0400
Received: from mout02.posteo.de ([185.67.36.66]:55491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIO-0003Zd-Di
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:00 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B8915240106
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492514; bh=kTQiBQ56yYAmNq9/+0QYwPmEM/BQMVe18ydMwxNlZR4=;
 h=From:To:Cc:Subject:Date:From;
 b=G2TP7cBe/0P93F5gmdVKkg1+PInPgBSbujJIT68r1WEqpks/ZRlG4kY6mSuU8ydUk
 OjMxKBYtDCsyCODv/WEZE04KuOB5HefbqMt+wUb0zeQE6JeO4zEGL33EzZ1NaG+dOV
 1GyiLD+1y6M8nTCPpnovpC79cZqENnzR5vFgxAlDLeLXq6X0A68QlFhz+6X6oH14Ua
 KvHYebiRoip7aROyrB+4rCapXNEenhIf3LpOGrh/cRixJouEz3SRRdp1aCL1+Nxvnp
 8AEapuyLIL20f6DglWKjw5Y4dDVS09nUVpCX3/lTNOXff8iGn5AQL69f0VzDp2W0lG
 LmAyOylS/liYA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7k1Bdcz6tmG;
 Mon,  9 Aug 2021 09:01:54 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 27/31] gnu: Add ocaml-ca-certs.
Date: Mon,  9 Aug 2021 07:01:20 +0000
Message-Id: <20210809070124.25641-27-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ca-certs): New variable.
---
 gnu/packages/ocaml.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index b7bdc8c711..b3becac967 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -8002,6 +8002,44 @@ which is also implemented by this library --- namely PKCS 1, PKCS 5, PKCS 7,
 PKCS 8, PKCS 9, PKCS 10, and PKCS 12.")
     (license license:bsd-2)))
 
+(define-public ocaml-ca-certs
+  (package
+    (name "ocaml-ca-certs")
+    (version "0.2.1")
+    (home-page "https://github.com/mirage/ca-certs")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0qkxdrqyah24fz80hwkycdj50nybfjfz9b04qscv01r2ifb0kqy5"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."
+                 ;; Tests are failing as they require certificates to be in /etc/ssl/certs
+                 #:tests? #f))
+    (propagated-inputs
+     `(("ocaml-astring" ,ocaml-astring)
+       ("ocaml-bos" ,ocaml-bos)
+       ("ocaml-fpath" ,ocaml-fpath)
+       ("ocaml-rresult" ,ocaml-rresult)
+       ("ocaml-ptime" ,ocaml-ptime)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-x509" ,ocaml-x509)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis
+     "Detect root CA certificates from the operating system")
+    (description
+     "TLS requires a set of root anchors (Certificate Authorities) to
+authenticate servers.  This library exposes this list so that it can be
+registered with ocaml-tls.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:22 2021
Received: from localhost ([127.0.0.1]:55540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIj-0003fK-QA
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:22 -0400
Received: from mout01.posteo.de ([185.67.36.65]:33149)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIN-0003ZL-Nn
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:00 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 29A0B240029
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492514; bh=ZEqyw5/wRrCDhJHsN8ROlJ47QSWUh9/xmaVoNa5kqRQ=;
 h=From:To:Cc:Subject:Date:From;
 b=qXzU3R3Seu7Sol9qart00lodjYHcxf/pHDpd548VAMwpzt/lysZ5CR/A6HXFH2HSu
 dPVecl+TLDKnxvHOyquqbORbJKbLLZr5GsgAR7VRCTjPQqao7bZpiUek6DqcMu7MXv
 fGrIQWJFk/uy7PeCwCh2/DO5gDsSjwP6wiTETLZ7SG2Y41veEbFcM3NJOyp7ZqSfQ6
 bxbSyv0rD06iLcJCaTTSEkP4bSzwtFqfFnUqhENmoD5VxZ+8mImWuyKd65cjImLAnf
 kRbJ7zXtNNDaj8MX2c6NQhHoLDjdqHSmYhacC1qtMFUN24DTdPaSU+kHWt4665bqZy
 gWGn5NgnoxUKg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7j4FGvz6tmG;
 Mon,  9 Aug 2021 09:01:53 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 26/31] gnu: Add ocaml-x509.
Date: Mon,  9 Aug 2021 07:01:19 +0000
Message-Id: <20210809070124.25641-26-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-x509): New variable.
---
 gnu/packages/ocaml.scm | 46 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index e358042e41..b7bdc8c711 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7956,6 +7956,52 @@ to create a type-safe heterogenous maps.")
 2 as defined by PKCS#5 using @code{ocaml-mirage-crypto}.")
     (license license:bsd-2)))
 
+(define-public ocaml-x509
+  (package
+    (name "ocaml-x509")
+    (version "0.14.0")
+    (home-page "https://github.com/mirleft/ocaml-x509")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0b51vzyxxkhwgx12dg55clb1lb971cxlmsk4wlxzs5h115j5hcy7"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-asn1-combinators" ,ocaml-asn1-combinators)
+       ("ocaml-ptime" ,ocaml-ptime)
+       ("ocaml-base64" ,ocaml-base64)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mirage-crypto-pk" ,ocaml-mirage-crypto-pk)
+       ("ocaml-mirage-crypto-ec" ,ocaml-mirage-crypto-ec)
+       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
+       ("ocaml-rresult" ,ocaml-rresult)
+       ("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-gmap" ,ocaml-gmap)
+       ("ocaml-domain-name" ,ocaml-domain-name)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-pbkdf" ,ocaml-pbkdf)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-cstruct-unix" ,ocaml-cstruct-unix)))
+    (synopsis "Public Key Infrastructure (RFC 5280, PKCS) purely in OCaml")
+(description "X.509 is a public key infrastructure used mostly on the
+Internet.  It consists of certificates which include public keys and
+identifiers, signed by an authority.  Authorities must be exchanged over a
+second channel to establish the trust relationship.  This OCaml library
+implements most parts of RFC5280 and RFC6125.  The Public Key Cryptography
+Standards (PKCS) defines encoding and decoding (in ASN.1 DER and PEM format),
+which is also implemented by this library --- namely PKCS 1, PKCS 5, PKCS 7,
+PKCS 8, PKCS 9, PKCS 10, and PKCS 12.")
+    (license license:bsd-2)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:21 2021
Received: from localhost ([127.0.0.1]:55538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIj-0003fC-Gp
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:21 -0400
Received: from mout02.posteo.de ([185.67.36.66]:40645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIM-0003Yo-84
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 82C84240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492512; bh=GZ21TnMxGbxhqJjjPreOiR8GA3hYieh/b7cK7FVDs24=;
 h=From:To:Cc:Subject:Date:From;
 b=UkO9BnlHa+8X3ANLGQSVU/mQsLOrMUwuEQ+92kZ/c3FEhLmpqwJRH1+7fJp7kcEj1
 IyozotEe2RRwOI/fdJjfUkAXuDz9r8FZEwjONlUoLmeCkpAcgivpFe/INdh8oQ7j1B
 UfCXn4ezBCAFSMiz5GBU3T5xvJM/qDmBFhKKGKZ0OQ4+rq3elyNg4TpAt4N6NvCBld
 iZuUvJKsmzqdzzyB5EPzn49RoJFwyVaxE4wy0DRm5/lcSBivx+iMxvGnTif49gk1Bj
 +cixZ3DULRHOV80HhhjRcpwtn7zC/GDgh+vCy3W6/RVXGt9JVaeQVgU1sJfaqMV9qA
 iTwJrlwZaTwvg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7g6ZsLz6tmG;
 Mon,  9 Aug 2021 09:01:51 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 24/31] gnu: Add ocaml-pbkdf.
Date: Mon,  9 Aug 2021 07:01:17 +0000
Message-Id: <20210809070124.25641-24-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-pbkdf): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index d37a40d22e..df825d1ec3 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7913,6 +7913,32 @@ Algebraic Data Type")
 to create a type-safe heterogenous maps.")
     (license license:isc)))
 
+(define-public ocaml-pbkdf
+  (package
+    (name "ocaml-pbkdf")
+    (version "1.1.0")
+    (home-page "https://github.com/abeaumont/ocaml-pbkdf")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0scq1i7hiy8dgjdfrcaca3k7wzys35k1g2cdg7v4kfdqr6q1scb3"))))
+    (build-system dune-build-system)
+    (propagated-inputs
+     `(("ocaml-mirage-crypto" ,ocaml-mirage-crypto)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library for password based key derivation functions
+(PBKDF) from PKCS#5")
+    (description "This package provides an OCaml implementation of PBKDF 1 and
+2 as defined by PKCS#5 using @code{ocaml-mirage-crypto}.")
+    (license license:bsd-2)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:21 2021
Received: from localhost ([127.0.0.1]:55536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIj-0003f5-8H
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:21 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIL-0003Yg-EU
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:57 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D160624002F
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492511; bh=8yLCOXdkxxzBwliTrL2/JuI2FXM7mzwIAVRmMhrHYig=;
 h=From:To:Cc:Subject:Date:From;
 b=Fs18+OUXi3CkFJgytA+V2KZvhWBgW/axIoEbOc/Eh0csLWydGfGN+HOFq9Ei2/v2+
 oB2n04KouSdFV+vU3q9GCJoQ1rBVDD36v2ajVeHWgS+BtqVmXQCoh0vOYUeavaNsGP
 RFqGyvM5acebTHPU+UGjx41rPjT+lSY7OnCIW7ot5lkrZ5DhUKvQepA1Cpz8hFWRvr
 n5CrBGVcbn7UumIJsI9FW+/b6RH3xAh5c2rH05sA05wQGs74JOr1/3fseGyv6jYrJM
 9XeGGeWjPba/Fd1ZgIqMrch/P36DFIRqf6D9KAuCDjATgEWG5ssFA1OxyfH8pPI/f2
 hq7KTawRXBl9g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7g1Dw4z6tmH;
 Mon,  9 Aug 2021 09:01:50 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 23/31] gnu: Add ocaml-gmap.
Date: Mon,  9 Aug 2021 07:01:16 +0000
Message-Id: <20210809070124.25641-23-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-gmap): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 7ef2468d9a..d37a40d22e 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7887,6 +7887,32 @@ The only ASN.1 encodings currently supported are BER and DER.")
     ;; See https://github.com/mirage/mirage-crypto/blob/main/ec/LICENSE.md
     (license license:expat)))
 
+(define-public ocaml-gmap
+  (package
+    (name "ocaml-gmap")
+    (version "0.3.0")
+    (home-page "https://github.com/hannesm/gmap")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0880mhcybr662k6wnahx5mwbialh878kkzxacn47qniadd21x411"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-fmt" ,ocaml-fmt)))
+    (synopsis "OCaml library for heterogenous maps over a Generalized
+Algebraic Data Type")
+    (description "@code{ocaml-gmap} exposes an OCaml functor which can be used
+to create a type-safe heterogenous maps.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:21 2021
Received: from localhost ([127.0.0.1]:55534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIi-0003ey-Ug
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:21 -0400
Received: from mout01.posteo.de ([185.67.36.65]:45281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIJ-0003YD-Um
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:56 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 76E2D240029
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492515; bh=F39SW1+jW7V0wNSW4jj2O7LXt6eNzOVWMKIyPAbjCzE=;
 h=From:To:Cc:Subject:Date:From;
 b=j524/6yJqgYQm381hAhJBuGMCX4nEgi2aSXpPbghSo1Sb+qL57CB/b/tZyTbqOd4E
 B+gFJj7laKoi6AA+IdkYqO0sniZrK68bIa1VUJT1mhjcOzVc+KROTXr2RHYN9xmikz
 rgNpbaxe4a4rBXrEmmN7mzNW0TbnzrSGKq7DzqH7fEssP4CANajJLsyz9gL16PWa3N
 wYaF/eDX2rcIaZUW3jD4TOsdHbkxonauEnZ64rMkLZ78WXrS1oD6e4I/wIs7qzuOiq
 Cxob96sK5D/v+DvDDh/u7DqGGWX9GHf4Du5bvMw7faNlotnGFw9m6LFXDxgWPlsTqo
 Jlcq01vzhJadQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7k6W9hz6tmH;
 Mon,  9 Aug 2021 09:01:54 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 28/31] gnu: Add ocaml-lwt-ssl.
Date: Mon,  9 Aug 2021 07:01:21 +0000
Message-Id: <20210809070124.25641-28-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-lwt-ssl): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index b3becac967..3a0cc08c1e 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7580,6 +7580,32 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 @code{ocaml-lwt}.")
     (license license:isc)))
 
+(define-public ocaml-lwt-ssl
+  (package
+    (name "ocaml-lwt-ssl")
+    (version "1.1.3")
+    (home-page "https://github.com/ocsigen/lwt_ssl")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0v417ch5zn0yknj156awa5mrq3mal08pbrvsyribbn63ix6f9y3p"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-ssl" ,ocaml-ssl)))
+    (properties `((upstream-name . "lwt_ssl")))
+    (synopsis "OpenSSL binding for OCaml with concurrent I/O")
+    (description "This OCaml library provides an Lwt-enabled wrapper around
+@code{ocaml-ssl}, that performs I/O concurrently.")
+    (license license:lgpl2.1+))) ; with linking exception
+
 (define-public ocaml-pprint
   (package
     (name "ocaml-pprint")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:21 2021
Received: from localhost ([127.0.0.1]:55532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIi-0003er-Il
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:20 -0400
Received: from mout02.posteo.de ([185.67.36.66]:58207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIJ-0003YQ-Af
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:55 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id A8352240105
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492509; bh=cBgX3MTrDtsmPSnwybqZ+t4RzBSSpb7x2dFkbjHmTgs=;
 h=From:To:Cc:Subject:Date:From;
 b=XUh9NY0Cgicpw3y6VfJ0Gv4XFVoLsMRIQh9mufk1B9v+1O2HfunWa6zyw2z0v38pX
 dc2xtvag2zBHuNvZRZG4/zd9wwjUIDI26BbXhxtPAnnZD9FF8lDMCCIoUSUXiSfp8t
 sBgboLig0aWt2U9rT7QO3/wG3zoHDSpsWW0oMx4r0oQDml/iXWrIpYK9obnA9Fg5/t
 20Lmgx3TPZa9Lodadq5lQvUhb+hMQ/g4aiK2JImqSImDCfoA5x3iTbY7ZPi5NxkdWn
 Jc0shX1Yhw6K76d3QT0I4iBOQdfqZlO0jPy9Qgmyk2o3HZL3/npOuMrWu6kQkVfBzY
 KztCzGWypuJ5Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7d06Pcz6tmK;
 Mon,  9 Aug 2021 09:01:48 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 21/31] gnu: Add ocaml-ppx-deriving-yojson.
Date: Mon,  9 Aug 2021 07:01:14 +0000
Message-Id: <20210809070124.25641-21-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving-yojson): New variable.
---
 gnu/packages/ocaml.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 92562d1c3a..0a431b2563 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -4555,6 +4555,35 @@ generating code based on type definitions, and a set of useful plugins for
 common tasks.")
     (license license:expat)))
 
+(define-public ocaml-ppx-deriving-yojson
+  (package
+    (name "ocaml-ppx-deriving-yojson")
+    (version "3.6.1")
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving_yojson")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1icz5h6p3pfj7my5gi7wxpflrb8c902dqa17f9w424njilnpyrbk"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-yojson" ,ocaml-yojson)
+       ("ocaml-result" ,ocaml-result)
+       ("ocaml-ppx-deriving" ,ocaml-ppx-deriving)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)))
+    (native-inputs `(("ocaml-ounit" ,ocaml-ounit)))
+    (properties `((upstream-name . "ppx_deriving_yojson")))
+    (synopsis "JSON codec generator for OCaml")
+    (description "@code{ocaml-ppx-deriving-yojson} is an OCaml ppx_deriving
+plugin that provides a JSON codec generator.")
+    (license license:expat)))
+
 (define-public ocaml-craml
   (package
     (name "ocaml-craml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:20 2021
Received: from localhost ([127.0.0.1]:55530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIi-0003ej-82
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:20 -0400
Received: from mout02.posteo.de ([185.67.36.66]:46601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIJ-0003YO-0g
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:55 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 272B1240107
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492509; bh=uhB5PdWE11QwvBQgyJerwz9oc9dgnlLaDD9Eg33lyLM=;
 h=From:To:Cc:Subject:Date:From;
 b=c2nm1Ea0IzZJRyAfes3468ITWX1w1M7zQi9xlop7JYAolOzzK5llPrIcWoQABVUJ0
 HO2vCP9F1Nx+/bmRHGEOoXPnD+0bD+OGZHQCX3VUS/RHrYKH+Ek5n6X9DFnQq/P+vX
 sypBQjy5FwagnBzLO3WE3aBo5Sd7IMZ7B+e3Oj6A2pOXwytQRJXDZCguD74b7NeG01
 NQK/mQoNlIPeroyPENoEzfs0uIMJvOPA0A5ys/31NzwiYY4SmLVBpyL3FtTp37FPAW
 v5Q5loAQFQ0f4j9mdF72PExNYJ71VgNgb0KF0YQchkP9qcHwEQMZk4sQtZegE7PAf1
 NU2vDQuBIcofA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7c32Swz6tmL;
 Mon,  9 Aug 2021 09:01:48 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 20/31] gnu: Add ocaml-ppx-deriving.
Date: Mon,  9 Aug 2021 07:01:13 +0000
Message-Id: <20210809070124.25641-20-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
---
 gnu/packages/ocaml.scm | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index de3ae3eb9d..92562d1c3a 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -4523,7 +4523,38 @@ speedup, polymorphic variants and optional syntax for tuples and variants.
 yojson package.  The program @code{atdgen} can be used to derive OCaml-JSON
 serializers and deserializers from type definitions.")
     (license license:bsd-3)))
- 
+
+(define-public ocaml-ppx-deriving
+  (package
+    (name "ocaml-ppx-deriving")
+    (version "5.2.1")
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1wqcnw4wi6pfjjhixpakckm03dpj990259za432804471a6spm2j"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-derivers" ,ocaml-ppx-derivers)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)
+       ("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocaml-cppo" ,ocaml-cppo)
+       ("ocaml-ounit2" ,ocaml-ounit2)))
+    (properties `((upstream-name . "ppx_deriving")))
+    (synopsis "Type-driven code generation for OCaml")
+    (description "This OCaml library provides common infrastructure for
+generating code based on type definitions, and a set of useful plugins for
+common tasks.")
+    (license license:expat)))
+
 (define-public ocaml-craml
   (package
     (name "ocaml-craml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:20 2021
Received: from localhost ([127.0.0.1]:55528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIi-0003ec-0B
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:20 -0400
Received: from mout01.posteo.de ([185.67.36.65]:53017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIH-0003Xp-VR
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:54 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 9439B24002A
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492513; bh=LQKhDfC76P83xcLITgp25GRls1zTWmVV/Jcx/+8j4Ow=;
 h=From:To:Cc:Subject:Date:From;
 b=i315vx+7zIE9ZBvG12/+LMirOfhdDw9jtnIuOMGUzKI2Es5beBzH7Zw+fLViIM7Gg
 V7uURnkNSUdxBwW1daESaCvF3h7cZnRG6a+zDA+apxE8Yx2r0bd2CujEyT7ZhQmnxt
 Gvhv8y5Lkol4pBojjroz1E4wkoOiSl3WlV3YdF9hvFlDLbMMdiIJcIJGkTx8qZeInQ
 5bW2Rzek3RDukUcAY8VoXp0jc0dDfZUHRrY8fkSZ5KoEWjH0v2CBn4Pi7J8vyAqZbo
 dzaWLL0QQzEucP/6emzSi8884Ej/ArZxSPA0sg4nbmMX6x4hLWO5sGfgoPQkjeL/8Q
 MlHPy6BUS0+/A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7h4ppMz6tmG;
 Mon,  9 Aug 2021 09:01:52 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 25/31] gnu: Add ocaml-cstruct-unix.
Date: Mon,  9 Aug 2021 07:01:18 +0000
Message-Id: <20210809070124.25641-25-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cstruct-unix): New variable.
---
 gnu/packages/ocaml.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index df825d1ec3..e358042e41 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -3412,6 +3412,23 @@ to access C-like structures directly from OCaml.  It supports both reading and
 writing to these structures, and they are accessed via the Bigarray module.")
     (license license:isc)))
 
+(define-public ocaml-cstruct-unix
+  (package
+    (inherit ocaml-cstruct)
+    (name "ocaml-cstruct-unix")
+    (build-system dune-build-system)
+    (arguments
+     `(#:package "cstruct-unix"
+       #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "Unix variation of the @code{ocaml-cstruct} library")
+    (description "Cstruct is a library and syntax extension to make it easier
+to access C-like structures directly from OCaml.  It supports both reading and
+writing to these structures, and they are accessed via the `Bigarray`
+module.")
+    (license license:isc)))
+
 (define-public ocaml-hex
   (package
     (name "ocaml-hex")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:02:20 2021
Received: from localhost ([127.0.0.1]:55526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIh-0003ea-No
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:02:19 -0400
Received: from mout01.posteo.de ([185.67.36.65]:45281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIH-0003YD-U5
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:54 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 584B9240029
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492508; bh=rfeWpkvNgqWB5RB19T7JhV6b6jT6IctpS367USC2jbs=;
 h=From:To:Cc:Subject:Date:From;
 b=hxfiV6m7P9vmf6EhRleog/k+S7D8qZ4tsgKyuRAlU++UTQHaLisTCPnzTSTWpm0+0
 LSTwfCbG7Jk37r1kEj7CtMJfPq/lVbZq/4kCr0g3ntJaa0iLKPaHa2s0nOACISQXCp
 93B1JsEzsdcynjccR08vfOjfD3d0hvEuukTNPj4qmmqfHRxvbuXtSZNM6RjSWQlIG1
 xQt1LGV2SsWpjG2a6DCk/0J5ZiRPSKpVxEej8mczeE7qD/IbLPXd7hQ5ALjtVPZPEW
 phLl355berqHkD9AjSaUfKJpLLR4HWoSTrve13v5qbnAWFP1O6c9eFKTpzGpdNc8EZ
 7/evTJzHEWM9w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7b5jwlz6tmK;
 Mon,  9 Aug 2021 09:01:47 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 19/31] gnu: Add ocaml-asn1-combinators.
Date: Mon,  9 Aug 2021 07:01:12 +0000
Message-Id: <20210809070124.25641-19-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-asn1-combinators): New variable.
---
 gnu/packages/ocaml.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 7af276a517..de3ae3eb9d 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7758,6 +7758,41 @@ The additional Ptime_clock library provides access to a system POSIX clock and
 to the system's current time zone offset.")
     (license license:isc)))
 
+(define-public ocaml-asn1-combinators
+  (package
+    (name "ocaml-asn1-combinators")
+    (version "0.2.5")
+    (home-page "https://github.com/mirleft/ocaml-asn1-combinators")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0n7afzyqc3b7g7rl54ccw31431h6g145zvpzg34q0y4m5gzjv5h5"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-zarith" ,ocaml-zarith)
+       ("ocaml-bigarray-compat" ,ocaml-bigarray-compat)
+       ("ocaml-stdlib-shims" ,ocaml-stdlib-shims)
+       ("ocaml-ptime" ,ocaml-ptime)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (inputs `(("gmp" ,gmp)))
+    (synopsis "OCaml library for embedding typed ASN.1 grammars")
+    (description "@{ocaml-asn1-combinators} is an OCaml library for expressing
+ASN.1 in OCaml.  This allows you to skip the notation part of ASN.1, and embed
+the abstract syntax directly in the language.  These abstract syntax
+representations can be used for parsing, serialization, or random testing.
+
+The only ASN.1 encodings currently supported are BER and DER.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:59 2021
Received: from localhost ([127.0.0.1]:55495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIN-0003b4-8U
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:59 -0400
Received: from mout01.posteo.de ([185.67.36.65]:58705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIF-0003XP-Uw
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:52 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 191AF24002B
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492511; bh=Ed9tfPYogn3LmqykwggpXGL1GtJ1t0cQeXQJyQuQpkY=;
 h=From:To:Cc:Subject:Date:From;
 b=n0C4pSZ+EqESaFLz5rZ/2Zeyos6xTooDGMyHpU3xeoNHLd2NetHLHR+gjK2mYfEgh
 suM61m7egFFXa0SxFgdcI82XefsviVKGEAhd4mEmNvxVOTI5Bo0qTOAD2I64wvTA7m
 vGOWAA8XUJFIUNOaRzUPsssFDFKtcFVeUeeqJgrjOxhtiWAGhIRuT564v3bawGVN5Y
 BrDb4vslkhU70n1iRsqiOWPuLKbCwPJVmBddKzt2QC1Z6VZcqt6bGSr2WFxZKvKRus
 vbgFCQN2gA3qQBM0qHmLoRjPa8G6px85ouVaceSK2TPKNKKMlU0jpdIfk9xaRGERlE
 jDBH26bbgOFOQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7d5S14z6tmL;
 Mon,  9 Aug 2021 09:01:49 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 22/31] gnu: Add ocaml-mirage-crypto-ec.
Date: Mon,  9 Aug 2021 07:01:15 +0000
Message-Id: <20210809070124.25641-22-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto-ec): New variable.
---
 gnu/packages/ocaml.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 0a431b2563..7ef2468d9a 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7853,6 +7853,40 @@ representations can be used for parsing, serialization, or random testing.
 The only ASN.1 encodings currently supported are BER and DER.")
     (license license:isc)))
 
+(define-public ocaml-mirage-crypto-ec
+  ;; FIXME: This package contains generated code (see
+  ;; https://github.com/mirage/mirage-crypto/blob/main/ec/native/README.md). These
+  ;; should be re-generated during the build process.
+  (package
+    (inherit ocaml-mirage-crypto)
+    (name "ocaml-mirage-crypto-ec")
+    (arguments `(#:package "mirage-crypto-ec"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
+       ("gmp" ,gmp)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("ocaml-randomconv" ,ocaml-randomconv)
+       ("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-mirage-crypto-pk" ,ocaml-mirage-crypto-pk)
+       ("ocaml-hex" ,ocaml-hex)
+       ("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-asn1-combinators" ,ocaml-asn1-combinators)
+       ("ocaml-ppx-deriving-yojson" ,ocaml-ppx-deriving-yojson)
+       ("ocaml-ppx-deriving" ,ocaml-ppx-deriving)
+       ("ocaml-yojson" ,ocaml-yojson)))
+    (synopsis "OCaml library providing Elliptic Curve Cryptography")
+    (description "This OCaml library provides an implementation of key exchange
+(ECDH) and digital signature (ECDSA/EdDSA) algorithms.  The curves P224
+(SECP224R1), P256 (SECP256R1), P384 (SECP384R1),P521 (SECP521R1), and 25519
+(X25519, Ed25519) are implemented by this package.")
+    ;; See https://github.com/mirage/mirage-crypto/blob/main/ec/LICENSE.md
+    (license license:expat)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:59 2021
Received: from localhost ([127.0.0.1]:55493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIM-0003aq-Hj
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:59 -0400
Received: from mout01.posteo.de ([185.67.36.65]:53017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIF-0003Xp-Sq
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:52 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 522E5240028
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492506; bh=/eF2lyokZui5qP8prSARLXrcP7Qhvp1nslp0OQljCX0=;
 h=From:To:Cc:Subject:Date:From;
 b=j5+lPGUwbC/JWMtFtWDMHF0uJVba8dRmfWUOqnQ0XMWSt9GHVL4MnS8Q2xwIkq3fF
 OhEaWG7wVqbzWBtN1NRt0bGJHCBema74JnwhKyScqKFLpHclzl3/ix7NdsqZfAVaDp
 3C8cxBbtARxmcMRsdlBlnBqkpTSpDbBaa5O0ykoF18LXR3aimNX5NHlCarsoZKR6KT
 bDTYOKZj7IT5yUsVJGVfWrmBREqw3LWmVe97CZguXd5c7d0+/HyanZSVbKZNaBOvoA
 NJtMluEZQHmty41vPeqdD6Ojfu2ypT7iwl3aKWt8JqyXXBHLOXD0FnWtRhfrCf8sxt
 iXqVMU5z7kj7A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7Y1htsz6tmK;
 Mon,  9 Aug 2021 09:01:45 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 16/31] gnu: Add ocaml-mirage-crypto-rng.
Date: Mon,  9 Aug 2021 07:01:09 +0000
Message-Id: <20210809070124.25641-16-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto-rng): New variable.
---
 gnu/packages/ocaml.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 669faf9729..b6cf98b82f 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7673,6 +7673,27 @@ between various time units.")
 as (C-like structures using @code{ocaml-cstruct}) to OCaml native numbers.")
     (license license:isc)))
 
+(define-public ocaml-mirage-crypto-rng
+  (package
+    (inherit ocaml-mirage-crypto)
+    (name  "ocaml-mirage-crypto-rng")
+    (arguments `(#:package "mirage-crypto-rng"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-duration" ,ocaml-duration)
+       ("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mtime" ,ocaml-mtime)
+       ("ocaml-lwt" ,ocaml-lwt)))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-randomconv" ,ocaml-randomconv)))
+    (synopsis "Cryptographically secure pseudo-random number generator in
+OCaml")
+    (description "@code{ocaml-mirage-crypto-rng} provides an OCaml random
+number generator interface, and implementations.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:58 2021
Received: from localhost ([127.0.0.1]:55489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIL-0003aZ-Sv
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:58 -0400
Received: from mout01.posteo.de ([185.67.36.65]:58705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIE-0003XP-K2
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:50 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0D139240029
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:45 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492505; bh=wXAX89x24Modonr06EDj8bDfpNBLhEyDZkTarEaIoZg=;
 h=From:To:Cc:Subject:Date:From;
 b=FqE3GsZsPSvsARhNl3dUh3FRbeDcDsSIVvMdE/FzB9CniledAvwVxoQhuVI22DgMc
 P6D1dfJo7u6kSI4LuG6PByQ539cVv4VLMXzdxZ+vk7tUlE6MWN9geWUHdjy6Ej9Lz7
 brzldwNEbk4zVLwBvdCm/gJllaDruy+D0ifINADKeL9qNHu+3mIkAbLaUu+zmE2raG
 gWiUbGdcCiu0oIQ1hv75WA8zwPYWgMETLutb/qXqLI8s9ZIia0oT5MsmzSX/XGxzjE
 wfxa9XOpmufpEJdVGWwoQ9nY/1y6NU/RXdwrERPdPe26az6NJLRhxpX2jCC6l0LgYF
 wEXIMbv4+xYPg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7X2tcJz6tmG;
 Mon,  9 Aug 2021 09:01:44 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 15/31] gnu: Add ocaml-randomconv.
Date: Mon,  9 Aug 2021 07:01:08 +0000
Message-Id: <20210809070124.25641-15-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-randomconv): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 53c7c3cc7b..669faf9729 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7648,6 +7648,31 @@ time duration as an usigned 64 bit integer.  This can be used for conversions
 between various time units.")
     (license license:isc)))
 
+(define-public ocaml-randomconv
+  (package
+    (name "ocaml-randomconv")
+    (version "0.1.3")
+    (home-page "https://github.com/hannesm/randomconv")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0pzq2zqz5bpy2snsvmn82hg79wfd0lmbbbhmhdvc8k20km86jqy7"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "OCaml library for converting random byte vectors to random numer")
+    (description
+     "This Ocaml library provides functions for converting random byte vectors
+as (C-like structures using @code{ocaml-cstruct}) to OCaml native numbers.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:57 2021
Received: from localhost ([127.0.0.1]:55485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIL-0003aS-EQ
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:57 -0400
Received: from mout01.posteo.de ([185.67.36.65]:53417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIC-0003Wp-Pw
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:49 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 3B70E240029
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492503; bh=PU+st5XYcOVoVGX9V7X3CcNKbn6xVLGWxOQAs5Bh438=;
 h=From:To:Cc:Subject:Date:From;
 b=CbxPKtAxqjO48Sm8TEzSdnt4Asf9T6oqz1AdaA30Y4xFufAGBCRceDlHjIe+yIAiJ
 60c4sQrTWuawTD68x3FsZ0ypbJ+LmtHsjox5BEtUjMOZ29HXhlDes5MT3D+rM3x//B
 WKTaiCsGVIz3oKan15MlQl775X5njWYdvfw4c0wfaqHI4CWI2AhHI6YvVjHNNludAh
 +ygTnwixThgrATDm0Dm/ylo5aDZQ4049oeXfhA/xYtFw7z42BQI5/qVCzkOFTbAA89
 RSVGps3iFNYIsmA5Txhvpqet0VGJEA/u34PeoS5VdO1M8pZ8duGAruYtQX+5fWUPLx
 W0pDlG7ZezhNg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7V49l2z6tmL;
 Mon,  9 Aug 2021 09:01:42 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 12/31] gnu: Add ocaml-eqaf.
Date: Mon,  9 Aug 2021 07:01:05 +0000
Message-Id: <20210809070124.25641-12-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-eqaf): New variable.
---
 gnu/packages/ocaml.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index dba715d2f5..7101cc6c2f 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7564,6 +7564,34 @@ property-based testing and the magical bug-finding powers of
 [afl-fuzz](http://lcamtuf.coredump.cx/afl/).")
     (license license:expat)))
 
+(define-public ocaml-eqaf
+  (package
+    (name "ocaml-eqaf")
+    (version "0.7")
+    (home-page "https://github.com/mirage/eqaf")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "06hsnnjax1kb3qsi3cj0nyyz8c2hj2gbw3h517gpjinpnwy2fr85"))))
+    (build-system dune-build-system)
+    (propagated-inputs
+     ;; required to build the eqaf.cstruct library (see https://github.com/mirage/eqaf/pull/27)
+     `(("ocaml-bigarray-compat" ,ocaml-bigarray-compat)
+       ("ocaml-cstruct" ,ocaml-cstruct)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-crowbar" ,ocaml-crowbar)))
+    (synopsis "OCaml library for constant-time equal function on string")
+    (description "This OCaml library provides an equal function on string in
+constant-time to avoid timing-attack with crypto stuff.")
+    (license license:expat)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:57 2021
Received: from localhost ([127.0.0.1]:55483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIK-0003aK-W4
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:57 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIC-0003Wm-Ae
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 96207240103
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492502; bh=HX6whJ2Jii+YzGptS+2jCxsDDqI/UFTPjGaxF0EU8EU=;
 h=From:To:Cc:Subject:Date:From;
 b=PYEzqB7j7eGVwr68oibQDjR0t0RpgK4GPtGX0LfwNR+RDQKwXgkKUuDZ60/hA1P3v
 nT8OYNUckSV9SgGPVVLj+W1QmSJCbvsfT4TiufS8obXOdEK9VzPHpINrteZ5C7GO94
 aI9U994KAz2jmZwl1dWlNMcr22ri2VH5q/gM8e469MyZpbF0btrCzOwWfeP+WWrQAp
 EAJGmcfS8SpBrtp77c3oa4FlnN6EY6SwUk5kot/As+/90pFpQ9XaLaxZuJOyrjPNkl
 kNaIzwpi9rdQL9VbH/P8TCYeGuHBjGSEmyGZb+G3R+Ve7gZPTRstCiYd5HiZO5azYH
 AUI2PBiftidyw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7T70xrz6tmG;
 Mon,  9 Aug 2021 09:01:41 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 11/31] gnu: Add ocaml-crowbar.
Date: Mon,  9 Aug 2021 07:01:04 +0000
Message-Id: <20210809070124.25641-11-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-crowbar): New variable.
---
 gnu/packages/ocaml.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 5a7acb4ba8..dba715d2f5 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7528,6 +7528,42 @@ breaks, while respecting the constraints imposed by the structure of the
 document and by the text width.")
     (license license:lgpl2.0)))
 
+(define-public ocaml-crowbar
+  (package
+    (name "ocaml-crowbar")
+    (version "0.2")
+    (home-page "https://github.com/stedolan/crowbar")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0wjfc9irvirfkic32ivvj6qb7r838w08b0d3vmngigbjpjyc9b14"))))
+    (build-system dune-build-system)
+    (arguments
+     ;; Tests require ocaml-xmldiff which requires OCaml 4.12.0
+     `(#:tests? #f))
+    (propagated-inputs
+     `(("ocaml-ocplib-endian" ,ocaml-ocplib-endian)
+       ("ocaml-cmdliner" ,ocaml-cmdliner)
+       ("ocaml-afl-persistent" ,ocaml-afl-persistent)))
+    (native-inputs
+     `(("ocaml-calendar" ,ocaml-calendar)
+       ("ocaml-fpath" ,ocaml-fpath)
+       ("ocaml-uucp" ,ocaml-uucp)
+       ("ocaml-uunf" ,ocaml-uunf)
+       ("ocaml-uutf" ,ocaml-uutf)
+       ("ocaml-pprint" ,ocaml-pprint)))
+    (synopsis "Ocaml library for tests, let a fuzzer find failing cases")
+    (description "Crowbar is a library for testing code, combining QuickCheck-style
+property-based testing and the magical bug-finding powers of
+[afl-fuzz](http://lcamtuf.coredump.cx/afl/).")
+    (license license:expat)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:57 2021
Received: from localhost ([127.0.0.1]:55481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIK-0003a7-Cs
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:56 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIC-0003W9-0p
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 877C9240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:47 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492507; bh=oOO2urfhtIGtCVnFBZuT4ztubuZd052fXP9Ei3gym7g=;
 h=From:To:Cc:Subject:Date:From;
 b=XQ8FDnI5o8bZG4PgkxUMwmpJwqRN49gUvDX1AkyOw4qQgvvOM5DnxZkjaBBUI23xp
 t1eZIucJZ70LHniBreXaDEMiQpoPg28ASolucQkiw96JWpkgytHSkhlNXs2aaEEGhH
 MyX1pjd39JswXzo6cw3JjHrz0bA8kvlNvryV21rGaahwFW5kvVX+3hFm6f9xvzvboh
 /yakcLq+GlgwrUcpm5mX3DQzBlm3lNUe+Edvl4Pc9RPvpq6WB+MRhiGFPXF6NBlUZ5
 CWEw4nMQrKKBWo1LrEHeH7Igqk510Z8mj1mpDdE1Q2uy3UJ83XQesFSHAdWifCpeYH
 KTWaJD0EtnzcQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7Z6HxHz6tmG;
 Mon,  9 Aug 2021 09:01:46 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 18/31] gnu: Add ocaml-ptime.
Date: Mon,  9 Aug 2021 07:01:11 +0000
Message-Id: <20210809070124.25641-18-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ptime): New variable.
---
 gnu/packages/ocaml.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 82786922b2..7af276a517 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7719,6 +7719,45 @@ number generator interface, and implementations.")))
     (description "@code{ocaml-mirage-crypto-pk} provides public-key
 cryptography (RSA, DSA, DH) for OCaml.")))
 
+(define-public ocaml-ptime
+  (package
+    (name "ocaml-ptime")
+    (version "0.8.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append "https://erratique.ch/software/ptime/releases/ptime-"
+                       version ".tbz"))
+       (sha256
+        (base32
+         "1fxq57xy1ajzfdnvv5zfm7ap2nf49znw5f9gbi4kb9vds942ij27"))))
+    (build-system ocaml-build-system)
+    (arguments
+     `(#:build-flags (list "build" "--with-js_of_ocaml" "false"
+                           "--tests" "true")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure))))
+    (propagated-inputs
+     `(("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocamlbuild" ,ocamlbuild)
+       ("ocaml-topkg" ,ocaml-topkg)
+       ("opam" ,opam)))
+    (properties `((upstream-name . "ptime")))
+    (home-page "https://erratique.ch/software/ptime")
+    (synopsis "POSIX time for OCaml")
+    (description "Ptime has platform independent POSIX time support in pure
+OCaml.  It provides a type to represent a well-defined range of POSIX
+timestamps with picosecond precision, conversion with date-time values,
+conversion with RFC 3339 timestamps and pretty printing to a human-readable,
+locale-independent representation.
+
+The additional Ptime_clock library provides access to a system POSIX clock and
+to the system's current time zone offset.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:56 2021
Received: from localhost ([127.0.0.1]:55478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIJ-0003Zs-Rn
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:56 -0400
Received: from mout02.posteo.de ([185.67.36.66]:34281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIB-0003WZ-Kj
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id EB16D240103
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:41 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492502; bh=nMxoaI3E2Ij0QSxIWsmUhne0RcNewk7X3lI027V25mI=;
 h=From:To:Cc:Subject:Date:From;
 b=FAiWfLvFHmuT6IJCW83DHgBQKvv6N7B79FnrRv+o65PIkD3LLz1aBlaChwrOM4fgf
 mcWvwesNS1/LMSmqoH9QD6SVBKv94Ngfux2k1nPAKzNsqJYNW6GeMOeqaCnGs+fx0W
 enSix3s5irjHWWewa+oMWG+KnX6ebXqIdc4w0HrRasILWksfx7zvYM34nYliC8jyBs
 Z7QJ4WgbOIqXhOOpsblEVLZt0PgBtVj4AZcTmDjqyBPS7MUn2GRPyXKwPqXrNsyGr+
 QMMWmAaxQwU+fh5DMWh36bRJAiZuNW9nzydBharCb29tbK2DJa1RQBsn3aaYpofbqi
 DYq4gC4N60LyQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7T1B8Hz6tmG;
 Mon,  9 Aug 2021 09:01:40 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 10/31] gnu: Add ocaml-pprint.
Date: Mon,  9 Aug 2021 07:01:03 +0000
Message-Id: <20210809070124.25641-10-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-pprint): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 9cb03d94ac..5a7acb4ba8 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7503,6 +7503,31 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 @code{ocaml-lwt}.")
     (license license:isc)))
 
+(define-public ocaml-pprint
+  (package
+    (name "ocaml-pprint")
+    (version "20200410")
+    (home-page "https://github.com/fpottier/pprint")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "16xc0rd4yj1y9rrs9fbhidd08icy4pc1plx48hp0xs6vnkh1wxjm"))))
+    (build-system dune-build-system)
+    (synopsis "OCaml pretty-printing combinator library and rendering
+engine")
+    (description "This OCaml library offers a set of combinators for building
+so-called documents as well as an efficient engine for converting documents to
+a textual, fixed-width format.  The engine takes care of indentation and line
+breaks, while respecting the constraints imposed by the structure of the
+document and by the text width.")
+    (license license:lgpl2.0)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:55 2021
Received: from localhost ([127.0.0.1]:55474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIJ-0003Zf-C3
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:55 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIB-0003W9-Ad
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:47 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id D1CCA240103
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492506; bh=4PEjuv/MgM2AkyTmdZOlrbLLfrqloApSqpshBQzxPKU=;
 h=From:To:Cc:Subject:Date:From;
 b=MEOBVAEo+EErX5Chs+jVFoZWS4vTFljL7PEcJUaUE98LJJtFtgATpOKNWH+paX3S1
 95xvgF8shDKR8tvjoQNN3pQcQrU4/cDZ05W/Ag81AoSJt0fVOGn52Zxmygs1pzeid2
 L2sZRdC2mxGxEUpLWqTEUHoNqiKFJ3RPXghGlNXONVPgJpyD4e3k6Cgk0Pxywo7xzW
 GfeHrBE4+TsTeYkaMG27ar5DwsnKRSTnLZYEt9qlyv2sHC1SUdRGwz1S8hsD8Xg4cg
 N6sK8SN34qWcBZ8IFDarX5diuzVbe00XEvMDlRE5+TUIWqrGnCBS79zsET2xsQ/K5t
 b+tRES07NY9Tg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7Z225xz6tmG;
 Mon,  9 Aug 2021 09:01:46 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 17/31] gnu: Add ocaml-mirage-crypto-pk.
Date: Mon,  9 Aug 2021 07:01:10 +0000
Message-Id: <20210809070124.25641-17-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto-pk): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index b6cf98b82f..82786922b2 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7694,6 +7694,31 @@ OCaml")
     (description "@code{ocaml-mirage-crypto-rng} provides an OCaml random
 number generator interface, and implementations.")))
 
+(define-public ocaml-mirage-crypto-pk
+  (package
+    (inherit ocaml-mirage-crypto)
+    (name  "ocaml-mirage-crypto-pk")
+    (arguments `(#:package "mirage-crypto-pk"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
+       ("ocaml-mtime" ,ocaml-mtime)
+       ("ocaml-sexplib" ,ocaml-sexplib)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-zarith" ,ocaml-zarith)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-rresult" ,ocaml-rresult)))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-randomconv" ,ocaml-randomconv)))
+    (inputs `(("gmp" ,gmp)))
+    (synopsis "OCaml library providing public-key cryptography")
+    (description "@code{ocaml-mirage-crypto-pk} provides public-key
+cryptography (RSA, DSA, DH) for OCaml.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:55 2021
Received: from localhost ([127.0.0.1]:55470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzII-0003ZX-Ug
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:55 -0400
Received: from mout01.posteo.de ([185.67.36.65]:47713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzIA-0003WR-Dy
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:46 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D3FA124002A
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:40 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492500; bh=/9Wlx/VtCpyMZJxDs6Y1wDgbdc3WxlfMlUeSs7LcUC4=;
 h=From:To:Cc:Subject:Date:From;
 b=MjPldcJvJkPlVn4Zdy/eay3mDAQ+RcOyut3x49WDatRPsgS5zmEOIpLDq9dSmd8qh
 n0QHlllBb4yUixRlg2ThF0Jd1t2IvzJY4JrFKAlzg1EEE7xrLQ348aJ9FBihSTO7Fg
 dykwTOidtWwtoYHCcXxHOH4exJmuqHtnwzb26iVw7aypkRs6gWfy7b29FA5oAYgOmc
 mmkYAW0VyejrBILol2+Qek0TRvE98y2UAqbRj+8RlCVvbjKrQCej/cXGwkoCg8f7k2
 GlGXfisM1u7J2yTQLrJetIvjcDesmPly1huvmGJui2Rst6WseOwqnlSOP1jmjm6Y0d
 UhAUCxXdjBqtg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7R5vwnz6tmG;
 Mon,  9 Aug 2021 09:01:39 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 09/31] gnu: Add ocaml-afl-persistent.
Date: Mon,  9 Aug 2021 07:01:02 +0000
Message-Id: <20210809070124.25641-9-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Xinglu Chen <public@HIDDEN> *
 gnu/packages/ocaml.scm
 (ocaml-afl-persistent): New variable. --- gnu/packages/ocaml.scm | 34
 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.65 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

From: Xinglu Chen <public@HIDDEN>

* gnu/packages/ocaml.scm (ocaml-afl-persistent): New variable.
---
 gnu/packages/ocaml.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 6591841e33..9cb03d94ac 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7543,6 +7543,40 @@ It makes it possible to run pure OCaml programs in JavaScript environment like
 browsers and Node.js.")
     (license license:lgpl2.1+)))
 
+(define-public ocaml-afl-persistent
+  (package
+    (name "ocaml-afl-persistent")
+    (version "1.3")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/stedolan/ocaml-afl-persistent")
+              (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+           "06yyds2vcwlfr2nd3gvyrazlijjcrd1abnvkfpkaadgwdw3qam1i"))))
+    (build-system ocaml-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (replace 'build
+           (lambda _
+             (invoke "./build.sh")))
+         ;; XXX: The tests are already run in the build.sh script.
+         (delete 'check))))
+    (native-inputs
+     `(("opam" ,opam)))
+    (home-page "https://github.com/stedolan/ocaml-afl-persistent")
+    (synopsis "Use afl-fuzz in persistent mode")
+    (description
+      "afl-fuzz normally works by repeatedly forking the program being tested.
+Using this package, you can run afl-fuzz in ``persistent mode'', which avoids
+repeated forking and is much faster.")
+    (license license:expat)))
+
 (define-public ocaml-bibtex2html
   (package
     (name "ocaml-bibtex2html")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:54 2021
Received: from localhost ([127.0.0.1]:55468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzII-0003ZC-4a
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:54 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI9-0003W9-8S
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:46 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 73DB7240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492504; bh=+FxIPISwN69FWF7dVsl/T4wysSU3HYrPx2cnmt8tuic=;
 h=From:To:Cc:Subject:Date:From;
 b=EuEKlWcsWIvfH8aj8fiPQVp1FxLdp+lVkHpngCPYiMwh8ssxVF0qZBNePJk+BaWgI
 NJ+vCBtpOTRkX4v4sPF0I+B87wFcwfRpfpsyIZg+XVHdR76fadMNH+s1HBnZ4nsUMZ
 tzw8nRKDCT7oiYUltpAafdlWE/IBEAOrz7naJBc5E07xxpbYajoXSC1C4Td9AeE1K2
 hFg+w90ul+UaDG5j8ro4Ylcz633SUU0lr57pusk47I0zN7tJxxLqxfhHXtNXYpAhxB
 vNBqW3fjEEEX4d413h1bL2XrAafcn7fp6I+DzspPpFWmw+j8X01pLaYu9xoD8f00rH
 7kd/Cv5K3Xchg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7W5qt7z6tmG;
 Mon,  9 Aug 2021 09:01:43 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 14/31] gnu: Add ocaml-duration.
Date: Mon,  9 Aug 2021 07:01:07 +0000
Message-Id: <20210809070124.25641-14-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-duration): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index c6cdd3a318..53c7c3cc7b 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7623,6 +7623,31 @@ RC4, ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).  This library can be
 used from MirageOS unikernels.")
     (license license:isc)))
 
+(define-public ocaml-duration
+  (package
+    (name "ocaml-duration")
+    (version "0.1.3")
+    (home-page "https://github.com/hannesm/duration")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0ka4cv9581iaa6q1k02ddrpz7f53k3wk7rpq43j1lrdm4vl2jk4w"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library providing conversions between various time units")
+    (description "This OCaml library provides functions for representing a
+time duration as an usigned 64 bit integer.  This can be used for conversions
+between various time units.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:54 2021
Received: from localhost ([127.0.0.1]:55463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIH-0003Z5-Rv
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:54 -0400
Received: from mout02.posteo.de ([185.67.36.66]:48713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI8-0003WD-Oa
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:45 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id D1CF8240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492498; bh=uyUnE7mM2dV9opxuO/XCpNCuu+4krbwROwsLQOYrgk8=;
 h=From:To:Cc:Subject:Date:From;
 b=AYRb50IYOyb2kSR1q7HXtxe4KZ3XHAwOEw4k4EFRKtw9XhOTNRi1kdo0DGYkXcQZX
 M44HfRH6VcoCFRXXBuvArj9KOb0tdDOxw3OU9oZLjSX9gfHMqH54X7cqG/QBkW7xId
 SQwtueBATcyGRG18hZAreZoTnvq9D7OEUmkkB0apTQuhKbqiASQTlxcDidK5bBminK
 YwduQluNIL5WS2cK0bLqvmnQwsbMQiCcp0ztYwmKgP+7wdeLyjBGU1OVtk8kVV2hj1
 EZ/xaaLuvOMOdu1TdapTeS/MqrnGbBTXxgGW7bpseJtAfGrdZ3n4VsFTAc9tTnIlM0
 XEY+bY0OgaZVg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7Q26Y6z6tmG;
 Mon,  9 Aug 2021 09:01:38 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 07/31] gnu: Add ocaml-conduit.
Date: Mon,  9 Aug 2021 07:01:00 +0000
Message-Id: <20210809070124.25641-7-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-conduit): New variable.
---
 gnu/packages/ocaml.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 880b4d7836..efd21d56e6 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7453,6 +7453,38 @@ C-like structures using the @code{ocaml-cstruct} library.")))
     (description "This OCaml library provides functions for manipulating as
 S-expressions using the @code{ocaml-sexp} library.")))
 
+(define-public ocaml-conduit
+  (package
+    (name "ocaml-conduit")
+    (version "4.0.0")
+    (home-page "https://github.com/mirage/ocaml-conduit")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0ipm6fkmvgsyfj5f5p057av8kykli5rh8qzw7ycdrakdk7gzvhi0"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "conduit"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-sexplib" ,ocaml-sexplib)
+       ("ocaml-astring" ,ocaml-astring)
+       ("ocaml-uri" ,ocaml-uri)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-ipaddr-sexp" ,ocaml-ipaddr-sexp)))
+    (synopsis "OCaml library for establishing TCP and SSL/TLS connections")
+    (description "This OCaml library provides an abstraction for establishing
+TCP and SSL/TLS connections.  This allows using the same type signatures
+regardless of the SSL library or platform being used.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:53 2021
Received: from localhost ([127.0.0.1]:55461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIH-0003Yx-IK
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:53 -0400
Received: from mout01.posteo.de ([185.67.36.65]:47057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI9-0003WE-3Z
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:45 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 819EF240028
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492499; bh=r+G3p9DG/MANmoG8vKC1XR+16AyUVBFPsPItlGpn1rg=;
 h=From:To:Cc:Subject:Date:From;
 b=OtnDvKQR05uRbrUVFewQdbxlTBZHlUlutuGgE3Axnpe5slAfk/oqV5F2ZJJ1HKddR
 PSsu8pfeHqDUbm8ibOe5vY701PSbkBQ1v4C56yOF7P0XunS/H88qlU06zKmPQhZq00
 9tJpq7aOKVtIWvN3i5XCi/u6ulpLImkdzetJvy8ECBkdCEasiGPEkbC1vrAOSPA17+
 llcVFKfFF3YO6FL3HavrQK4JfB7insX+lTxmKS86MLK1miYd+Cb9I88wFbS/KC/MDQ
 QUrV2dHS4vEmO0HUM0Swt9C9X8HjowYNtuuq5ldnNojsnrtf5FoPRwaqGwswob3txL
 FPyL3VQrmd+Og==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7Q6bqHz6tmH;
 Mon,  9 Aug 2021 09:01:38 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 08/31] gnu: Add ocaml-conduit-lwt.
Date: Mon,  9 Aug 2021 07:01:01 +0000
Message-Id: <20210809070124.25641-8-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-conduit-lwt): New variable.
---
 gnu/packages/ocaml.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index efd21d56e6..6591841e33 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7485,6 +7485,24 @@ TCP and SSL/TLS connections.  This allows using the same type signatures
 regardless of the SSL library or platform being used.")
     (license license:isc)))
 
+(define-public ocaml-conduit-lwt
+  (package
+    (inherit ocaml-conduit)
+    (name "ocaml-conduit-lwt")
+    (arguments `(#:package "conduit-lwt"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-sexplib" ,ocaml-sexplib)
+       ("ocaml-conduit" ,ocaml-conduit)
+       ("ocaml-lwt" ,ocaml-lwt)))
+    (synopsis "OCaml library for establishing TCP and SSL/TLS connections
+using Lwt")
+    (description "This OCaml library provides the abstractions for
+establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
+@code{ocaml-lwt}.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:53 2021
Received: from localhost ([127.0.0.1]:55459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIH-0003Yq-A3
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:53 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI8-0003W9-DB
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:44 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id DE8DA240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492503; bh=ypgamDMc2R/Q41ne4gaX9Oc5GT4KniiASYUkwDsJK18=;
 h=From:To:Cc:Subject:Date:From;
 b=gPNf+N4uZPWFfUYeCZwnzoXCFYtjXyQI1Zphx0WcYC0NmBjDQb2pianPG8NSQIYaU
 CyQqt5uSCgn+8kzqq0n90ef60VSjWSMUYE0BWEfcSJiF82rYV10W89UBPHipcGNiFT
 P6fbReoJz/8veNX6oVx2lgEdxapo3QTWmd1uJqAVNmgUUGTEDKDMbfXymt4qKS57G1
 n5N1mnymNbQdj8Lbg9r7cYX2fAgD3lc/c7pEIPMmtsxlgBsE7z+Je01MI/bqWo6LTo
 fmw+FbiplU85RnapNrPxqUSiSulnExOVkQikqtNLS4cWwRx+ngBZMmP/5s9OA5HeQs
 H32wsE3HVgL7w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7W25r3z6tmG;
 Mon,  9 Aug 2021 09:01:43 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 13/31] gnu: Add ocaml-mirage-crypto.
Date: Mon,  9 Aug 2021 07:01:06 +0000
Message-Id: <20210809070124.25641-13-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto): New variable.
---
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 7101cc6c2f..c6cdd3a318 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7592,6 +7592,37 @@ property-based testing and the magical bug-finding powers of
 constant-time to avoid timing-attack with crypto stuff.")
     (license license:expat)))
 
+(define-public ocaml-mirage-crypto
+  (package
+    (name "ocaml-mirage-crypto")
+    (version "0.10.3")
+    (home-page "https://github.com/mirage/mirage-crypto")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0j7x07c8xy8bmqp9ad1cib6j69dy7acjg9m1d7pn0dnmbkrl8fiz"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "mirage-crypto"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-bigarray-compat" ,ocaml-bigarray-compat)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml library provding cryptographic primitives")
+    (description "This OCaml library provides symmetric ciphers (DES, AES,
+RC4, ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).  This library can be
+used from MirageOS unikernels.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:53 2021
Received: from localhost ([127.0.0.1]:55457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzIH-0003Yn-26
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:53 -0400
Received: from mout01.posteo.de ([185.67.36.65]:56221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI7-0003WA-Sk
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:44 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 50442240028
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492498; bh=J/S9V6knX/5/WuuEjlakzb3vxXom5HirBLQd/fl84O0=;
 h=From:To:Cc:Subject:Date:From;
 b=AH9xRgftkUd3sAvz0uS7iNXJbfCrMEtac1hn7320KLaJI1x0mODrT87Isa/MKCdCQ
 tnCpdSpDvvrBoIiIQytX1IdEkbNiGV5aj4/I9T0O1jZ4Zn4HtFuUmTjG7EB08Y2X6j
 ZAvgVEZ7xhcSFK+zUHMdZyOebSKrHUOXeOn1/7MWdOcI/JWk3/H+mcw9LRdAdQYfrT
 7yc3M+3kswvl12WV7vJIod7zBk6353sfuNS7Vhea1kHXXi9kVOGQdHT7efIWM8irDS
 qFNQD7P44tI4iUD7y8yrGtfhncVO+qeX/MSKSccfWyyF0LJhKU0SjnPr7JX6z/uer+
 A8GANrduDNF2Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7P5bDJz6tmL;
 Mon,  9 Aug 2021 09:01:37 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 06/31] gnu: Add ocaml-ipaddr-sexp.
Date: Mon,  9 Aug 2021 07:00:59 +0000
Message-Id: <20210809070124.25641-6-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ipaddr-sexp): New variable.
---
 gnu/packages/ocaml.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index e47512ec18..880b4d7836 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7436,6 +7436,23 @@ address representations.  It supports IPv4 and IPv6.")
     (description "This OCaml library provides functions for manipulating as
 C-like structures using the @code{ocaml-cstruct} library.")))
 
+(define-public ocaml-ipaddr-sexp
+  (package
+    (inherit ocaml-macaddr)
+    (name "ocaml-ipaddr-sexp")
+    (arguments `(#:package "ipaddr-sexp"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-sexplib0" ,ocaml-sexplib0)))
+    (native-inputs
+     `(("ocaml-ipaddr-cstruct" ,ocaml-ipaddr-cstruct)
+       ("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml library for manipulation of IP addresses as S-expressions")
+    (description "This OCaml library provides functions for manipulating as
+S-expressions using the @code{ocaml-sexp} library.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:46 2021
Received: from localhost ([127.0.0.1]:55437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzI9-0003XK-8M
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:46 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI7-0003W9-Ll
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:43 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id E36CB240103
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:37 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492497; bh=hlz/X/23kpahZYgwUqasRnhZTQev0tgAD4FuTjop5aQ=;
 h=From:To:Cc:Subject:Date:From;
 b=INF7Q4rn9k9gBFTYtGJI+Bcel63+mws6lpQAdVfBAUat4sJy7NaviL4Yd8eMBXoz0
 B3ah3JqLynKsPQIAyZCSwVodvyYiiCmDD39JjY3fFIRXjNscOYBptXJvGpaekEwnC6
 ZLxpCNrtzpqoUdoyX3xVkxG3yL7WnXJWgAHQHIPyL/q0iGJ+rnnRkdujkW3vHvsjud
 AG6JgUbymeB77on4+1BfnChp4RgKx+JN0JSqlBLbyBXpxBz+iP4fff+MLNnIJT/0O8
 zW+R2OQzzDYWQ9hdi2u0O4kYDdV9XUauO4yZSrYgtn9ejS0qyDsJa+PDJIo38BBLOI
 g2lHup4VjjzHQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7N5YgRz6tmG;
 Mon,  9 Aug 2021 09:01:36 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 05/31] gnu: Add ocaml-ipaddr-cstruct.
Date: Mon,  9 Aug 2021 07:00:58 +0000
Message-Id: <20210809070124.25641-5-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ipaddr-cstruct): New variable.
---
 gnu/packages/ocaml.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index c167836db5..e47512ec18 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7423,6 +7423,19 @@ address representations.")
 address representations.  It supports IPv4 and IPv6.")
     (license license:isc)))
 
+(define-public ocaml-ipaddr-cstruct
+  (package
+    (inherit ocaml-macaddr)
+    (name "ocaml-ipaddr-cstruct")
+    (arguments `(#:package "ipaddr-cstruct"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "OCaml library for manipulation of IP addresses as C-like structres")
+    (description "This OCaml library provides functions for manipulating as
+C-like structures using the @code{ocaml-cstruct} library.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:45 2021
Received: from localhost ([127.0.0.1]:55431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzI8-0003X5-NF
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:45 -0400
Received: from mout01.posteo.de ([185.67.36.65]:57521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI6-0003Vx-Cw
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:42 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id CB4B8240028
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492496; bh=yqqs6Hg4IbglOEbqC7vpOuCJ6SZsKdtYpB+897HYFiU=;
 h=From:To:Cc:Subject:Date:From;
 b=mCMIfi2TvuoD+jJOxTKEKh6NCTsfkB5GZ+JhnRpYDw4JBYvSCPMnDz3v8lpIPgJXn
 jVlHRpzMy1ChUnCCi9Rzti6k2y/PxnRa6LNmeVUebswpcgdw2QiNnDbld5TuZNKdQp
 e06RXpWbH5qvO1veqbpOxy0d7865wTK4uebrjUlMcnjBOXBlvAXwtlxxtgWelvyzy1
 yqPZ2C8My4APMWhC4TNbQ6e8y9o5ktox0V0Z4oeXI1womspBH2mnqfr85WrPklraTM
 i8jHKE96i70ucM1P8UShWtyq1ysr5CHnVq534GC1M5tF0qjAP4z8QYETPrcwWigzfp
 89E2YInERUVog==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7M4DsVz6tmL;
 Mon,  9 Aug 2021 09:01:35 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 04/31] gnu: Add ocaml-ipaddr.
Date: Mon,  9 Aug 2021 07:00:57 +0000
Message-Id: <20210809070124.25641-4-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ipaddr): New variable.
---
 gnu/packages/ocaml.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 34be7e5497..c167836db5 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7404,6 +7404,25 @@ another.")
 address representations.")
     (license license:isc)))
 
+(define-public ocaml-ipaddr
+  (package
+    (inherit ocaml-macaddr)
+    (name "ocaml-ipaddr")
+    (arguments `(#:package "ipaddr"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-macaddr" ,ocaml-macaddr)
+       ("ocaml-stdlib-shims" ,ocaml-stdlib-shims)
+       ("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-domain-name" ,ocaml-domain-name)))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)))
+    (synopsis "OCaml library for manipulation of IP address representations")
+    (description "This OCaml library provides functions for manipulating IP
+address representations.  It supports IPv4 and IPv6.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:44 2021
Received: from localhost ([127.0.0.1]:55428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzI8-0003X1-CF
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:44 -0400
Received: from mout01.posteo.de ([185.67.36.65]:55175)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI6-0003Vw-6D
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:42 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 99586240028
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492496; bh=gXd91zTJVnxfBsz3Le6Cp/pJaLJHxkpbBntFMm/mfhc=;
 h=From:To:Cc:Subject:Date:From;
 b=kIkIhqijkT2A465H6WTBBsBU1s79f5qitTEQWSVkZp0Hwz+TiR5Yvp8Nnu+PQlQq+
 OpiIyiAguczNaV3l1rQZPy1vtgN79p1/geWzxF+CrYOFJSalZUr1ayL2YS50PRw9Tr
 bDsoAYC0iwQxxgFn1hmSSr/9R/BpB0fHFKeBcWxTJmU+wPWkqr7QUkIB/nq4RLDut1
 ZyVbyvD9atVn7UJ5xEQ32emh08s5jFOgLHFqobEgQet5IOCMAWEcFVLARKApVmZJwv
 E90ufGqCHPhZ6hDwo3CuO9RKWyyNssPN/cVZf/eSvPYb1NeBjob7+44KpzW++Tq0mM
 xfuOn2hcLIoeg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7L6Wlkz6tmH;
 Mon,  9 Aug 2021 09:01:34 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 03/31] gnu: Add ocaml-macaddr.
Date: Mon,  9 Aug 2021 07:00:56 +0000
Message-Id: <20210809070124.25641-3-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-macaddr): New variable.
---
 gnu/packages/ocaml.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 56e3c39c2d..34be7e5497 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7376,6 +7376,34 @@ comparing domain names or checking if one domain name is a sub-domain of
 another.")
     (license license:isc)))
 
+(define-public ocaml-macaddr
+  (package
+    (name "ocaml-macaddr")
+    (version "5.1.0")
+    (home-page "https://github.com/mirage/ocaml-ipaddr")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "02pan5b8s4j5r68znjdb5mln3nffccdfsh4rw71x31b6qsrlqzgg"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "macaddr"
+                 #:test-target "."))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-domain-name" ,ocaml-domain-name)
+       ("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)))
+    (synopsis "OCaml library for manipulation of MAC address representations")
+    (description "This OCaml library provides functions for manipulating MAC
+address representations.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:42 2021
Received: from localhost ([127.0.0.1]:55418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzI5-0003WT-Ux
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:42 -0400
Received: from mout02.posteo.de ([185.67.36.66]:57617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI4-0003Vt-Cv
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:40 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id A0F88240105
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492494; bh=nD16KtH3uQkLJkwfoNdZveXeejf0UI/nLY5rISr6L2k=;
 h=From:To:Cc:Subject:Date:From;
 b=b6/UN8EmUw0FPXjXjPkLyIJZKVEsIDapoQqVv/C9lrAlCFiFT3WuzutNrTrf84Rzn
 Sm5Os6kV+pP1DSDQ7ChebntdMv720pSDHyQ1xdQdvuLglbj8rT3fgQevXm1KqDh5D2
 2BjjyEKmwuZab7BhqsvuEvxrAGI+lVsfin4ixBrxTxYtLKNd9qeyIpRLenZPVncxW9
 hYjfXmHbfufMQDE9hZnlxGguqbFdQe/1bptiOKxaYDEggMOV+vIH1AvTu3rG12QmMF
 /WOQAXhM72Hg08aZGRvEmuULoRa9PVeK025J365+srHUTw7zr0PuXoqt1RbbQAoptH
 df+N15zmrRiEg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7L0vBCz6tmb;
 Mon,  9 Aug 2021 09:01:34 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 02/31] gnu: Add ocaml-domain-name.
Date: Mon,  9 Aug 2021 07:00:55 +0000
Message-Id: <20210809070124.25641-2-pukkamustard@HIDDEN>
In-Reply-To: <20210809070124.25641-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070124.25641-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-domain-name): New variable.
---
 gnu/packages/ocaml.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 6518f21f5e..56e3c39c2d 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7347,6 +7347,35 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-domain-name
+  (package
+    (name "ocaml-domain-name")
+    (version "0.3.0")
+    (home-page "https://github.com/hannesm/domain-name")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "06l82k27wa446k0sd799i73rrqwwmqfm542blkx6bbm2xpxaz2cm"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-astring" ,ocaml-astring)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library for RFC 1035 Internet domain names")
+    (description "This OCaml library provides functions for working with
+Internet domain names (RFC 1035).  For example, it provides functions for
+comparing domain names or checking if one domain name is a sub-domain of
+another.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:01:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:01:39 2021
Received: from localhost ([127.0.0.1]:55414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzI3-0003WC-HO
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:39 -0400
Received: from mout02.posteo.de ([185.67.36.66]:50367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzI1-0003Vp-Fg
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:01:37 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 69116240101
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:01:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492491; bh=B9QFaCliXlgbco6nwEzkJbeD5P0kA6+LYVj+iVjozBI=;
 h=From:To:Cc:Subject:Date:From;
 b=PiTSkZtgd141bw8WpEm1bjNWyHzbCJf4W0l2FjWgK1T1HQAwCye+eC5cYQULGxeZf
 ka0mbxlnVZa0V7vhsU6Cq7uhUmMsgdvGIAqfA/1cbxST4RZr1IkX756EVcQO+DDzyS
 7vT2JagvFwShLktiwIv8H1lwzqrRc1IH6opKtcxR9PsA+fNq7c6VOxmuiLsXrGl6NG
 uZYpk+cW/stPI2XbDeuPRMjLDVG5OdBA68mfh1T6msBkWDi4+1N58kuuCwYMb3Attv
 WtDGTIP12VKtqbhbsrdj4UCQi11BH4eb4kS1PIhIjl06rWejnQ8UbeSNWlnwVbKduO
 zU3x7cSTG5adg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn7G43gcz6tm9;
 Mon,  9 Aug 2021 09:01:30 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH v2 01/31] gnu: Add ocaml-cohttp-lwt.
Date: Mon,  9 Aug 2021 07:00:54 +0000
Message-Id: <20210809070124.25641-1-pukkamustard@HIDDEN>
In-Reply-To: <86pmun5cp5.fsf@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cohttp-lwt): New variable.
---
 gnu/packages/ocaml.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 112751ddec..6518f21f5e 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7323,6 +7323,30 @@ HTTP parser, and implementations using various asynchronous programming
 libraries.")
     (license license:isc)))
 
+(define-public ocaml-cohttp-lwt
+  (package
+    (inherit ocaml-cohttp)
+    (name "ocaml-cohttp-lwt")
+    (arguments `(#:package "cohttp-lwt"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cohttp" ,ocaml-cohttp)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-sexplib0" ,ocaml-sexplib0)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-uri" ,ocaml-uri)))
+    (synopsis "OCaml library for HTTP clients and servers using the Lwt
+concurrency library")
+    (description "This is a portable implementation of HTTP that uses the Lwt
+concurrency library to multiplex IO.  It implements as much of the logic in an
+OS-independent way as possible, so that more specialised modules can be
+tailored for different targets.  For example, you can install
+@code{ocaml-cohttp-lwt-unix} or @code{ocaml-cohttp-lwt-jsoo} for a Unix or
+JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
+version of the library.  All of these implementations share the same IO logic
+from this module.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:00:43 2021
Received: from localhost ([127.0.0.1]:55408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzH9-0003U0-5i
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:00:43 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzH7-0003Tm-Ak
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:00:41 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B42EF240028
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:00:35 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492435; bh=nD16KtH3uQkLJkwfoNdZveXeejf0UI/nLY5rISr6L2k=;
 h=From:To:Cc:Subject:Date:From;
 b=jG0wcJuE4HNQXtesU2hGAOcoUSvXHekyLOSDtdm72Yi9qbzFkboBrRHleI1/IBg2E
 J6arLxv/sxJXjok4Wb48obigeSvjDLmi13cFoF5Ebdl77ye7r2J7puDPwuX9hBtZeJ
 KcjyMVfjlZbrmtLBVja+LYVnHZb2aJcECa2+gXomajFMKchoPUrU+cWryP0Qon2H2t
 3QS3VAuLSB53cxDk9j6w18C5LEIoAlRh0aasz7tuw6iM+NtqBxCTG9vlhXmFaT1iYC
 qXBZQkb9o8Rhcg+3qJiwdOhSy+AlJkm37C0+t42G0igUyA9LpokXiXgO86JT5hAt2m
 W9lKveAZR4FNg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn686WnCz6tmF;
 Mon,  9 Aug 2021 09:00:32 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 02/31] gnu: Add ocaml-domain-name.
Date: Mon,  9 Aug 2021 06:59:43 +0000
Message-Id: <20210809070012.25327-2-pukkamustard@HIDDEN>
In-Reply-To: <20210809070012.25327-1-pukkamustard@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
 <20210809070012.25327-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-domain-name): New variable.
---
 gnu/packages/ocaml.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 6518f21f5e..56e3c39c2d 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7347,6 +7347,35 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-domain-name
+  (package
+    (name "ocaml-domain-name")
+    (version "0.3.0")
+    (home-page "https://github.com/hannesm/domain-name")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "06l82k27wa446k0sd799i73rrqwwmqfm542blkx6bbm2xpxaz2cm"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-astring" ,ocaml-astring)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library for RFC 1035 Internet domain names")
+    (description "This OCaml library provides functions for working with
+Internet domain names (RFC 1035).  For example, it provides functions for
+comparing domain names or checking if one domain name is a sub-domain of
+another.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 07:00:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 03:00:33 2021
Received: from localhost ([127.0.0.1]:55404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzGy-0003Tb-U6
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:00:33 -0400
Received: from mout01.posteo.de ([185.67.36.65]:33129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzGx-0003TM-9r
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 03:00:31 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 326D1240026
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 09:00:24 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492425; bh=B9QFaCliXlgbco6nwEzkJbeD5P0kA6+LYVj+iVjozBI=;
 h=From:To:Cc:Subject:Date:From;
 b=ZoKWp0vSE7azFCdNhEoEG5xf6eYuUWPFlfHxWBgndR/TD5iMBVg7wj4t12q0F5QwD
 w8ng8t0Ftzkkgk8ITvv6Ay9XzDOH0kV52MgTf5Vfe+fF448Nhzaxfzxvo+2XDdULyk
 Hiekh4oz8DDgck6yD/yvI1ThIl72JYlLnxRTbtmZ/93RSI25uiOgWHdIEr0T7reuNF
 b0yL+qF/NMIUibxt7Bl3cA6KIZCCNpuXEBMHFM1hxkJXZFCQNmoXxbOFpPXdy5Ef2F
 NPpwq1nD/+xRXgA9Q3x9ZwLiiaa7RGen/Dol46FOskDsDJm85TqHg4x1v3uJKgG0DM
 BRZn+tjVY3AIQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn60252kz6tmQ;
 Mon,  9 Aug 2021 09:00:23 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 01/31] gnu: Add ocaml-cohttp-lwt.
Date: Mon,  9 Aug 2021 06:59:42 +0000
Message-Id: <20210809070012.25327-1-pukkamustard@HIDDEN>
In-Reply-To: <86pmun5cp5.fsf@HIDDEN>
References: <86pmun5cp5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cohttp-lwt): New variable.
---
 gnu/packages/ocaml.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 112751ddec..6518f21f5e 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7323,6 +7323,30 @@ HTTP parser, and implementations using various asynchronous programming
 libraries.")
     (license license:isc)))
 
+(define-public ocaml-cohttp-lwt
+  (package
+    (inherit ocaml-cohttp)
+    (name "ocaml-cohttp-lwt")
+    (arguments `(#:package "cohttp-lwt"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cohttp" ,ocaml-cohttp)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-sexplib0" ,ocaml-sexplib0)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-uri" ,ocaml-uri)))
+    (synopsis "OCaml library for HTTP clients and servers using the Lwt
+concurrency library")
+    (description "This is a portable implementation of HTTP that uses the Lwt
+concurrency library to multiplex IO.  It implements as much of the logic in an
+OS-independent way as possible, so that more specialised modules can be
+tailored for different targets.  For example, you can install
+@code{ocaml-cohttp-lwt-unix} or @code{ocaml-cohttp-lwt-jsoo} for a Unix or
+JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
+version of the library.  All of these implementations share the same IO logic
+from this module.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 9 Aug 2021 06:56:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 02:56:03 2021
Received: from localhost ([127.0.0.1]:55394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCzCd-0003KL-7O
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 02:56:03 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42839)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCzCa-0003Jo-9U
 for 49867 <at> debbugs.gnu.org; Mon, 09 Aug 2021 02:56:02 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B0F88240106
 for <49867 <at> debbugs.gnu.org>; Mon,  9 Aug 2021 08:55:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628492153; bh=ubxsav7nMTrp0DCWGHS/eiOlTIs1mDg1kQOz2QiTOeA=;
 h=From:To:Cc:Subject:Date:From;
 b=UNXprsLOnZ1KBsGsIRA2AvaMkGSmiz3uxqLsB4Qst7d66CNiO3BItDxmNr2jY3HYz
 e9kNkEMnPqPksZkgIEH6I89q+tG1YaOAR0WpIo0JSp/pEQYbdmFlpiT3HB8uT/EvNI
 yRKqPtgr7zJpG87cFuUjU+ODx9JXONUF81plI6422KxpQv/UuT1slouEHuR321WyoZ
 HWl/PgoeC0sH1UvLnH3j0GeeMCMBwoiYp2/M7Dlyb1CdUP4oJb15hBXe79Laf6Hwon
 mERl2NUoafvf7pCs7So1TAjfa0f3jzG3kByM0w46iHFDfEdaKPJk5kwf0jdmcYaipX
 R/b0UWXo/O3pw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gjn0m3hH1z9rxM;
 Mon,  9 Aug 2021 08:55:52 +0200 (CEST)
References: <20210804071015.20848-1-pukkamustard@HIDDEN>
 <87wnozkil2.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 00/29] gnu: Add ocaml-cohttp-lwt-unix.
In-reply-to: <87wnozkil2.fsf@HIDDEN>
Date: Mon, 09 Aug 2021 06:55:50 +0000
Message-ID: <86pmun5cp5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Xinglu Chen <public@HIDDEN> writes: > I managed to
   package ‘ocaml-afl-persistent’ with the attached > patch, > but it doesn’t
    respect the ‘--without-tests’ transformation > since the > tests are
   run as part of the build phase. 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [185.67.36.66 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [185.67.36.66 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

> I managed to package =E2=80=98ocaml-afl-persistent=E2=80=99 with the atta=
ched=20
> patch,
> but it doesn=E2=80=99t respect the =E2=80=98--without-tests=E2=80=99 tran=
sformation=20
> since the
> tests are run as part of the build phase.

Fantastic! With your patch I've added ocaml-crowbar and enabled=20
tests for ocaml-eqaf in V2.

Tests for ocaml-crowbar are currently disabled as they require=20
ocaml-xmldiff which requires OCaml 4.12.0.

> Thanks for working on this!

Thank you for your comments!

V2 follows.

-pukkamustard




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 13:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 09:14:38 2021
Received: from localhost ([127.0.0.1]:53809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCidS-000317-2S
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:14:38 -0400
Received: from mout01.posteo.de ([185.67.36.65]:34459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCidP-00030u-RY
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:14:37 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id AD74524002A
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 15:14:29 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628428469; bh=07fO3ynXUInLu57agDzccaZEpJeTq8A5uN1+NsHYU3s=;
 h=From:To:Cc:Subject:Date:From;
 b=rYZjIBv3CCgY5lq7UnL5lMd+MgBwdO0KR5QP0evek9fy6IituhJ2PVGVvHTgxM15M
 elstrzWBbDYl8+Ig9O6L3Wm4EWVHSA1K9fj5nq+Iiw/IQ1uhtaC5uJWzZk/vP5V/eB
 3t75I8cgCh3i9xxdqPmFVk9CiN35IRv+LxxE1rWyLM4GrcqhtL4DDckEY8fWkiGrCz
 mnO0U1yIB/jrbaZjEiNS2fQTbaUyl8KXg8xXpqCzYDHsN8jv37ZXxUoSAZ5L3jxTS3
 2AfkjKr2f5TysFILEz1J0+QJ8uHoxuXKu8BSMVgBwp9GmZ/61t245aV1WNXv7kbOlt
 VgtzawvORG5tg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjKS3739Rz6tm6;
 Sun,  8 Aug 2021 15:14:27 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-29-pukkamustard@HIDDEN>
 <871r77kgei.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 29/29] gnu: Add ocaml-cohttp-lwt-unix
In-reply-to: <871r77kgei.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 13:14:24 +0000
Message-ID: <86sfzk5b9r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Xinglu Chen <public@HIDDEN> writes: > Full sentence,
    maybe > > This OCaml library provides an implementation of an HTTP… > >
    Also, I don’t think Windows support should be mentioned since > it’s
   > not supported by Guix, and it’s [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [185.67.36.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [185.67.36.65 listed in wl.mailspike.net]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

> Full sentence, maybe
>
>   This OCaml library provides an implementation of an HTTP=E2=80=A6
>
> Also, I don=E2=80=99t think Windows support should be mentioned since=20
> it=E2=80=99s
> not supported by Guix, and it=E2=80=99s non-free software.  :-)

:) done and done (in V2).




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 13:07:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 09:07:58 2021
Received: from localhost ([127.0.0.1]:53805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCiX0-0002r9-Cn
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:07:58 -0400
Received: from mout02.posteo.de ([185.67.36.66]:41589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCiWw-0002qv-Ke
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:07:56 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 897CB240103
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 15:07:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628428068; bh=Lh+Kg6Q6/IMZgcuvqJmEMvSlAMCwSWu5ETk1z6qnAj8=;
 h=From:To:Cc:Subject:Date:From;
 b=F/JpCsHTpAntNuCeJKnxib9oSMgNBk8wuiNdvK6ngehRrwJACEKwjPSbrj1F1DPYU
 vDOpPSYbiHZUfpePUX5YH6L70w/76knt0i4zprySSyxtEDPEzvutXLmRy09Pj3UNR+
 uDNgzbhRbDP7fbZBay06XejGMxOygYFAdTpsOTVyAiTCROg5PviVGnRZZ3dsVVFsHz
 Iht3mhYo85wY8a+S7HRwXTMw4r0dRlAgdvCdDymoekNwjEgFeP16ezbWK6Ybzbwhc2
 WuqOoa4rd88tkXirtzbUwG4gmsZrJZwe7Ysgirhb3YGUHUPpnoK07fEnYIvkJOJR4w
 Vgsi7rk4+XPwA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjKJM5GmZz6tm6;
 Sun,  8 Aug 2021 15:07:47 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-28-pukkamustard@HIDDEN>
 <874kc3kgjh.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 28/29] gnu: Add ocaml-magic-mime.
In-reply-to: <874kc3kgjh.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 13:07:46 +0000
Message-ID: <86v94g5bkt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Xinglu Chen <public@HIDDEN> writes: >> + (description
 "This library contains a database of MIME >> types that maps >> +filename
 extensions into MIME types suitable for use in many >> Internet >> +protocols
 such as HTTP or e-mail. It is [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.66 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +    (description "This library contains a database of MIME 
>> types that maps
>> +filename extensions into MIME types suitable for use in many 
>> Internet
>> +protocols such as HTTP or e-mail.  It is generated from the 
>> `mime.types` file
>                                                                 ^^^^^^^^^^
> Nit: @file{mime.types}

Fixed in V2.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 13:06:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 09:06:30 2021
Received: from localhost ([127.0.0.1]:53801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCiVa-0002p3-30
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:06:30 -0400
Received: from mout02.posteo.de ([185.67.36.66]:55503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCiVY-0002or-74
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:06:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id A6BBD240103
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 15:06:22 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628427982; bh=uyt12SN2XyMdTli1JSnUAiFs1H7rwRJQcou4dRKw7gk=;
 h=From:To:Cc:Subject:Date:From;
 b=d0KhBwokUNTMjfhLz66G6riosMtQB9q2YanQdGzcrb8LcSy52RGJs7OYnJuZQR9BC
 G9PjrQ7fwzbRvkcwypzbRy4N0asdQNfB4X3ndi9ZMDJZKg3X7MaNPmWLiQuns3ACfz
 WQSsBR44Zl85eN8+kfwvdX7cHMHJ3XQAP7mljLFJ9EB0JhALHuGZVThuNaXgCz4Hbb
 9kF/ZAhykpStv3UvPhS4Rq1DYHd/1kany3Jl0eO3Cm4t5lwJQbbr2q/5T8yio2wsq6
 Qho4WenAJNRszzrmqr1YJFh76rmsifJHgRKkERXI7OLygZ9gTWRoNeBBFFc1S1Ih/X
 w+iLS/x5apKvw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjKGj3JrCz6tmF;
 Sun,  8 Aug 2021 15:06:21 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-27-pukkamustard@HIDDEN>
 <877dgzkgm7.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 27/29] gnu: Add ocaml-conduit-lwt-unix.
In-reply-to: <877dgzkgm7.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 13:06:19 +0000
Message-ID: <86y29c5bn8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Xinglu Chen <public@HIDDEN> writes: >> + (synopsis
 "OCaml library for establishing TCP and SSL/TLC >> connections using
 Lwt_unix")
 > > Keep lines at ~80 characters. :-) Thanks! Fixed in V2. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.66 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +    (synopsis "OCaml library for establishing TCP and SSL/TLC 
>> connections using Lwt_unix")
>
> Keep lines at ~80 characters.  :-)

Thanks! Fixed in V2.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 13:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 09:04:32 2021
Received: from localhost ([127.0.0.1]:53796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCiTg-0002lq-Nv
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:04:32 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCiTb-0002lY-QR
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:04:31 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D5F68240026
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 15:04:21 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628427861; bh=M4bgusi06yZvlzPavb7Um+X+mJKyYUq5KIdBP6nN3D8=;
 h=From:To:Cc:Subject:Date:From;
 b=E4FMQsnOW8z4ODNziw3twilmbZwF8MeUO0zf+vvZWQxsT1iQ0ijIBfKg8KIsix2tJ
 K55rNKeUH3kFYOWho0vYPAe0PgZadeyVFrW5e8T3of0WGupOU3xh/hFxA4sq5Fdbqg
 35e+ozZj6ewLUaHXUg7t/G8D7//YjtOCiBGQlC9aSsns/OAWlPfhPvp8+T/K0CAgrb
 eQNiByhqPqOkh1zZ8sdrAC1+YxcQYZxFnk8fCs5Y0LuDKMPsj6AmTShCMY8iiYSncm
 uF7bieEVnt2BLHv2aYLPleH9ItLUrTx6L/X0HZ9UPks1HoTBaPusauWsHGgY9rrtPi
 4hKhQSwnWGI8g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjKDP0GVTz9rxD;
 Sun,  8 Aug 2021 15:04:20 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-26-pukkamustard@HIDDEN>
 <87a6lvkgng.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 26/29] gnu: Add ocaml-lwt-ssl.
In-reply-to: <87a6lvkgng.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 13:04:19 +0000
Message-ID: <861r746qb0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Xinglu Chen <public@HIDDEN> writes: >> + (description
    "An Lwt-enabled wrapper around >> @code{ocaml-ssl}, that >> +performs I/O
    concurrently.") > > Write a complete sentence, maybe > > This OCaml library
    provides an Lwt-enabled… > > ? 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [185.67.36.65 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [185.67.36.65 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +    (description "An Lwt-enabled wrapper around=20
>> @code{ocaml-ssl}, that
>> +performs I/O concurrently.")
>
> Write a complete sentence, maybe
>
>   This OCaml library provides an Lwt-enabled=E2=80=A6
>
> ?

Perfect. Using description as suggested in V2.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 13:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 09:01:50 2021
Received: from localhost ([127.0.0.1]:53791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCiR4-0002hp-Al
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:01:50 -0400
Received: from mout02.posteo.de ([185.67.36.66]:54079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCiR2-0002ha-2A
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 09:01:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B2E21240106
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 15:01:41 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628427701; bh=bRNIqJ9njjLbOFXp3u7CRkVBclSrSSp1HcI6sJQ1ncw=;
 h=From:To:Cc:Subject:Date:From;
 b=W2KwrF5mAPpJy9Ln5DmL7YXfpDgM4+W+O7ZPkTeETg1MbaZCeO3yGXz9N2DCP8wkY
 duQyZwLvQuXoqDLkANwt56imn3hsz2oEvXK2A6hC+nzRPOb168QvU6gyirwfprsKDe
 xBNpsVi2rDropMC1oXANqjCaAL93JVXaN0U9joZ6W87BV/AFvBpFZRH70w2ykJIOkT
 tX/geegqrmI3BTL57MqIt7y43L/iDx71XCWba4w9jhQS2gEgzOZVc3eWp+wTElfYh3
 VkX3AWGs8viAVS8LniHw/07zY45pZ74N8G4AkI6n+4RFTHOCej+3Q8P7Vkr5bhj0zP
 2ZgP7NU5zCzXQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjK9J43NSz9rxD;
 Sun,  8 Aug 2021 15:01:40 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-25-pukkamustard@HIDDEN>
 <87czqrkgpo.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 25/29] gnu: Add ocaml-lwt-log.
In-reply-to: <87czqrkgpo.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 13:01:38 +0000
Message-ID: <864kc06qfh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Xinglu Chen <public@HIDDEN> writes: > This sentence
 is a bit weird, maybe > > This OCaml library provides helpers for logging;
 it has been > deprecated in favor of @code{ocaml-logs}. > >> + (license
 license:lgpl2.1))) > > COPYING[1] say [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.66 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

> This sentence is a bit weird, maybe
>
>   This OCaml library provides helpers for logging; it has been
>   deprecated in favor of @code{ocaml-logs}.
>
>> +    (license license:lgpl2.1)))
>
> COPYING[1] say lgpgl2.1+, and =E2=80=9Cwith the additional exemption=20
> that
> compiling, linking, and/or using OpenSSL is allowed=E2=80=9D.  You can=20
> probably
> put a comment that mentions the exemption.
>
> [1]: <https://github.com/ocsigen/lwt_log/blob/master/COPYING>

While fixing the package definition, I notice that ocaml-lwt-log=20
already existed. V2 removes my patch for adding ocaml-lwt-log.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 12:36:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 08:36:41 2021
Received: from localhost ([127.0.0.1]:53782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCi2i-00027k-V0
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 08:36:41 -0400
Received: from mout02.posteo.de ([185.67.36.66]:53523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCi2e-00027S-NX
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 08:36:39 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 4E7A7240106
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 14:36:30 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628426190; bh=RSau9VbR/N3ZjNCWW8aqeYEOfAl4VFr7tcgGeQCwYyM=;
 h=From:To:Cc:Subject:Date:From;
 b=qdbrQkpPsR5e3zi6e/t7YHal+MwZQLBywp92IWNq9+Cflv12WiwUw3Ir54wR8X/Q3
 C05MUAVtTC2gyPt2e8sNPSlkse5psfmeSRvy2tn8C6+X+pL+3rvlVsbz8q3ooPUKif
 mnBGZE+yHOzFaXNEnP8sWruAWvJLerfa2l+qgRdpxmmmCP8xVPNBGVl0Qd8kSk/w8L
 IcO6Q2HdrZQIxdup7/wUFrHUJLihDfZwJHWdsaYnScifV+L0ef82hnmJP9vuYJu3YN
 +UVB9CXq0wsWb6FYpqqgYEJnhfka5qISFR5dOAnkD8RYAxH6R+Ir/Pp/3Rq9cleHq4
 kPxcFiMMI31Yg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjJcF1J37z9rxR;
 Sun,  8 Aug 2021 14:36:28 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-24-pukkamustard@HIDDEN>
 <87fsvnkgzk.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 24/29] gnu: Add ocaml-ca-certs.
In-reply-to: <87fsvnkgzk.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 12:36:27 +0000
Message-ID: <867dgw6rlg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Xinglu Chen <public@HIDDEN> writes: >> + ; ; Tests are
 failing as they require >> certificates to be in /etc/ssl/certs >> + #:tests?
 #f)) > > The same issue has been mentioned by NixOS people on their bug >
 tracker[1], they solved[2] it [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.66 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +                 ;; Tests are failing as they require=20
>> certificates to be in /etc/ssl/certs
>> +                 #:tests? #f))
>
> The same issue has been mentioned by NixOS people on their bug
> tracker[1], they solved[2] it by reading the NIX_SSL_CERT_FILE
> environment variable, which automatically gets set in the build
> environment if the =E2=80=98cacert=E2=80=99 package is specified as an in=
put.  I=20
> don=E2=80=99t
> know if Guix does something similar.
>
> [1]: <https://github.com/mirage/ca-certs/issues/16>
> [2]: <https://github.com/mirage/ca-certs/pull/17>
>

Thanks for the pointers.

Inspired by the package definition for curl, I tried setting=20
NIX_SSL_CERT_FILE with native-search-paths:

```
    (native-search-paths
     (list
      (search-path-specification
       (variable "NIX_SSL_CERT_FILE")
       (file-type 'regular)
       (separator #f)                   ;single entry
       (files '("/etc/ssl/certs/ca-certificates.crt")))))
```

and adding `nss-certs` to the native-inputs.

However, this does not work. Some observations/questions:

- The NIX_SSL_CERT_FILE does not appear in the=20
  `environment-variables` file when running `guix build -K`. I=20
  would have expected it to be set there.
- `nss-certs` does not provide the `ca-certificates.crt` file. It=20
  is built when creating a profile with the=20
  `ca-certificate-bundle` hook. Is this run when creating a build=20
  environment?

I seem to be not understanding a lot of things about the build=20
environment ... Pointers very welcome!

>> +    (propagated-inputs
>> +     `(("ocaml-astring" ,ocaml-astring)
>> +       ("ocaml-bos" ,ocaml-bos)
>> +       ("ocaml-fpath" ,ocaml-fpath)
>> +       ("ocaml-rresult" ,ocaml-rresult)
>> +       ("ocaml-ptime" ,ocaml-ptime)
>> +       ("ocaml-logs" ,ocaml-logs)
>> +       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
>> +       ("ocaml-x509" ,ocaml-x509)))
>> +    (native-inputs
>> +     `(("ocaml-alcotest" ,ocaml-alcotest)))
>> +    (synopsis
>> +     "Detect root CA certificates from the operating system")
>> +    (description
>> +     "TLS requires a set of root anchors (Certificate=20
>> Authorities) to
>> +authenticate servers. This library exposes this list so that=20
>> it can be
>                         ^
> Double spacing.

Fixed in V2.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 11:29:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 07:29:29 2021
Received: from localhost ([127.0.0.1]:53753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCgzh-0006jx-FB
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:29:29 -0400
Received: from mout02.posteo.de ([185.67.36.66]:49341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCgzf-0006ji-Ag
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:29:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id A9C7C240110
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 13:29:21 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628422161; bh=+godP4ZAc0+Ya1Lt+1ykO3AEcJV55OuUf14zFW9Lw3A=;
 h=From:To:Cc:Subject:Date:From;
 b=JaKugrb4CNOu7smqrzZqTqyPrd1lUI5rqEixHbeR0+GPbrugYIdO3FTuwG0ndFXup
 4uwrs4kTkZkHuz8DwtdnFBalJ0IPFjm4Te7NkRxjpuaWvusCJmI5zUPATx0QoPOe0j
 t3Dism5w4UkqNg2vGTq3eOYXRbyMMAJhw7axIjDlX9migPPgezDRgQhdiGkgjht49H
 6GTjXgcCkFdSAQhPMDjg/ctRAPrGshjo4w+mGumssHvNqXsfD+dMeWKPsR8cce4OKS
 QyCR515HWHD6A/+s5QHCDuBvCa8tjqMQ0EfwvS8bxs7NqEVty5l8eZ4n4OjNXoxxCY
 fxIBgQ8M1KV9w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjH6m671Tz9rxk;
 Sun,  8 Aug 2021 13:29:20 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-23-pukkamustard@HIDDEN>
 <87im0jkhcl.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 23/29] gnu: Add ocaml-x509.
In-reply-to: <87im0jkhcl.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 11:29:19 +0000
Message-ID: <86a6ls6upc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Xinglu Chen <public@HIDDEN> writes: >> + (description
 "X.509 is a public key infrastructure used >> mostly on the >> +Internet.
 It consists of certificates which include public >> keys and >> +identifiers, 
 signed by an authority. Author [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.66 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +    (description "X.509 is a public key infrastructure used=20
>> mostly on the
>> +Internet.  It consists of certificates which include public=20
>> keys and
>> +identifiers, signed by an authority. Authorities must be=20
>> exchanged over a
>> +second channel to establish the trust relationship. This OCaml=20
>> library
>> +implements most parts of RFC5280 and RFC6125.  The Public Key=20
>> Cryptography
>> +Standards (PKCS) defines encoding and decoding (in ASN.1 DER=20
>> and PEM format),
>> +which is also implemented by this library - namely PKCS 1,=20
>> PKCS 5, PKCS 7,
>
> Nit: Use =E2=80=98---=E2=80=99 instead of just =E2=80=98-=E2=80=99, see t=
he fifth bullet point=20
> in =E2=80=9C2.1
> General Syntactic Conventions=E2=80=9D in the Texinfo manual.

Thanks! Done in V2.

Note: This has also been updated to 0.14.1 which requires Cstruct=20
6.0.0.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 11:24:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 07:24:46 2021
Received: from localhost ([127.0.0.1]:53745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCgv7-0006cc-T3
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:24:46 -0400
Received: from mout02.posteo.de ([185.67.36.66]:34167)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCgv3-0006cM-5k
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:24:44 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id A1EBF240101
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 13:24:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628421874; bh=6/HNka4xAWPRBziqNaK6AMQngAt020tc5O8o/x+vJdU=;
 h=From:To:Cc:Subject:Date:From;
 b=MHZ6xP28RgoraHtPnTi+doRVvl1baltfB8z0CitKya5UmIW+i0UhvzO3KVnl0tdm+
 6j0b7ZF/HqeijbkvxJTMfRTFvtXHfPvdfhn3iPRtD3RusapSkpZ/bJIoaq/xdzAeVB
 OHE9GLczcPn9U/DXCh0jXNaPxnam3TLL7lIbu8VCqyITXUuN8qM0gu02C4qBYFpl8K
 V3WByu7SRcV4hlQoxNYZdqG6OnKlFWhsAycOnOYX4uT2Qz6gERiIGKzL/9Yxrtp1SW
 u7rXJBnowELqP5mJ7NGb5vmOmbsmFVTQ+toZfsdeekC9GpcQEkdh6OTFyqIx1Wvj9x
 P/2S2BqobETPA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjH1F2YJQz9rxW;
 Sun,  8 Aug 2021 13:24:33 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-22-pukkamustard@HIDDEN>
 <87lf5fkhh8.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 22/29] gnu: Add ocaml-cstruct-unix.
In-reply-to: <87lf5fkhh8.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 11:24:31 +0000
Message-ID: <86czqo6uxc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Xinglu Chen <public@HIDDEN> writes: >> + (synopsis
 "Unix variation of the @code{ocaml-cstruct} >> library for accessing C-like
 structures directly from OCaml") > > Keep lines at around ~80 characters
 (applies to the description > too). [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.66 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +    (synopsis "Unix variation of the @code{ocaml-cstruct}=20
>> library for accessing C-like structures directly from OCaml")
>
> Keep lines at around ~80 characters (applies to the description=20
> too).
> Maybe drop the second half of the synopsis, so
>
>   "Unix variation of the @code{ocaml-cstruct} library"
>
> The desciption already mentions =E2=80=9Caccess C-like structures=20
> directly from
> OCaml.=E2=80=9D; the synopsis of =E2=80=98ocaml-cstruct=E2=80=99 also men=
tions =E2=80=9CAccess C
> structures via a camlp4 extension=E2=80=9D.
>
> WDYT?

I agree. Fixed in V2.

Also fixed a missing double-space in the description.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 11:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 07:21:40 2021
Received: from localhost ([127.0.0.1]:53741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCgs8-0006Xn-EZ
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:21:40 -0400
Received: from mout01.posteo.de ([185.67.36.65]:56287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCgs6-0006XZ-1B
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:21:38 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 3E569240029
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 13:21:32 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628421692; bh=yA7YCjYd2YFdws9iSQP5Az61+MQLxyZtnqvR1e/nBnY=;
 h=From:To:Cc:Subject:Date:From;
 b=o0K/tAEpYHcNG6wJVhjg3+8O10VrvUpPsheiijjQLZwpL3/zsFKYPhpKNhNWAEfMJ
 wspBmCCLbXBfjtVnA5X3B/G0/+sdqB5Wefq/w66k+TBbOywJVSUpxZ1LuzzJ4NUvMR
 v96CnN9QTl8cqdX8W5OhcL0TZ5a5QJiq1/8jPcAwdjiJ0tI3NdGiMjXEa/lFtGNUlj
 GBLiru+6Tq20z8M3tgZ0zWOsgBL0SXMn8YzvBcwufoqRYJkdV4G1a3UYH/O572p5Pw
 r6L3HJFf1dHykLfDDtbfx3W2qs0yZ9Wu0Fob4LWVzdAcRXvl19cr+v7ozL1AQxjKp0
 7KOd6SM9tbxHw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjGxl10fPz9rxQ;
 Sun,  8 Aug 2021 13:21:30 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-21-pukkamustard@HIDDEN>
 <87o8abkhs5.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 21/29] gnu: Add ocaml-pbkdf.
In-reply-to: <87o8abkhs5.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 11:21:29 +0000
Message-ID: <86fsvk6v2e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Xinglu Chen <public@HIDDEN> writes: >> + (description
 "An OCaml implementation of PBKDF 1 and 2 as >> defined by >> +PKCS#5 using
 @code{ocaml-mirage-crypto}.") > > The description should contain full
 sentences, maybe > > "This package p [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.65 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

>> +    (description "An OCaml implementation of PBKDF 1 and 2 as=20
>> defined by
>> +PKCS#5 using @code{ocaml-mirage-crypto}.")
>
> The description should contain full sentences, maybe
>
>   "This package provides an OCaml implementation of =E2=80=A6"

Changed to: "This package provides an OCaml implementation of=20
PBKDF 1 and 2 as defined by PKCS#5 using=20
@code{ocaml-mirage-crypto}."

Note: A version 1.2.0 was released recently. However, it requires=20
CStruct 6.0.0. I will submit a patch to update ocaml-cstruct and=20
then ocaml-pbkdf can be updated to 1.2.0.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 11:13:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 07:13:39 2021
Received: from localhost ([127.0.0.1]:53736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCgkN-0006Kb-I2
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:13:39 -0400
Received: from mout01.posteo.de ([185.67.36.65]:39135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCgkL-0006KL-0T
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:13:38 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 5380E240027
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 13:13:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628421211; bh=mP147ToVzeFvihEiwm94jJSp4m5GmkZO322XnosNKu4=;
 h=From:To:Cc:Subject:Date:From;
 b=HelnESbYmPQHi/IRAAxhpKFqo508o1dgttUQQyJKysjwfrPzPjj/rj4dVlS/AJ3ID
 vbW0CmBGKe8A5QLZzXtrOQNxBL5bYiq38NJFQ5zrC0xp11JbAdXFH7KPVBLTWxnLsH
 7f1TDwrqx9NucsTglEw+ZSEAaQuRUJt1NVWpYHjAnushIDYieTugfcmS40DV3he5A3
 ld+EWQAOmqf3VeKDTJ49lrdLkhY2QLBBDeCAT7H3KiJKhnZDhqnAqjCmx6HleMU68C
 ovjqXiMxV5mfiai6nikZVsI1K4oCOnajkc0RdpSXLQiT5woCzfVwtL0AFcZmyV3Lh3
 vdoylZSIbRBqw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjGmV0pf5z9rxT;
 Sun,  8 Aug 2021 13:13:29 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-15-pukkamustard@HIDDEN>
 <87r1f7ki3c.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 15/29] gnu: Add ocaml-ptime.
In-reply-to: <87r1f7ki3c.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 11:13:28 +0000
Message-ID: <86im0g6vfr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Xinglu Chen <public@HIDDEN> writes: > Use
 (string-append
 "https://erratique.ch..." version ".tbz") to > make it > easier to update
 the package in the future. Done. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.65 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

> Use (string-append "https://erratique.ch..." version ".tbz") to=20
> make it
> easier to update the package in the future.

Done.

>> +       (sha256
>> +        (base32
>> +=20
>> "1fxq57xy1ajzfdnvv5zfm7ap2nf49znw5f9gbi4kb9vds942ij27"))))
>> +    (build-system ocaml-build-system)
>> +    (arguments
>> +     `(#:tests? #f
>
> What=E2=80=99s the reason for disabling tests?
>

Laziness, I guess.. :)

Enabled in V2.

>> +    (description "Ptime has platform independent POSIX time=20
>> support in pure
>> +OCaml. It provides a type to represent a well-defined range of=20
>> POSIX
>          ^
> Double spacing.  :-)
>

Thanks!

>> +Ptime is not a calendar library.
>
> Not really sure if this sentence is necessary.  I think the=20
> previous
> sentences has hade it pretty clear that it a time and date=20
> library.
>

Agree, removed sentence.

>> +Ptime depends on the @code{ocaml-result} compatibility=20
>> package. Ptime_clock
>> +depends on your system library. Ptime_clock's optional=20
>> JavaScript support
>> +depends on @code{js-of-ocaml}.")
>
> This two sentences are probably also not necessary for users of=20
> the
> package.  It should be the packager=E2=80=99s job to specify the=20
> dependencies.  :-)

Also agree. Removed sentences.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 8 Aug 2021 11:04:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 07:04:41 2021
Received: from localhost ([127.0.0.1]:53728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCgbh-00063o-4u
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:04:41 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mCgbe-00063Y-BN
 for 49867 <at> debbugs.gnu.org; Sun, 08 Aug 2021 07:04:39 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id EBEC4240027
 for <49867 <at> debbugs.gnu.org>; Sun,  8 Aug 2021 13:04:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628420672; bh=NgRMyJQORR42zhqBwC936wmxohF3aZUe0bZs75PCswk=;
 h=From:To:Cc:Subject:Date:From;
 b=f6E7YAMYKRcLMX2mf4p7zxidXeWlJAo72TthzsCZO3KcACn7cjnkAajnAA++jyTz3
 5BLf6D/Ru26arQf5Y3YUL4oZOCFCfTfFSuNg86IS21a2DAMrgV8FVT8jtowBxIQ3JC
 Es1pxy6f1ZzA3vG6wkSZ5/B5ygTzo/8Z9fqbEMhBYM5+vAbPavNoESvj/uA9oyeqv3
 DJZ5jTk5XOIGZES0/xDTwWfMe6xB6Ex8x6pSE7PbGNlSMKSqmlip/SNg5HKx/IZwoE
 0ahLfAxcy+AQYRlTy5dfxP0D1oJSf91QHTbCCLXdcn6SxDc0+6pRrdtoyCVTK5F/1D
 fKJSipMu8/LjA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GjGZ62sjcz6tmG;
 Sun,  8 Aug 2021 13:04:29 +0200 (CEST)
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-13-pukkamustard@HIDDEN>
 <87tuk3kie4.fsf@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#49867] [PATCH 13/29] gnu: Add ocaml-mirage-crypto-rng.
In-reply-to: <87tuk3kie4.fsf@HIDDEN>
Date: Sun, 08 Aug 2021 11:04:18 +0000
Message-ID: <86lf5c6vv1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Xinglu Chen <public@HIDDEN> writes: > Keep lines at
 ~80 characters. To keep the synopsis slighty > shorter,
 > maybe > > "Cryptographically
 secure pseudo-random number generator in > OCaml" > > WDYT? 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.67.36.65 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49867
Cc: 49867 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Xinglu Chen <public@HIDDEN> writes:

> Keep lines at ~80 characters.  To keep the synopsis slighty 
> shorter,
> maybe
>
>   "Cryptographically secure pseudo-random number generator in 
>   OCaml"
>
> WDYT?

Sounds good! Fixed in V2.




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:25:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:25:37 2021
Received: from localhost ([127.0.0.1]:48197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBgBc-00029a-QI
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:25:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36044
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBgBa-00029H-HC
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:25:35 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628180726;
 bh=7zcKYzNk7SRiXEr9OC6JkN8flRNewnpAyECnG6OX6K0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=l1QIrkRJbko4cRvQGF8sPfVQ2Qkkysc6AxPUazw2rdI97tuNGtTIH+ycvlMKj3iWp
 RbAmoXCahjOVRBAdu82sc5hvKRZiOvkg/Pk7ztTpUDYhkOW4EIwdQUyIidYwCWazfn
 xDBmWgzrbLLZOiV3qzmBs1VMc1u+7BPnuVhsbCUU=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 29/29] gnu: Add ocaml-cohttp-lwt-unix
In-Reply-To: <20210804071545.21181-29-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-29-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:25:25 +0200
Message-ID: <871r77kgei.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-cohttp-lwt-unix): New variable. > --- > gnu/packages/ocaml.scm | 23
 +++++++++++++++++++++++ > 1 file changed, 23 insertions(+) > > diff --git
 a/gnu/packages/ocaml.scm [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-cohttp-lwt-unix): New variable. > --- > gnu/packages/ocaml.scm | 23
    +++++++++++++++++++++++ > 1 file changed, 23 insertions(+) > > diff --git
    a/gnu/packages/ocaml.scm [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-cohttp-lwt-unix): New variable.
> ---
>  gnu/packages/ocaml.scm | 23 +++++++++++++++++++++++
>  1 file changed, 23 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index d9e84cd7ad..db195996c9 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7248,6 +7248,29 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} =
for the MirageOS unikernel
>  version of the library.  All of these implementations share the same IO =
logic
>  from this module.")))
>=20=20
> +(define-public ocaml-cohttp-lwt-unix
> +  (package
> +    (inherit ocaml-cohttp)
> +    (name "ocaml-cohttp-lwt-unix")
> +    (arguments `(#:package "cohttp-lwt-unix"
> +                 ;; tests require network
> +                 #:tests? #f))
> +    (propagated-inputs
> +     `(("ocaml-conduit-lwt" ,ocaml-conduit-lwt)
> +       ("ocaml-conduit-lwt-unix" ,ocaml-conduit-lwt-unix)
> +       ("ocaml-cmdliner" ,ocaml-cmdliner)
> +       ("ocaml-magic-mime" ,ocaml-magic-mime)
> +       ("ocaml-logs" ,ocaml-logs)
> +       ("ocaml-fmt" ,ocaml-fmt)
> +       ("ocaml-cohttp-lwt" ,ocaml-cohttp-lwt)
> +       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
> +       ("ocaml-lwt" ,ocaml-lwt)
> +       ("ocaml-lwt-ssl" ,ocaml-lwt-ssl)))
> +    (native-inputs `(("ocaml-ounit" ,ocaml-ounit)))
> +    (synopsis "OCaml HTTP implementation for Unix and Windows using Lwt")
> +    (description "An OCaml implementation of an HTTP client and server f=
or
> +Unix and Windows using the Lwt concurrency library.")))

Full sentence, maybe

  This OCaml library provides an implementation of an HTTP=E2=80=A6

Also, I don=E2=80=99t think Windows support should be mentioned since it=E2=
=80=99s
not supported by Guix, and it=E2=80=99s non-free software.  :-)


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMEPYVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5GbIP/3tKkLxYj7cXuxa2d5MHMR8oc3Pl
gO0W6r7QlnY+IMTAMDhZ008+yEKoBwlzPPDVogVQPx+ULyc1u1xhGMeNBv6m/hIp
VKoNElUxrvUbAwA7DECYhg/tNFApCwzhI+1c13WSbcIBWe/Uz7fVJgutMkSEf/BC
VYxISdHjnjuEQTwNms+Cbx6wiVDLxLU5Fnf7bV6bwmssL91jQ8ixEjMdyjOLgLhg
kwaSuW7OkahgDgfF9MnSAICfklIS/V6f266NrmdwwP/H9grQi3BGhiwWlsU57/LS
mADiak93vE7F/Y7QzMPmTZQKAA1ibVkUmhvYUYC/gz4hDdmeCQkVv7LK5LOJbaKP
YZCQwTBv3UI9927r9/uejof/Hz0WMGU7CPyLCFRN48OF1zeRmQh/bS9ZKFlDnLjX
/wt+Z3KXcydDlvomhunJuMl3Ez8yOeaT8Ru7mTMSbkHwpW5KT+bEmvRyS6+Ut6b6
N/2VV3pENmXJ30M95+iFoDlBKShJDJsLa2nCCleUj5JlaAGIepJT3ZoGygyzR/Km
mAqCksIOso3/1P3x6eHsIgy+N5rCfsKDO1in8X/S5Qu8UT0MluiaopHPBLuGx1j2
Ceh97aJItPJlt7Q6LgoLsyBOnXm54FINkodUihMDAv0nEiVKuDD15tKlRWf9OZ5U
5f7lTQQ0JPZI4sCy
=rZa8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:22:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:22:36 2021
Received: from localhost ([127.0.0.1]:48193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBg8i-00024h-C5
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:22:36 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35966
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBg8g-00024S-Ht
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:22:35 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628180547;
 bh=i8+LslFFYNqcgps/5rSrgLYQs5Ka5ZDT837M7XF/Zbc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=hShdrUqXyTQUX2lccmNofFIiKXsn/UeQV7f4vA+EEDd5dKI0cyvzuFlOhZKz1Awis
 GmYRGKOFufzNxU2vrfsmHJd24baFfmdTy0JjXTvmwL1Dp2pyYpWhWPL/9u6X4Gpv3s
 6gGl7K9ZoxTLeIEpIEeyLarMEtocqcCJjtkr9Wmw=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 28/29] gnu: Add ocaml-magic-mime.
In-Reply-To: <20210804071545.21181-28-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-28-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:22:26 +0200
Message-ID: <874kc3kgjh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-magic-mime): New variable. > --- > gnu/packages/ocaml.scm | 25
 +++++++++++++++++++++++++
 > 1 file changed, 25 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
 b/ [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-magic-mime): New variable. > --- > gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
    > 1 file changed, 25 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
    b/ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-magic-mime): New variable.
> ---
>  gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
>  1 file changed, 25 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index 8904f2df19..d9e84cd7ad 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7248,6 +7248,31 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} =
for the MirageOS unikernel
>  version of the library.  All of these implementations share the same IO =
logic
>  from this module.")))
>=20=20
> +(define-public ocaml-magic-mime
> +  (package
> +    (name "ocaml-magic-mime")
> +    (version "1.2.0")
> +    (home-page "https://github.com/mirage/ocaml-magic-mime")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url home-page)
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "1pmwxw5n0lxbp7b9z1wplkn0cfl816cbacx3cdj2912n5zyjpjnk"))))
> +    (build-system dune-build-system)
> +    (arguments `(#:test-target "."))
> +    (synopsis "OCaml library for mapping filenames to common MIME types")
> +    (description "This library contains a database of MIME types that ma=
ps
> +filename extensions into MIME types suitable for use in many Internet
> +protocols such as HTTP or e-mail.  It is generated from the `mime.types`=
 file
                                                                ^^^^^^^^^^
Nit: @file{mime.types}

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMEEIVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5MPsQAJVeDTmWxEA4ZxlUTHBPQvUC5Wl6
v2SLNCdjM3ng6yFTYAseAHPv3Cl2B00HraNzqnsAg1yzun9JYzVA0plSXh2NSRnM
F1wY5n+1fYAlsGatT6pZYSsWnjHR6h1d6/SbU5ABOOd6fO8EG0/q9Tk+WbBawbbT
IFArPLJIlepLpNlLBHLmare1TDD/3Vmex5Ca77+zwc5RpI/u0m4SfixNJ+NXIrV1
Ixfs5nhGduWz3GE8loMEHDoDMSQPaSBganPamL+FH/82y0YpNsmlLWbx+2ati2B1
glO0PNTLcZLU00R6z4L89TIxNS1eoSll5q2uloE3ZrndI5Jkn6KNo88m2baI922D
cAxwWD0+3negnqZk6lyCwUodqjxtBcewtfE5TC/VlWR9sQ4YoaawP06JbTQ8QlS9
wOg6o3uFf+OsCAjwG243zEVN+kfotMl+rA8m3TLBf+FxHn0GJ0K8ns8T1qZdJMOC
2Bv39xCu64mpAX1KjFGoFXp5gF1gYvTL/aRm3sivT8sIypSb/C/BE0+WqVGpdHlX
EsBB70152JPrBfiu3ldRxy5xyKgPCjtfEUqK7+mxiZFSz67OJQNIXCH6zG+sFJtc
NRivwgrUCutWgLMoNGES23fEXwgS7dZx++aWlGzyNXagcQ6LefD3im0tyEMa2160
LVcLl8ifMS3OTCZ9
=QlTp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:20:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:20:58 2021
Received: from localhost ([127.0.0.1]:48186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBg78-000213-1w
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:20:58 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35912
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBg76-00020p-59
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:20:56 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628180448;
 bh=xQnB19jdP2BlMRIwyG5XeNi/W9Q6lsNK6pCblv7fcm0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=uFyl+nRRztb39jlJeUer+gUIwxgpk7t3wvG/oK6p79M+uDa2oZn7Fsv2hZXkYepGJ
 9MhTdQCB8c+IyeRuhgYY7cMgqv98QZlgBkzUcKJkN3MY+hYwVvJzwkvSVezK/ZzB4c
 OifQlOXoRNQqC0S6U37EAqTiG+JRvXXnYLMiFa4c=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 27/29] gnu: Add ocaml-conduit-lwt-unix.
In-Reply-To: <20210804071545.21181-27-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-27-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:20:48 +0200
Message-ID: <877dgzkgm7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-conduit-lwt-unix): New variable. > --- > gnu/packages/ocaml.scm |
 25 +++++++++++++++++++++++++ > 1 file changed, 25 insertions(+) > > diff --git
 a/gnu/packages/ocaml. [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-conduit-lwt-unix): New variable. > --- > gnu/packages/ocaml.scm |
   25 +++++++++++++++++++++++++ > 1 file changed, 25 insertions(+) > > diff --git
    a/gnu/packages/ocaml. [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-conduit-lwt-unix): New variable.
> ---
>  gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
>  1 file changed, 25 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index cadd22cb9c..8904f2df19 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7454,6 +7454,31 @@ deprecated for @code{ocaml-logs}.")
>  performs I/O concurrently.")
>  (license license:lgpl2.1+))) ; with linking exception
>=20=20
> +(define-public ocaml-conduit-lwt-unix
> +  (package
> +    (inherit ocaml-conduit)
> +    (name "ocaml-conduit-lwt-unix")
> +    (arguments `(#:package "conduit-lwt-unix"
> +                 #:test-target "."))
> +    (propagated-inputs
> +     `(("ocaml-logs" ,ocaml-logs)
> +       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
> +       ("ocaml-conduit-lwt" ,ocaml-conduit-lwt)
> +       ("ocaml-lwt" ,ocaml-lwt)
> +       ("ocaml-uri" ,ocaml-uri)
> +       ("ocaml-ipaddr" ,ocaml-ipaddr)
> +       ("ocaml-ipaddr-sexp" ,ocaml-ipaddr-sexp)
> +       ("ocaml-ca-certs" ,ocaml-ca-certs)))
> +    (native-inputs
> +     `(("ocaml-lwt-log" ,ocaml-lwt-log)
> +       ("ocaml-ssl" ,ocaml-ssl)
> +       ("ocaml-lwt-ssl" ,ocaml-lwt-ssl)))
> +    (synopsis "OCaml library for establishing TCP and SSL/TLC connection=
s using Lwt_unix")

Keep lines at ~80 characters.  :-)


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMD+AVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5j8UP/0znH6GnP2bfjjavk3ay6VeyI7oJ
eYPJaFXiMmhtCG87OdP9SgouD/Uav/zQI5KTu7BAiuZ5PPwFtNmx507eDYB08xTd
lzCTLbfIvpKbeFBY8AhPNzQVhhi5UjNzYnfxVV7HuxyBLNaFKzxzJgViV1pxtfFn
197CiKG8JPivMxthtHuP6LZnfb1C/cdLboV2JD0qylcRZ2QZqtPPTrPZNdL1lkve
2cLp4cQl/4w+rMdukTfnzy2HxUcXtTGr4QF3aveAkUNnsb2nwPJq+1CutPpAbVO6
poIbaclO8VlWU24Lf4HjIBLm9WXTUCPgcdwPvEWggAzcXNkIVehpCksZMO700/Zj
SMD+iUVblEzsSRIA8KtN/tH3rMy+ze04L6sPpmYwYrvMpBD6mB6lSthwcARs8SmA
X4A+JIBxjWiw/58Y1YLJSGv86RYrmysHI3Y3UMHIvabbEh+FE8hUXuQ9CgQAYr+H
c/6K1mQm+8s1vHnjx4/m8c3396ylHrqaQpwBOno9C0WaEf6rM9IOS2hor2z3bLI2
lOTZMzUOVSQXr9855Cg0h7GmFZ7zkQ9QpN7Nodjmq2JX8b7UbTPnUBgIftI/L+TE
Ta7Vxs4PA3UY2ueu7rgx0TstL/cN45D/3r2F3ZGXUO80BKQ/EhM3X63wZ0v+s6A/
TDTS2QkAk7TxaqdC
=farj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:20:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:20:14 2021
Received: from localhost ([127.0.0.1]:48183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBg6P-0001zr-OK
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:20:13 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35890
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBg6O-0001zK-78
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:20:12 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628180404;
 bh=nYEaTg3RI7h/kAg3Ty49HyDGhtlIy1S6ERi24r3Kwsg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=LeM3XszxCQ2h87QUuHUhrBR7IvB9R3fBtjPCBTcb5BN1J75BCXKaAJ97u61bYIwr0
 46ZpMJJeJj3uKZanAVD93wJFNnrcSf41QA9Aece/9Iov7lQX0A2snY3OSchRhwSFOG
 Nf99OqPk/175bRc1LrCrS8WRAC9fDibr9xy7bhIg=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 26/29] gnu: Add ocaml-lwt-ssl.
In-Reply-To: <20210804071545.21181-26-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-26-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:20:03 +0200
Message-ID: <87a6lvkgng.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-lwt-ssl): New variable. > --- > gnu/packages/ocaml.scm | 26
 ++++++++++++++++++++++++++
 > 1 file changed, 26 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
 b/gn [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-lwt-ssl): New variable. > --- > gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
    > 1 file changed, 26 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
    b/gn [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-lwt-ssl): New variable.
> ---
>  gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
>  1 file changed, 26 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index d475b75287..cadd22cb9c 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7428,6 +7428,32 @@ establishing TCP and SSL/TLS connections from @cod=
e{ocaml-conduit} using
>  deprecated for @code{ocaml-logs}.")
>      (license license:lgpl2.1)))
>=20=20
> +(define-public ocaml-lwt-ssl
> +  (package
> +    (name "ocaml-lwt-ssl")
> +    (version "1.1.3")
> +    (home-page "https://github.com/ocsigen/lwt_ssl")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url home-page)
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "0v417ch5zn0yknj156awa5mrq3mal08pbrvsyribbn63ix6f9y3p"))))
> +    (build-system dune-build-system)
> +    (arguments `(#:test-target "."))
> +    (propagated-inputs
> +     `(("ocaml-lwt" ,ocaml-lwt)
> +       ("ocaml-ssl" ,ocaml-ssl)))
> +    (properties `((upstream-name . "lwt_ssl")))
> +    (synopsis "OpenSSL binding for OCaml with concurrent I/O")
> +    (description "An Lwt-enabled wrapper around @code{ocaml-ssl}, that
> +performs I/O concurrently.")

Write a complete sentence, maybe

  This OCaml library provides an Lwt-enabled=E2=80=A6

?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMD7QVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x596QP/A7ZzSZzUgAz0tdj8L2x4iMZa2un
oAQmpk6vtfiV6lnqVYxPPXtamB3+8qVzpdshyY320sT9VtarX821ii38FnWVafhZ
JcgKfJnc1Iix1b9m1J/XbG7FpeOXTGUtvlvF0OV50MGUemyV57YjbdKTvwSBAwSi
MV3K6l6h4SbKaW9XHldpHBpBamagazAc7kPdjT8Nm7G7oR7hVqDA3inp/wcTFshi
X/gvXuHPKpuso/MWdmR47jNobl4nzV8wK4LwvLMjgpDcSHUF/XTqyZP2J20IRrrp
83Kgf05gcwhHRiozoIbUYSZQYgH2KkTgtJ+tMPL47BlN/VEAjrS5qSYVjb1l4k/x
HA4FcUe85kkzmvwshoB0d2yo3dP5UbMByxezBhE6BFjnEJgG6eBdlZJ4xTPnrl0W
wEXCKarpBx+GWUUGhJqPWaI1t34p6nyh0Q2n5SVtdC55SURjRwTrphSmat3rxsSP
JW6EQAGlHUHUe0QQVr/VQq9mKW1G0MA6CUdjydD14gOfMsmaUe0qXVCfC0c7+JsX
sfvipiYXh8M6onsynF7CbL8F6ihoxKf7kx59SWbbas76WxWVlNbXU5ovwMzQUN09
wPkLqATBam4ExlNQLr+ugpaLwYiVENsZZTJoXiEdbDF32LMsAp9oI7PMgUXrmyzY
OtAPe2W75gr/J9YF
=Hh52
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:18:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:18:57 2021
Received: from localhost ([127.0.0.1]:48175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBg5B-0001x2-0W
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:18:57 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35846
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBg58-0001wj-JL
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:18:55 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628180324;
 bh=OPEN5cff5uN75XiQ/zB9Vfzv66okwS4K2a4RCDDd28Q=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=bVQKWar3NwWxTCLiP3F7CGyeIKNyLPREdLFxoLhNp+d6ThsA94CcvR6drA4NkzSEz
 qzkXTjyUXt0k/zGqirWDZK1iIkphAeFTEWcoDUXzAoP+OKwHk7R8NTcxsVIxpKAIs0
 wUx7xvwUtt0bG+NyvguRdxaH3TZC14iaByYJF348=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 25/29] gnu: Add ocaml-lwt-log.
In-Reply-To: <20210804071545.21181-25-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-25-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:18:43 +0200
Message-ID: <87czqrkgpo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-lwt-log): New variable. > --- > gnu/packages/ocaml.scm | 24
 ++++++++++++++++++++++++
 > 1 file changed, 24 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
 b/gnu/ [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-lwt-log): New variable. > --- > gnu/packages/ocaml.scm | 24 ++++++++++++++++++++++++
    > 1 file changed, 24 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
    b/gnu/ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-lwt-log): New variable.
> ---
>  gnu/packages/ocaml.scm | 24 ++++++++++++++++++++++++
>  1 file changed, 24 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index e832adc069..d475b75287 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7404,6 +7404,30 @@ establishing TCP and SSL/TLS connections from @cod=
e{ocaml-conduit} using
>  @code{ocaml-lwt}.")
>      (license license:isc)))
>=20=20
> +(define-public ocaml-lwt-log
> +  (package
> +    (name "ocaml-lwt-log")
> +    (version "1.1.1")
> +    (home-page "https://github.com/ocsigen/lwt_log")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url home-page)
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "1n12i1rmn9cjn6p8yr6qn5dwbrwvym7ckr7bla04a1xnq8qlcyj7"))))
> +    (build-system dune-build-system)
> +    (arguments `(#:test-target "."))
> +    (propagated-inputs `(("ocaml-lwt" ,ocaml-lwt)))
> +    (properties `((upstream-name . "lwt_log")))
> +    (synopsis "OCaml/Lwt logging library (deprecated)")
> +    (description "This OCaml library provides helpers for logging is
> +deprecated for @code{ocaml-logs}.")

This sentence is a bit weird, maybe

  This OCaml library provides helpers for logging; it has been
  deprecated in favor of @code{ocaml-logs}.

> +    (license license:lgpl2.1)))

COPYING[1] say lgpgl2.1+, and =E2=80=9Cwith the additional exemption that
compiling, linking, and/or using OpenSSL is allowed=E2=80=9D.  You can prob=
ably
put a comment that mentions the exemption.

[1]: <https://github.com/ocsigen/lwt_log/blob/master/COPYING>

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMD2MVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5raMP/3o8UxsLQFRDMLwZBz1xp9c4sEW1
23Svd2hh13d3svvEEWwGhY6vIcPAmkhYflmF5Cp+UGWM20uqpejjLYNenAjvLMeI
CGQ0PsAcahyuUlxSC3dBO2y1H5qmqdDNtzjlmq04TD+eC1/BRsTad4zi3Ak/QH8N
lnBH0R+nZX9DWVoGTpL9S6wy4bCiHTiJP9N5e5bAJ44lGvP5/CnP3JEYlEQqXqZr
46EfSrrbjgMAQCwBzZ1U5So3wW43PjqLB9NS7tdBo81H/rKVx4y+BckxOJepnB6t
kSMb5FZKFgyJ6C+/TC2SNv3KVZNmlRZixCgRuY9Z5rfB/9atABMVsl/3P61jPdMM
9FuTh/pIAslMdsrenQX1KdYjQ5+0TLLsJjKBMAi9QISUnC+D2I5HcjOgAVNPd+z9
oQ1cjAr37JehPFNduUIBzHNeK+Rt/MoYNuYjkgl3U4nKHfjkrNFxqNmKuvO0bx/G
P0AIjvltaNqZnA0JcZAxAv47ElQgSFdC/AHQRR3mrQSYOasNh3dVcRWLN34L6VJ/
Jkd1soTnlOeaT5ipbpYFzK7Zu7Nhd8x56Th/8wUcjkruMvf0yHxrlvYu4TugU91k
zHrJfIb6ggZXk1lX5mZ2rYtbyZsXSakmbPEWkX+XXftDb3gK5ZITdBfph8gg0VOx
8ZeNv1HU5q0kZClV
=Vyb2
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:05:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:05:08 2021
Received: from localhost ([127.0.0.1]:48166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBfro-0001cH-Ha
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:05:08 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35510
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBfrm-0001bQ-Ob
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:05:07 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628179499;
 bh=WQQO8IBBkp1JBvAapWVpQ+SHGBVyvRSayMInQWD0qSE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=k1fk64QSM+pWG/kKO0T6hwt6yavSO+kBfwIBSg+tlMT3ojLz0cWblA2CN8+tF8fuc
 yT5TdfoW6H5XVm3LxwlV9RsEa//gdbu6p18mZnyt5wrVB4TohSPjEpMM6CxbVAP5XU
 IqaAABJM4gG2gxAa/L2c3+S6VCFCSa9AozJJYzOs=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 23/29] gnu: Add ocaml-x509.
In-Reply-To: <20210804071545.21181-23-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-23-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:04:58 +0200
Message-ID: <87im0jkhcl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-x509): New variable. > --- > gnu/packages/ocaml.scm | 46
 ++++++++++++++++++++++++++++++++++++++++++
 > 1 file changed, 46 insertions(+) > > diff --git a/gnu/packages/o [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-x509): New variable. > --- > gnu/packages/ocaml.scm | 46 ++++++++++++++++++++++++++++++++++++++++++
    > 1 file changed, 46 insertions(+) > > diff --git a/gnu/packages/o [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-x509): New variable.
> ---
>  gnu/packages/ocaml.scm | 46 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 46 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index a9a4c8a684..3ce07057f5 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7726,6 +7726,52 @@ to create a type-safe heterogenous maps.")
>  PKCS#5 using @code{ocaml-mirage-crypto}.")
>      (license license:bsd-2)))
>=20=20
> +(define-public ocaml-x509
> +  (package
> +    (name "ocaml-x509")
> +    (version "0.14.0")
> +    (home-page "https://github.com/mirleft/ocaml-x509")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url home-page)
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "0b51vzyxxkhwgx12dg55clb1lb971cxlmsk4wlxzs5h115j5hcy7"))))
> +    (build-system dune-build-system)
> +    (arguments `(#:test-target "."))
> +    (propagated-inputs
> +     `(("ocaml-cstruct" ,ocaml-cstruct)
> +       ("ocaml-asn1-combinators" ,ocaml-asn1-combinators)
> +       ("ocaml-ptime" ,ocaml-ptime)
> +       ("ocaml-base64" ,ocaml-base64)
> +       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
> +       ("ocaml-mirage-crypto-pk" ,ocaml-mirage-crypto-pk)
> +       ("ocaml-mirage-crypto-ec" ,ocaml-mirage-crypto-ec)
> +       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
> +       ("ocaml-rresult" ,ocaml-rresult)
> +       ("ocaml-fmt" ,ocaml-fmt)
> +       ("ocaml-gmap" ,ocaml-gmap)
> +       ("ocaml-domain-name" ,ocaml-domain-name)
> +       ("ocaml-logs" ,ocaml-logs)
> +       ("ocaml-pbkdf" ,ocaml-pbkdf)))
> +    (native-inputs
> +     `(("ocaml-alcotest" ,ocaml-alcotest)
> +       ("ocaml-cstruct-unix" ,ocaml-cstruct-unix)))
> +    (synopsis "Public Key Infrastructure (RFC 5280, PKCS) purely in OCam=
l")
> +    (description "X.509 is a public key infrastructure used mostly on the
> +Internet.  It consists of certificates which include public keys and
> +identifiers, signed by an authority. Authorities must be exchanged over a
> +second channel to establish the trust relationship. This OCaml library
> +implements most parts of RFC5280 and RFC6125.  The Public Key Cryptograp=
hy
> +Standards (PKCS) defines encoding and decoding (in ASN.1 DER and PEM for=
mat),
> +which is also implemented by this library - namely PKCS 1, PKCS 5, PKCS =
7,

Nit: Use =E2=80=98---=E2=80=99 instead of just =E2=80=98-=E2=80=99, see the=
 fifth bullet point in =E2=80=9C2.1
General Syntactic Conventions=E2=80=9D in the Texinfo manual.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMDCoVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5CpEP/RL40YFW2v16BdfbRbSuD15LAdV6
x4CfSCjNDaKrm9wuQ1WhR6E4FzpJ98wO/ut5rNF7KnIEQi/nv/GF5XMYVOudPH1m
lE1Y2uu+D1Zv5ywjsf4hM1mVOG0VR8YE5XGiA7aueaQv0wNXJkDY5voEGGYlHUAa
wZUnI3oewgJsV9NPTYbKjYTDD+RfLIe17toQz3077AVqzMz1iXTOHBVFGG/9Exxm
eNSc188fN900u3lIBwsGlAUsCeciLSTWxKGCG2SziuTGhenB7EWWi5b5ihqvr/W3
JFrx9wE4U/p6WQhs9zbYtd27fJN789Fj3PWb3r2XA5klF4SG9rxvPmxI0iOgnYnB
KwsjW6/m0GvKPU5ok3kcquL1swHn9Qv9+IDBOuavgZ92VcVMFtw7C66mANGZXTyg
SxTrzmnfg/b0Hn+0XAnGAhYiPKhF4uZ/OwQcvwSOpfJ/xClm+U0aJ2EKg7IM9p6P
vOuYUeflH27LV7Ek4hn7iC7DJAb9bMdOt9F61MOWntvExllfZNLOCj44Nt1AHNJp
8dYjQS20Y18zzrgLVfqCwgSuXmVo+4dl+iycO4zpUJ+ZMR32HPAqTMwNmEAKjDjN
OHLZBMv2lRyzNlp0S5coBuUjqiEcMQXmxTn/ObSCVEre+HM1UQMf9TipThsXaZrH
3EUijit8j8FBJ0Dr
=5jw9
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 16:02:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 12:02:24 2021
Received: from localhost ([127.0.0.1]:48157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBfpA-0001WF-GB
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:02:24 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35444
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBfp8-0001Vu-Cr
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 12:02:22 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628179332;
 bh=IWsdapOFdMyTiYPMXv5nP7iOhdcRJNNzoDj3FDtkpEo=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=t4/SmEImekqJUv35Iat+wGIMVKV3Z8CAQswvLx2XyqskmwpUsa+DeqQSVwfV007WD
 kS/GfThhIvSckUAnPRtiLNflKN68qpxyQi02w3Q8ve1Btjyt15wKOgP+gQ0+HbV6GC
 DfbsNgzJYqpt//ufT5dyosHsVENQZftMJWYvuty4=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 22/29] gnu: Add ocaml-cstruct-unix.
In-Reply-To: <20210804071545.21181-22-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-22-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 18:02:11 +0200
Message-ID: <87lf5fkhh8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-cstruct-unix): New variable. > --- > gnu/packages/ocaml.scm | 16
 ++++++++++++++++
 > 1 file changed, 16 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
 b/gnu/pac [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-cstruct-unix): New variable. > --- > gnu/packages/ocaml.scm | 16 ++++++++++++++++
    > 1 file changed, 16 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
    b/gnu/pac [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-cstruct-unix): New variable.
> ---
>  gnu/packages/ocaml.scm | 16 ++++++++++++++++
>  1 file changed, 16 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index 6effe1ff12..a9a4c8a684 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -3412,6 +3412,22 @@ to access C-like structures directly from OCaml.  =
It supports both reading and
>  writing to these structures, and they are accessed via the Bigarray modu=
le.")
>      (license license:isc)))
>=20=20
> +(define-public ocaml-cstruct-unix
> +  (package
> +    (inherit ocaml-cstruct)
> +    (name "ocaml-cstruct-unix")
> +    (build-system dune-build-system)
> +    (arguments
> +     `(#:package "cstruct-unix"
> +       #:test-target "."))
> +    (propagated-inputs
> +     `(("ocaml-cstruct" ,ocaml-cstruct)))
> +    (synopsis "Unix variation of the @code{ocaml-cstruct} library for ac=
cessing C-like structures directly from OCaml")

Keep lines at around ~80 characters (applies to the description too).
Maybe drop the second half of the synopsis, so

  "Unix variation of the @code{ocaml-cstruct} library"

The desciption already mentions =E2=80=9Caccess C-like structures directly =
from
OCaml.=E2=80=9D; the synopsis of =E2=80=98ocaml-cstruct=E2=80=99 also menti=
ons =E2=80=9CAccess C
structures via a camlp4 extension=E2=80=9D.

WDYT?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMC4MVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x57fAP/3D/IXrg1ZiJaa2ivZQPMZlTNBLA
v0Ds0SPkIJlE8u8docAiAKb0+W2xh8Mb97XXv2eVPMJJoyx1VuFh+A8uaXSZ++pc
A2UnG/Ag8zgXnEPAovRkJlr5iDdQxcOr85YUC8DZ/fahPE0l9nZXQDxoWgeUyqvn
9twzAllrm+tpPbJ5o+jsMuRZ/epJVr/FrI/99qDdPRoG468oDJ285vGk4C6gyNQV
eAvWKSCk8HE1pCYhS6rNbdcXYvfOEisDJtXO8lL3n3fP8IiCttM9tPJzi7GmT0sf
K2ExpXUZ1jv94Xep+MhHMr6SVp43bVtqsf/LGg7k45rOsmGXAsfTmbseLBEUrLw2
KnQQ4dluvZmkFy4Fw6WMlfwH5rdGkq3hqOwFAuWNC6OPHo3HYeTQOKH9+RxM8IVH
SXMqRelddi20IBIY1IXbyxfPoD7zoedUB69J9hRzQA61oQop90SJaoXacZWZWZCP
Deu9igzaGXjJPyBNouDZoy9Qw3dScCJzP8lJ7brlcYwSem360mWFpfTfOMK875ID
PQp59XErML960a4z4+Gumpwp7Qu8INg3JhdPeHvdvLvyb96Kt2CcYKm5ktgJ9ubF
1lik5numW/R9e5u7nxRgerWnUJEJpYldeBwL4/WuQCkLI96c5JJ9aO+bDZc4UnuZ
NMkDo+kDPEBKEHW4
=XnSW
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 15:55:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 11:55:49 2021
Received: from localhost ([127.0.0.1]:48153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBfim-0001Kt-Oc
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:55:48 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35300
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBfik-0001Kg-Og
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:55:47 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628178938;
 bh=3h5JHYlmXyiAnL7qLuA4Dnz9hNaQYUjCT4rE/vGUSCs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=ZLR8t4MTDwWQsZIR5/qUixOHXwCoyxuFA8flD/Bbb6bQPB87f0rxEG87DHbJHYmyp
 nkki+h4cDkr/hg4dbBsA8MVrR/19zGJ4+9CsfAd3/eGlYUYPMA2v3WHIt6nv+ZqtQN
 3jCIvbog5h0ngAJ6CT4+3pqiWZjsg0TWq08IbiAw=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 21/29] gnu: Add ocaml-pbkdf.
In-Reply-To: <20210804071545.21181-21-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-21-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 17:55:38 +0200
Message-ID: <87o8abkhs5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-pbkdf): New variable. > --- > gnu/packages/ocaml.scm | 26
 ++++++++++++++++++++++++++
 > 1 file changed, 26 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
 b/gnu/ [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-pbkdf): New variable. > --- > gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
    > 1 file changed, 26 insertions(+) > > diff --git a/gnu/packages/ocaml.scm
    b/gnu/ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-pbkdf): New variable.
> ---
>  gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
>  1 file changed, 26 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index e520151adf..6effe1ff12 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7684,6 +7684,32 @@ Algebraic Data Type")
>  to create a type-safe heterogenous maps.")
>      (license license:isc)))
>=20=20
> +(define-public ocaml-pbkdf
> +  (package
> +    (name "ocaml-pbkdf")
> +    (version "1.1.0")
> +    (home-page "https://github.com/abeaumont/ocaml-pbkdf")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url home-page)
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32
> +         "0scq1i7hiy8dgjdfrcaca3k7wzys35k1g2cdg7v4kfdqr6q1scb3"))))
> +    (build-system dune-build-system)
> +    (propagated-inputs
> +     `(("ocaml-mirage-crypto" ,ocaml-mirage-crypto)))
> +    (native-inputs
> +     `(("ocaml-alcotest" ,ocaml-alcotest)))
> +    (synopsis "OCaml library for password based key derivation functions
> +(PBKDF) from PKCS#5")
> +    (description "An OCaml implementation of PBKDF 1 and 2 as defined by
> +PKCS#5 using @code{ocaml-mirage-crypto}.")

The description should contain full sentences, maybe

  "This package provides an OCaml implementation of =E2=80=A6"

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMCfoVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5v8EP/1AoviF0qvmdjjJyxhx0PmwW3il/
zMNe+59YGlITUWvJIvIOkxYzVoU42OLEETyTz0iCNegNUATcCgR5v6u7PIBFWxaM
MEvMoto+lMFNlb5jeLJa9mhvOYE4UjNs4DulpcOufJ0eWYBBszll57Z007Wbhcax
Nls1yQX97703+jhqtME8HUe04CTyQib76mFySICDBbIRSS2lAq4tKlSG2F/Fmrtg
E1RhN3HU94RBaOe5SUV3tlU7bFCgsNFsatEPc8E3rY4defsD+QHFuP22HSDHUdix
R3EPHyFYlOnuZCTDtEQXv2bvfeUFaRT81oFJ8xw/9g776ryBZ2sISVdsY0A4bmHb
5Rh4RIiFl7ZF7CQbS0L000W+dyvpgcdZlsdLhCnqx2EqC0tCiSg239HEcRNKZLqF
NInpPOitiI36ub3phCF7yNYwXFcPF4Rd02LA/mMeuugNKbH6xvGP/jF1VDnkc/Ta
juxqeDuSgFCiAtBWV/r7UzkfgvgInzRKPfn2yvEySvZ2dxt+DKiLxr9XNZb+IQNf
izrGDEZtdAC5MvUYGOVmitteEndm3N01cvhEC8ImW0cj4F4ekPwTtVtCZGb/mlzY
XLDD1s6PfLbOFsumCjRel7hzHiBYe24Eqg60Hj6gSHFYLwkFIPwb8ld2Bhrju2f4
wGuaKlP68VbKRHLQ
=fGM8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 15:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 11:49:07 2021
Received: from localhost ([127.0.0.1]:48146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBfcI-0001Ay-Sz
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:49:07 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35138
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBfcH-0001AT-ER
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:49:06 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628178536;
 bh=hVm2SdZEr9M1NIAhF1Bp0RRd++P3YiM0ooSQh4QypVs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=hRtUfwBSKbRI/h/uyclQ1GdYM6NwxaTpqHfQ4LjXKv1iJbfKrEByFo1zRHz6LxSHa
 wbZtH4UWyOIdtApZU+xuU3a/iu51gZcLGlUL8K+yoi/TCTwkI/I8e59h3kDfsPzNfh
 jLUIUIIrxxtwtHfChAM5DKI1Cb3jnigCBBoPwT/0=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 15/29] gnu: Add ocaml-ptime.
In-Reply-To: <20210804071545.21181-15-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-15-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 17:48:55 +0200
Message-ID: <87r1f7ki3c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-ptime): New variable. > --- > gnu/packages/ocaml.scm | 42
 ++++++++++++++++++++++++++++++++++++++++++
 > 1 file changed, 42 insertions(+) > > diff --git a/gnu/packages/ [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-ptime): New variable. > --- > gnu/packages/ocaml.scm | 42 ++++++++++++++++++++++++++++++++++++++++++
    > 1 file changed, 42 insertions(+) > > diff --git a/gnu/packages/ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-ptime): New variable.
> ---
>  gnu/packages/ocaml.scm | 42 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 42 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index a34c844059..ab385eb26f 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7487,6 +7487,48 @@ number generator interface, and implementations.")=
))
>      (description "@code{ocaml-mirage-crypto-pk} provides public-key
>  cryptography (RSA, DSA, DH) for OCaml.")))
>=20=20
> +(define-public ocaml-ptime
> +  (package
> +    (name "ocaml-ptime")
> +    (version "0.8.5")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri "https://erratique.ch/software/ptime/releases/ptime-0.8.5.tb=
z")

Use (string-append "https://erratique.ch..." version ".tbz") to make it
easier to update the package in the future.

> +       (sha256
> +        (base32
> +         "1fxq57xy1ajzfdnvv5zfm7ap2nf49znw5f9gbi4kb9vds942ij27"))))
> +    (build-system ocaml-build-system)
> +    (arguments
> +     `(#:tests? #f

What=E2=80=99s the reason for disabling tests?

> +       #:build-flags (list "build" "--with-js_of_ocaml" "false")
> +       #:phases
> +       (modify-phases %standard-phases
> +         (delete 'configure))))
> +    (propagated-inputs
> +     `(("ocaml-result" ,ocaml-result)))
> +    (native-inputs
> +     `(("ocamlbuild" ,ocamlbuild)
> +       ("ocaml-topkg" ,ocaml-topkg)
> +       ("opam" ,opam)))
> +    (home-page "https://erratique.ch/software/ptime")
> +    (synopsis "POSIX time for OCaml")
> +    (description "Ptime has platform independent POSIX time support in p=
ure
> +OCaml. It provides a type to represent a well-defined range of POSIX
         ^
Double spacing.  :-)

> +timestamps with picosecond precision, conversion with date-time values,
> +conversion with RFC 3339 timestamps and pretty printing to a human-reada=
ble,
> +locale-independent representation.
> +
> +The additional Ptime_clock library provides access to a system POSIX clo=
ck and
> +to the system's current time zone offset.
> +
> +Ptime is not a calendar library.

Not really sure if this sentence is necessary.  I think the previous
sentences has hade it pretty clear that it a time and date library.

> +Ptime depends on the @code{ocaml-result} compatibility package. Ptime_cl=
ock
> +depends on your system library. Ptime_clock's optional JavaScript support
> +depends on @code{js-of-ocaml}.")

This two sentences are probably also not necessary for users of the
package.  It should be the packager=E2=80=99s job to specify the dependenci=
es.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMCGcVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5OTcP/2SfTwjLMPkRMzk38kwV1MsUg7kL
yJqhrshC58fQWbhVNyJS/CPUDTQBlZMC5sOhNnxfDv7V1R78GKqlq+IPXs/awGLG
LsTtic1BTbnotUON4FoGRhY9qVQIDFB8KH4F9lvY9N9srs34oXMNzjYT2gVEvihB
M85KrXPHF9L8xJPPIqGEojQMD9jyShFpDvWuxQvG2sVMiNwtgdRTUazn9B4krD76
Ph3vPQa9mrHyfTZXOs+RQcwF9HYFIfYUAx/KcYkwGJigAxyOJuecAR1Ql7kFYeLV
WgB5uhyl+yhWS9avNHlSZkBD7WWN7rr3PHTUHw3OG5mOai2zf81AjVpGdKjaP2q4
4nXS6C/NrpoldVbYyWYrPASWVEgQqdmvK1eCepBj75laZ5tfuNmkYGuJOoEyqMTm
GR4oqrtMPnksOEk/1GfYO6a43lY9+I89O/Bw2iOKmIeqKIwRVbn/fibnh3Dmy2C9
sMS3KhV+KWuAzQS3fHcVTQ8iH+xS+X0mDzT68UKAQNJw/3LZZuS7aoLY067T6aBf
nRYqhj1rrBpMxitYXroc5kIGcOwse2RhoAY8jJAlOSCS1rVQ2pNHprMVbHSGifF4
v8pdScOzm6ePyR4XyAXHKivIpVs/hiM2WZmbtorpI4YJVi3OJQjbuKsb3b8HZZM1
0ltSpjIxQi4G+Xz3
=5ofH
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 15:42:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 11:42:37 2021
Received: from localhost ([127.0.0.1]:48133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBfW1-000117-Ag
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:42:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:34986
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBfVz-00010t-Q5
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:42:36 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628178148;
 bh=1jfc+6RjjF+7TbV3QnaR004nCc4Q44jpG0N4haU7dCM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=FtxvQQiLiVMbpPN1Guaaw+9hX19eDzqRrk6BczIBo/uQAGkiPw4Sl6OJhJS94+EuT
 ijicMAsrrviBPa4NbicQXpPrKEovSB3e8Lbs7fQO4fW9pVgQWdj7MHg6LXVlrvL+Xa
 qvtFyFkFxn5RbOSIKUbKfkd6xV3kOoDSguLKbqeM=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 13/29] gnu: Add ocaml-mirage-crypto-rng.
In-Reply-To: <20210804071545.21181-13-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
 <20210804071545.21181-13-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 17:42:27 +0200
Message-ID: <87tuk3kie4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021,
 pukkamustard wrote: > * gnu/packages/ocaml.scm
 (ocaml-mirage-crypto-rng): New variable. > --- > gnu/packages/ocaml.scm |
 20 ++++++++++++++++++++ > 1 file changed, 20 insertions(+) > > diff --git
 a/gnu/packages/ocaml.scm [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > * gnu/packages/ocaml.scm
    (ocaml-mirage-crypto-rng): New variable. > --- > gnu/packages/ocaml.scm |
    20 ++++++++++++++++++++ > 1 file changed, 20 insertions(+) > > diff --git
    a/gnu/packages/ocaml.scm [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> * gnu/packages/ocaml.scm (ocaml-mirage-crypto-rng): New variable.
> ---
>  gnu/packages/ocaml.scm | 20 ++++++++++++++++++++
>  1 file changed, 20 insertions(+)
>
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index f7956fe216..6af9bedc65 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -7442,6 +7442,26 @@ between various time units.")
>  as (C-like structures using @code{ocaml-cstruct}) to OCaml native number=
s.")
>      (license license:isc)))
>=20=20
> +(define-public ocaml-mirage-crypto-rng
> +  (package
> +    (inherit ocaml-mirage-crypto)
> +    (name  "ocaml-mirage-crypto-rng")
> +    (arguments `(#:package "mirage-crypto-rng"
> +                 #:test-target "."))
> +    (propagated-inputs
> +     `(("ocaml-duration" ,ocaml-duration)
> +       ("ocaml-cstruct" ,ocaml-cstruct)
> +       ("ocaml-logs" ,ocaml-logs)
> +       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
> +       ("ocaml-mtime" ,ocaml-mtime)
> +       ("ocaml-lwt" ,ocaml-lwt)))
> +    (native-inputs
> +     `(("ocaml-ounit" ,ocaml-ounit)
> +       ("ocaml-randomconv" ,ocaml-randomconv)))
> +    (synopsis "OCaml library providing a cryptographically secure pseudo=
random number generator")

Keep lines at ~80 characters.  To keep the synopsis slighty shorter,
maybe

  "Cryptographically secure pseudo-random number generator in OCaml"

WDYT?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMBuMVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5lzcQAKbVkkb+m/auLsnClVQ7Zm7ZlRlh
CJcflDS9nGXIZb65N5LtNfXejNLVhjRU981yYMUdgm2/PSvaYqmHm9VswsfI+mXB
SqoHCx+8TUodct5XsNXFOlwZbX6l6ekpl6UrBHufYWZeT3ddb7cGm6lc+aj9LejI
XUsnjVfHsLpgIKQDVln9R98JJZAdeg1vEGfM89n+80lM8WwXJpje4872WGFu86Uf
LJArQF1QdbcfgHIr+oEI6zGZOicrXOmVvQqRVLgDDJfdOVpxzD2/Ykb7+dU/yO3D
7P0jWBR53DPyRxcfM67YpNDXurDN58f5tufziLGnU2DnUslqpsX0aGNQq9lfMePt
8D4sKq3Thg0o+qRwo9yIrYt8apTCQJS4Blq3ObZx/qnBI6VulBTI3lkDWjnUeJlY
LXtLdcNxSS5jyORzCPR5RnQQyjojFSp5Q16FfC324ZR2UlDd5gEavtbjvBwUG1wD
famiui8HvI3MOFP1BHltqxRNxRFokWyw9EFIakEcVeYIuhEX7ALuOR+0nJQaPpo8
uwwURUi9B/yOrpU+iXVK/3MH/BV8udGfvApnTr0pVWCGVqiL7udAdbM2agYhp/3Y
zjz2ySKK5kIBqPDxe9hvuz7xsKlbMNtjn0ziPQutaAzRpiCccaA98m6T/o1MkDPY
WpkLNUJP+TKexFkz
=gqj7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 5 Aug 2021 15:38:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 11:38:34 2021
Received: from localhost ([127.0.0.1]:48129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBfS5-0000vP-NG
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:38:33 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:34876
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mBfS3-0000vA-I8
 for 49867 <at> debbugs.gnu.org; Thu, 05 Aug 2021 11:38:32 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628177902;
 bh=kgPOVkJ4tjDSZaiUPsd4dg/D+/hsTUgvXQFSCy3CXIg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=FJbMAUvIjLVJcM4ypGSjJkhbxkgcB0BF+PLORM8j+O1Y8N8UbRVClUUuKL6l2l3OE
 KODzNqCts+1vx/2+sWqQ03/mFYN7uJ+9NvWLgywBkX1PUiX94rMer/z9oYk/ezRMYh
 8pTmWEVH3ubZWY4JI3o9TUiV9KintZ8UmGJ/Q0vw=
To: pukkamustard <pukkamustard@HIDDEN>, 49867 <at> debbugs.gnu.org
Subject: Re: [bug#49867] [PATCH 00/29] gnu: Add ocaml-cohttp-lwt-unix.
In-Reply-To: <20210804071015.20848-1-pukkamustard@HIDDEN>
References: <20210804071015.20848-1-pukkamustard@HIDDEN>
Date: Thu, 05 Aug 2021 17:38:17 +0200
Message-ID: <87wnozkil2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > Hi,
 > > These patches
 add ocaml-cohttp-lwt-unix - an OCaml HTTP library - and dependencies. > >
 Some known rough edges: > > - ocaml-eqaf: Tests are disabled for now as I
 am not able to build > ocaml [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, Aug 04 2021, pukkamustard wrote: > Hi, > > These patches
    add ocaml-cohttp-lwt-unix - an OCaml HTTP library - and dependencies. > >
    Some known rough edges: > > - ocaml-eqaf: Tests are disabled for now as I
    am not able to build > ocaml [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Wed, Aug 04 2021, pukkamustard wrote:

> Hi,
>
> These patches add ocaml-cohttp-lwt-unix - an OCaml HTTP library - and dep=
endencies.
>
> Some known rough edges:
>
> - ocaml-eqaf: Tests are disabled for now as I am not able to build
> ocaml-afl-persistent which is a dependency for ocaml-crowbar which is
> required to run ocaml-eqaf tests. There is ongoing work to port
> ocaml-afl-persistent to dune
> (https://github.com/stedolan/ocaml-afl-persistent/pull/7) with that it
> should be much easier to build it and enable tests for ocaml-eqaf.

I managed to package =E2=80=98ocaml-afl-persistent=E2=80=99 with the attach=
ed patch,
but it doesn=E2=80=99t respect the =E2=80=98--without-tests=E2=80=99 transf=
ormation since the
tests are run as part of the build phase.

Thanks for working on this!


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-gnu-Add-ocaml-afl-persistent.patch
Content-Transfer-Encoding: quoted-printable

From=2049918dee551c9fa9acddfcf1162007d26f0bdff6 Mon Sep 17 00:00:00 2001
Message-Id: <49918dee551c9fa9acddfcf1162007d26f0bdff6.1628177652.git.public=
@yoctocell.xyz>
From: Xinglu Chen <public@HIDDEN>
Date: Thu, 5 Aug 2021 17:33:51 +0200
Subject: [PATCH] gnu: Add ocaml-afl-persistent.

* gnu/packages/ocaml.scm (ocaml-afl-persistent): New variable.
=2D--
 gnu/packages/ocaml.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index bb42003de2..321908f8ba 100644
=2D-- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7183,6 +7183,39 @@ It makes it possible to run pure OCaml programs in J=
avaScript environment like
 browsers and Node.js.")
     (license license:lgpl2.1+)))
=20
+(define-public ocaml-afl-persistent
+  (package
+    (name "ocaml-afl-persistent")
+    (version "1.3")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/stedolan/ocaml-afl-persistent")
+              (commit (string-append "v" version))))
+        (sha256
+          (base32
+           "06yyds2vcwlfr2nd3gvyrazlijjcrd1abnvkfpkaadgwdw3qam1i"))))
+    (build-system ocaml-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (replace 'build
+           (lambda _
+             (invoke "./build.sh")))
+         ;; XXX: The tests are already run in the build.sh script.
+         (delete 'check))))
+    (native-inputs
+     `(("opam" ,opam)))
+    (home-page "https://github.com/stedolan/ocaml-afl-persistent")
+    (synopsis "Use afl-fuzz in persistent mode")
+    (description
+      "afl-fuzz normally works by repeatedly forking the program being tes=
ted.
+Using this package, you can run afl-fuzz in ``persistent mode'', which avo=
ids
+repeated forking and is much faster.")
+    (license license:expat)))
+
 (define-public ocaml-bibtex2html
   (package
     (name "ocaml-bibtex2html")

base-commit: ead6cc03c66ed31f0ab7300fab11cef3a1e459f0
prerequisite-patch-id: 13039007a822f956c10ede72109a6a74e5bb2b08
=2D-=20
2.32.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEMBekVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5tlMP/3S0RPUxDZkK7I1x6ePQGwiED8hr
VvfCb/lIRjXMRtgM3vj7RbkXbphRcc3x2XYajQNhnoVsCBBytR7vbsV5oHL3yOgY
cUGvXz8TRh+/x+gQJyXo3enzhEpGCH2qADv9Iif+uY+8wGOnDvxotm4ObU3/+COB
9ewTGxZ49wExfrKR3Zvupdo8WGWJGZFI8xWWXZUBxP906yRB8HZDnn4GIwmDgldw
McG0RLAMrB/CNGNcVeTzZ9H7BG05EtmenSIEb7+K9a2iogeKmEB2U3u+HyUDdUzi
TOt2py9DrV2GZYToo4ZvGLC/4pD7mbpPHm47igMYKCF93NeGvbs2B0OsEcPvqbjz
5ZGUvmvzJAxBI2Yb6giepTApNOmnXiCMzl3ZwQTvKu0FsuqFoe+7kciE8xvaKKHb
qWc5k0LURTyJ3VuX59lfnNZ/KP668tQk31CT7FB7AR3HtrjeBexzYyAehvKEbdQe
L+TXhFZA3XeX1ft2F2cmylpCvRScgc3QO+/uNPpeMhLuWzrMb/JxeFkJMi41iIwF
o66+z0Q+ZKeGOHJOhoYb/lwEyFUNwoQZ2DCEd8FcaBU9BxZIrJT7rPtRm5ERtPCk
bFh88yQUF91BIn7+IORgdJ7jgs8oX9zB17Yv3kvomvfP69zYwWZuf7gfg2FIGcnr
V3tXOplhzoDNpTxT
=ijAm
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:22 2021
Received: from localhost ([127.0.0.1]:42472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9W-0002r1-55
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:22 -0400
Received: from mout01.posteo.de ([185.67.36.65]:34099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9K-0002kg-54
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:11 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id F2342240029
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:03 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061424; bh=D+Lt8V1F2iuTGfYu9PsDhBlpKfSDr/fVTW6FZNuHH7E=;
 h=From:To:Cc:Subject:Date:From;
 b=VRDQvfkHCYr39MvrOJ1SvX8CXHx+IVOpVVtQF+45WF467iXn2sdCCScVQKLaiKj1Z
 8bNpQ94egKtS6479KaYV3VesXONiwNxq/CMtqlajrxlidp130OkcCsz5Q2OzGBeTdT
 2ESyUDcGq6xw7aG9Mst5AmwA8eZRQSEbzjJS7t3kN81b/ugC8waJccpU5itxSh6FXz
 CIQCwpO500UX9G78sDN9CT6BYKUJ6H/Xul48c6k1tSeBywzX1neT8cZQ+FfRo3fMV/
 Cw1LlxMxfo3d2DCI1jbD0tU+YsZHqCSSL3J2OPGcPMdtg8Dq53ZQid0rjQH5Vwo1b+
 +wtGfkGwY4GRQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjW3LVlz6tmF;
 Wed,  4 Aug 2021 09:17:03 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 29/29] gnu: Add ocaml-cohttp-lwt-unix
Date: Wed,  4 Aug 2021 07:15:45 +0000
Message-Id: <20210804071545.21181-29-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cohttp-lwt-unix): New variable.
---
 gnu/packages/ocaml.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index d9e84cd7ad..db195996c9 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7248,6 +7248,29 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-cohttp-lwt-unix
+  (package
+    (inherit ocaml-cohttp)
+    (name "ocaml-cohttp-lwt-unix")
+    (arguments `(#:package "cohttp-lwt-unix"
+                 ;; tests require network
+                 #:tests? #f))
+    (propagated-inputs
+     `(("ocaml-conduit-lwt" ,ocaml-conduit-lwt)
+       ("ocaml-conduit-lwt-unix" ,ocaml-conduit-lwt-unix)
+       ("ocaml-cmdliner" ,ocaml-cmdliner)
+       ("ocaml-magic-mime" ,ocaml-magic-mime)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-cohttp-lwt" ,ocaml-cohttp-lwt)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-lwt-ssl" ,ocaml-lwt-ssl)))
+    (native-inputs `(("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml HTTP implementation for Unix and Windows using Lwt")
+    (description "An OCaml implementation of an HTTP client and server for
+Unix and Windows using the Lwt concurrency library.")))
+
 (define-public ocaml-magic-mime
   (package
     (name "ocaml-magic-mime")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:22 2021
Received: from localhost ([127.0.0.1]:42470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9V-0002qu-Re
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:22 -0400
Received: from mout01.posteo.de ([185.67.36.65]:58001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9K-0002ka-0o
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:10 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1D15A240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:02 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061422; bh=WFOW2Fz4pxM0kDSwG/DCjetHB/kjwHEocQ4jKI7Lgw4=;
 h=From:To:Cc:Subject:Date:From;
 b=LRrVtPC2i9/hMy4Q9qeG8OoJzfojRHPKG0YBuk1svqcY8XqERPp9r/Y56rvSv71g5
 /kZ0T491y9LvJ1fLmgJuTmwXcQZqYGI2FToSsd0tJVz/xBeTTJKKr+t/UJ8cMlwMIB
 wVT2xk6M9uD5OaLVl+KzFDp9VfcQzV64Ux95ozsR96u3/t6/URqYWjlLyL13qYDk1B
 V5FHjNA+AN8JckWTdqSDnSDjRfKJlMPe8Ri77Ox0SN3Cb104fOwT7ZtMrr0dKoWE+z
 5x9vyuhe1/L/P+NpXRwaDPPK8HQceGmbDb2IQcmmWyqw38Pzfi4jU8fVIt0em5L4BG
 9KBX3Tw0YMquQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjT4Q2tz6tmT;
 Wed,  4 Aug 2021 09:17:01 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 26/29] gnu: Add ocaml-lwt-ssl.
Date: Wed,  4 Aug 2021 07:15:42 +0000
Message-Id: <20210804071545.21181-26-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-lwt-ssl): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index d475b75287..cadd22cb9c 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7428,6 +7428,32 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 deprecated for @code{ocaml-logs}.")
     (license license:lgpl2.1)))
 
+(define-public ocaml-lwt-ssl
+  (package
+    (name "ocaml-lwt-ssl")
+    (version "1.1.3")
+    (home-page "https://github.com/ocsigen/lwt_ssl")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0v417ch5zn0yknj156awa5mrq3mal08pbrvsyribbn63ix6f9y3p"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-ssl" ,ocaml-ssl)))
+    (properties `((upstream-name . "lwt_ssl")))
+    (synopsis "OpenSSL binding for OCaml with concurrent I/O")
+    (description "An Lwt-enabled wrapper around @code{ocaml-ssl}, that
+performs I/O concurrently.")
+(license license:lgpl2.1+))) ; with linking exception
+
 (define-public ocaml-eqaf
   (package
     (name "ocaml-eqaf")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:21 2021
Received: from localhost ([127.0.0.1]:42468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9V-0002qm-7n
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:21 -0400
Received: from mout01.posteo.de ([185.67.36.65]:55863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9I-0002k6-Np
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:09 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 7AB65240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:00 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061420; bh=OvR2h/YPNVIMY4nimGpIZUP506RI46qDCjhK8ilPRW8=;
 h=From:To:Cc:Subject:Date:From;
 b=MXwPi3UXV4ITJKynkElF4YcLV6c9eegLCiSmYQT2bhy12B7RJsBN2B246N9VKJQIg
 nvQt72LjeB6ILABpMVHJ52d3pG4+nRpB8sshvmpfJj/1wN/fUnA5II/Ntt51BWkYvP
 1FUeV5ut21UMZCPkpgAOPUQD/aGYOOl87a0SBNhicBb/va/gUZtnazElFvD9oQJhcF
 pBC36vMq/1MDRh20kU43J9DWp5n5RHxWxukZCh4NnuYfKXe4Tr0iayb3OKYLekFVPT
 jny0EiJ5L6pxSnRXcdR7WNV0GvT0prdC9InqmoYwM79BL5N5hrKj9ghXaFE0UXvv5o
 b7TzfFQDu0y8w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjR6d86z6tmF;
 Wed,  4 Aug 2021 09:16:59 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 23/29] gnu: Add ocaml-x509.
Date: Wed,  4 Aug 2021 07:15:39 +0000
Message-Id: <20210804071545.21181-23-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-x509): New variable.
---
 gnu/packages/ocaml.scm | 46 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index a9a4c8a684..3ce07057f5 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7726,6 +7726,52 @@ to create a type-safe heterogenous maps.")
 PKCS#5 using @code{ocaml-mirage-crypto}.")
     (license license:bsd-2)))
 
+(define-public ocaml-x509
+  (package
+    (name "ocaml-x509")
+    (version "0.14.0")
+    (home-page "https://github.com/mirleft/ocaml-x509")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0b51vzyxxkhwgx12dg55clb1lb971cxlmsk4wlxzs5h115j5hcy7"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-asn1-combinators" ,ocaml-asn1-combinators)
+       ("ocaml-ptime" ,ocaml-ptime)
+       ("ocaml-base64" ,ocaml-base64)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mirage-crypto-pk" ,ocaml-mirage-crypto-pk)
+       ("ocaml-mirage-crypto-ec" ,ocaml-mirage-crypto-ec)
+       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
+       ("ocaml-rresult" ,ocaml-rresult)
+       ("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-gmap" ,ocaml-gmap)
+       ("ocaml-domain-name" ,ocaml-domain-name)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-pbkdf" ,ocaml-pbkdf)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-cstruct-unix" ,ocaml-cstruct-unix)))
+    (synopsis "Public Key Infrastructure (RFC 5280, PKCS) purely in OCaml")
+    (description "X.509 is a public key infrastructure used mostly on the
+Internet.  It consists of certificates which include public keys and
+identifiers, signed by an authority. Authorities must be exchanged over a
+second channel to establish the trust relationship. This OCaml library
+implements most parts of RFC5280 and RFC6125.  The Public Key Cryptography
+Standards (PKCS) defines encoding and decoding (in ASN.1 DER and PEM format),
+which is also implemented by this library - namely PKCS 1, PKCS 5, PKCS 7,
+PKCS 8, PKCS 9, PKCS 10, and PKCS 12.")
+    (license license:bsd-2)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:21 2021
Received: from localhost ([127.0.0.1]:42466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9U-0002qf-Tz
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:21 -0400
Received: from mout01.posteo.de ([185.67.36.65]:37875)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9I-0002k4-LF
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:09 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A6945240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061418; bh=2hXv836mGZWLCHJIfh9VWDR9FBTB0uim1PwOrc2N55Y=;
 h=From:To:Cc:Subject:Date:From;
 b=GAYgV4Q8LLArs5t/29a7+ASh8PdtxlYjZ/jOqV6PJ+jn7KRvwY8nc5zRIKRf/7xCq
 /xUxIN2d3sZ3hwRcOD4FlT44eod872WWVqJEwBT8LaS0masrYmvTZQ0RnELUyAQbK/
 x+J7AbqekS5M9sfoEHNDDpv0t6t+wQwR/7jBeYRpLnojviHSs+XdLOROydh1Y+pibB
 L8Ix7unKryf2rD/UwbslskQk2xZTEQZf1WJKqQRx/vkwT9Wyvsbx8F2UbSnbdywJ0w
 eyvWi65+V1FYWZZc9rinm8ZIoLw7ZEwt609ibTDGkE5VjQCQ3BWSQI+IP/na/r45ql
 VGptWBNST5IsA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjQ1D45z6tmF;
 Wed,  4 Aug 2021 09:16:58 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 20/29] gnu: Add ocaml-gmap.
Date: Wed,  4 Aug 2021 07:15:36 +0000
Message-Id: <20210804071545.21181-20-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-gmap): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 8463682e79..e520151adf 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7658,6 +7658,32 @@ The only ASN.1 encodings currently supported are BER and DER.")
     ;; See https://github.com/mirage/mirage-crypto/blob/main/ec/LICENSE.md
     (license license:expat)))
 
+(define-public ocaml-gmap
+  (package
+    (name "ocaml-gmap")
+    (version "0.3.0")
+    (home-page "https://github.com/hannesm/gmap")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0880mhcybr662k6wnahx5mwbialh878kkzxacn47qniadd21x411"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-fmt" ,ocaml-fmt)))
+    (synopsis "OCaml library for heterogenous maps over a Generalized
+Algebraic Data Type")
+    (description "@code{ocaml-gmap} exposes an OCaml functor which can be used
+to create a type-safe heterogenous maps.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:20 2021
Received: from localhost ([127.0.0.1]:42464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9U-0002qW-MB
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:20 -0400
Received: from mout02.posteo.de ([185.67.36.66]:49021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9I-0002jq-7v
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:08 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 951DE240103
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:02 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061422; bh=dvfdjIOLxXPqgDI+kKtw9it0btvxzx0HDxIgB3Hk4xY=;
 h=From:To:Cc:Subject:Date:From;
 b=QKw1JI6tOADPbboS/PKAWRhW0w/fVaznxiJ8Y8x95XzANxftxW+YMKNJ0MJRkNcuT
 jgUc4+BKkkC267ckQHDY7+dEuL8BFim40g49C13t1vQ7+qiN91rS0BKeULHjoKDJHi
 QPi9k2tfscGg0rtsEqr/phRS1xkix91Sf9+nBj6J726rAus9e4cfVR9GgB2HD8NAOt
 7zg5BHWDa8g2kjdGdUWvrCe4J3ewbZ9zlwAW7KoMdKx6b5Qvt+vixv15Ap7uTI+Mod
 ZGREAoTfTQYCmUmY0MHRYYJL6gMW2w5XFBe8GfEv+Jhc2abB5zhI3JN0p/6PjX44m/
 Z1S33Etbrbteg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjV0p6cz6tmT;
 Wed,  4 Aug 2021 09:17:02 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 27/29] gnu: Add ocaml-conduit-lwt-unix.
Date: Wed,  4 Aug 2021 07:15:43 +0000
Message-Id: <20210804071545.21181-27-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-conduit-lwt-unix): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index cadd22cb9c..8904f2df19 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7454,6 +7454,31 @@ deprecated for @code{ocaml-logs}.")
 performs I/O concurrently.")
 (license license:lgpl2.1+))) ; with linking exception
 
+(define-public ocaml-conduit-lwt-unix
+  (package
+    (inherit ocaml-conduit)
+    (name "ocaml-conduit-lwt-unix")
+    (arguments `(#:package "conduit-lwt-unix"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-logs" ,ocaml-logs)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-conduit-lwt" ,ocaml-conduit-lwt)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-uri" ,ocaml-uri)
+       ("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-ipaddr-sexp" ,ocaml-ipaddr-sexp)
+       ("ocaml-ca-certs" ,ocaml-ca-certs)))
+    (native-inputs
+     `(("ocaml-lwt-log" ,ocaml-lwt-log)
+       ("ocaml-ssl" ,ocaml-ssl)
+       ("ocaml-lwt-ssl" ,ocaml-lwt-ssl)))
+    (synopsis "OCaml library for establishing TCP and SSL/TLC connections using Lwt_unix")
+    (description "This OCaml library provides an implementation for
+establishing TCP and SSL/TLS connections for the @code{ocaml-conduit}
+signatures using Lwt_unix.")
+    (license license:isc)))
+
 (define-public ocaml-eqaf
   (package
     (name "ocaml-eqaf")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:20 2021
Received: from localhost ([127.0.0.1]:42462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9U-0002qO-9L
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:20 -0400
Received: from mout02.posteo.de ([185.67.36.66]:35397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9H-0002jZ-4A
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:07 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 7C77D240107
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:01 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061421; bh=qwOjTOiYuex7eZ7ANRFeNBLehVRZ4xdKaGkcC0YKPcg=;
 h=From:To:Cc:Subject:Date:From;
 b=CrDilW2i5mQnh0Dex6xdReiF0R9gC8cxDZYVcPDpJs0xyaC9mEOnwMfjt1SGr/fE8
 0F/ZPfAqMuh/sjwmhBrUhTW3EVqdiiX/wwwf3eUaD7JBx74JWa7pDiPIJxoAST8vJX
 2NdwDEhruX61LvTZsQqAB5lgTTp5ti2QRfbIa+YwDVqlfqOHPrZBCMSqBysD1Ao5Mj
 0JTH0CQjppZOFOlRo8sidJmevOFOq+bVmi+kpVwdrIztxe48acL7OB2qiUU8TOPkBQ
 zxr0cbfDWhIuzh+b13mdwk9iL/jU2YUr5E2f1yUyPu4F/MkowTn/Qs9LYNkbjKRJoa
 POOu6wbEAxWpA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjS3VYBz6tmF;
 Wed,  4 Aug 2021 09:17:00 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 24/29] gnu: Add ocaml-ca-certs.
Date: Wed,  4 Aug 2021 07:15:40 +0000
Message-Id: <20210804071545.21181-24-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ca-certs): New variable.
---
 gnu/packages/ocaml.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 3ce07057f5..e832adc069 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7772,6 +7772,44 @@ which is also implemented by this library - namely PKCS 1, PKCS 5, PKCS 7,
 PKCS 8, PKCS 9, PKCS 10, and PKCS 12.")
     (license license:bsd-2)))
 
+(define-public ocaml-ca-certs
+  (package
+    (name "ocaml-ca-certs")
+    (version "0.2.1")
+    (home-page "https://github.com/mirage/ca-certs")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0qkxdrqyah24fz80hwkycdj50nybfjfz9b04qscv01r2ifb0kqy5"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."
+                 ;; Tests are failing as they require certificates to be in /etc/ssl/certs
+                 #:tests? #f))
+    (propagated-inputs
+     `(("ocaml-astring" ,ocaml-astring)
+       ("ocaml-bos" ,ocaml-bos)
+       ("ocaml-fpath" ,ocaml-fpath)
+       ("ocaml-rresult" ,ocaml-rresult)
+       ("ocaml-ptime" ,ocaml-ptime)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-x509" ,ocaml-x509)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis
+     "Detect root CA certificates from the operating system")
+    (description
+     "TLS requires a set of root anchors (Certificate Authorities) to
+authenticate servers. This library exposes this list so that it can be
+registered with ocaml-tls.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:20 2021
Received: from localhost ([127.0.0.1]:42460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9T-0002qG-TD
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:20 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9E-0002i8-Uv
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:07 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 65147240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:03 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061423; bh=OFR/ehYOfhlkR7UEWrGProLIRHpRPhLYYEd+afcqPHE=;
 h=From:To:Cc:Subject:Date:From;
 b=CrFw+nDv/LaVSkzruGkoRKN26/BIMsOrccQZF/4DQGL/Cz1pebVoyFpylP0NuIxzT
 KYFAjxHfbHbNu6GVYDgYzwkQr0HjDuC8AOglQYwbb7vv+PM6n/xfw/qGwKsI7W4VVt
 ZPwf4lSgYUmEq0tUEGeHTfIqH6EesiGJ78z5yqkx9gZNk/9fKk10DAkofTsWI+Ehnq
 gM5x4Z2jeinu9DlxGmNME83pLafjmNOP0/yuINqBa3tCbpjBegjgmU/tjbhMQoaFzn
 g3QjqXqbnepaNmaDP2JTAvhUCLgYOnFU4jmHomO36LQf2QSeLmnrGEv2l8ImmDCCl0
 J7SCrWgzAd0iw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjV4QWPz6tmF;
 Wed,  4 Aug 2021 09:17:02 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 28/29] gnu: Add ocaml-magic-mime.
Date: Wed,  4 Aug 2021 07:15:44 +0000
Message-Id: <20210804071545.21181-28-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-magic-mime): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 8904f2df19..d9e84cd7ad 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7248,6 +7248,31 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-magic-mime
+  (package
+    (name "ocaml-magic-mime")
+    (version "1.2.0")
+    (home-page "https://github.com/mirage/ocaml-magic-mime")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1pmwxw5n0lxbp7b9z1wplkn0cfl816cbacx3cdj2912n5zyjpjnk"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (synopsis "OCaml library for mapping filenames to common MIME types")
+    (description "This library contains a database of MIME types that maps
+filename extensions into MIME types suitable for use in many Internet
+protocols such as HTTP or e-mail.  It is generated from the `mime.types` file
+found in Unix systems, but has no dependency on a filesystem since it includes
+the contents of the database as an ML datastructure.")
+    (license license:isc)))
+
 (define-public ocaml-domain-name
   (package
     (name "ocaml-domain-name")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:19 2021
Received: from localhost ([127.0.0.1]:42453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9P-0002p9-5u
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:19 -0400
Received: from mout01.posteo.de ([185.67.36.65]:57071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9E-0002iI-QX
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:07 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A09F8240029
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:17:01 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061421; bh=DMpmj97e7ws09sTflO/f97QW5rEeB0see6rg4v2SaHA=;
 h=From:To:Cc:Subject:Date:From;
 b=BNe5LijasrbkusoJs2UVLoRjsSi1ovp+Y+OmJ/3oBvXjklNtiD8YBzCabF7K2CgEW
 iOvJaoe6DHWfXRKf8fq2lcqChcJptC+j6g40BZ3bxg8QvTiIAUkO+GKJVNTHnOqv1j
 SfrjS6Et9QPy/Y6YeHaX48X7WM5U6eD/q3ih+aqUt4WUzVQh6D9ZJ3+02HfpKdNn+m
 8JBaMXz2BZJkfLJLkNHgvyLjKw7AlEi80LqyhD4vpC9oZ3dzQJarooeBI5Sz5COWw1
 hJtop7e65iM65wKLQkhZbZEcXYIPfMp8iAfCIJRSCMCl0m2kSwY2Zx6Mf7Itwpp6rX
 lVXCl/ad5Qezg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjT0RRQz6tmT;
 Wed,  4 Aug 2021 09:17:01 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 25/29] gnu: Add ocaml-lwt-log.
Date: Wed,  4 Aug 2021 07:15:41 +0000
Message-Id: <20210804071545.21181-25-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-lwt-log): New variable.
---
 gnu/packages/ocaml.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index e832adc069..d475b75287 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7404,6 +7404,30 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 @code{ocaml-lwt}.")
     (license license:isc)))
 
+(define-public ocaml-lwt-log
+  (package
+    (name "ocaml-lwt-log")
+    (version "1.1.1")
+    (home-page "https://github.com/ocsigen/lwt_log")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1n12i1rmn9cjn6p8yr6qn5dwbrwvym7ckr7bla04a1xnq8qlcyj7"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs `(("ocaml-lwt" ,ocaml-lwt)))
+    (properties `((upstream-name . "lwt_log")))
+    (synopsis "OCaml/Lwt logging library (deprecated)")
+    (description "This OCaml library provides helpers for logging is
+deprecated for @code{ocaml-logs}.")
+    (license license:lgpl2.1)))
+
 (define-public ocaml-eqaf
   (package
     (name "ocaml-eqaf")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:15 2021
Received: from localhost ([127.0.0.1]:42450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9O-0002ou-M7
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:15 -0400
Received: from mout01.posteo.de ([185.67.36.65]:41387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002ik-Nc
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:06 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B25B624002A
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061417; bh=rBFhXlTJUPnAxa/PE4PwKrSsLttbErD2v5m9SP/dX78=;
 h=From:To:Cc:Subject:Date:From;
 b=kpbVgXfX00oKOY4YZN2dHaCX0QdsWDffsXq5+miocthC/8P404ae4qxWV7m/d/yVT
 +agPon7mWy8eRH5PZUoYYL+KT/hZhESID1FMRgewGT9BQOi8kMMRsOaVqyT9XbcB/J
 cu1e0cPcFKbRxw6mGgDu4QMfTQjiPZvQc6BCRoB5fMLZTz63Qz/iuLf1QJpVgOw7TQ
 yo95zlvhXdEgi+zn/+qoeJmENn/pmgkA2LIgx909E0B/3dR6+BUxftnzji326cYvyK
 Ttk5wgA5Q3U/UIxalGZ40rLKb3HArlqhCBnFMxhQYUQYOvY2talt9QLO/6fLyyfhoo
 S7fP6ZZdDps9A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjP1WMWz6tmF;
 Wed,  4 Aug 2021 09:16:57 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 18/29] gnu: Add ocaml-ppx-deriving-yojson.
Date: Wed,  4 Aug 2021 07:15:34 +0000
Message-Id: <20210804071545.21181-18-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving-yojson): New variable.
---
 gnu/packages/ocaml.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index f385aa2a94..2cc91ea2c0 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -4560,6 +4560,35 @@ generating code based on type definitions, and a set of useful plugins for
 common tasks.")
     (license license:expat)))
 
+(define-public ocaml-ppx-deriving-yojson
+  (package
+    (name "ocaml-ppx-deriving-yojson")
+    (version "3.6.1")
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving_yojson")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1icz5h6p3pfj7my5gi7wxpflrb8c902dqa17f9w424njilnpyrbk"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-yojson" ,ocaml-yojson)
+       ("ocaml-result" ,ocaml-result)
+       ("ocaml-ppx-deriving" ,ocaml-ppx-deriving)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)))
+    (native-inputs `(("ocaml-ounit" ,ocaml-ounit)))
+    (properties `((upstream-name . "ppx_deriving_yojson")))
+    (synopsis "JSON codec generator for OCaml")
+    (description "@code{ocaml-ppx-deriving-yojson} is an OCaml ppx_deriving
+plugin that provides a JSON codec generator.")
+    (license license:expat)))
+
 (define-public ocaml-craml
   (package
     (name "ocaml-craml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:14 2021
Received: from localhost ([127.0.0.1]:42447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9O-0002oh-8Z
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:14 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002ij-NQ
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:06 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 30193240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061418; bh=ZDZI8++yTPoR3fKrFoyfdHGcQIfMBpnOnJ0xjyJtvaA=;
 h=From:To:Cc:Subject:Date:From;
 b=riWITG/c4CkhrQtvcVT6qSFbSMqacGc8I6bcBb9Vxkw3XpvoxzOk74Ym3eAl04P+O
 dMXD/y/ymfbSAYVavMidkbXeFZl27VWFlWYOVtI/1SgQPlRyK56q8DS00goklMsNTU
 HAaJME4D9DfU5cPLkFxCYguZMJdMJdsh6oM1onW5DHR/eWCMnvJc7ZffJlHX0hM8GT
 eO2OsCXKuBPockTE2k2Z7jiMNLpKjfYHOdbaSRSx0tZ36pGjgeeeu1kJ4VTyujejM9
 4N5UK7WI67yYp7CA5ZGeU/m5silTUhpCA9HhO7QLl9z8lwOd76Zh9bSk0G7YWP2vbW
 HAfWB/+2/5reg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjP4wBDz6tmF;
 Wed,  4 Aug 2021 09:16:57 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 19/29] gnu: Add ocaml-mirage-crypto-ec.
Date: Wed,  4 Aug 2021 07:15:35 +0000
Message-Id: <20210804071545.21181-19-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto-ec): New variable.
---
 gnu/packages/ocaml.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 2cc91ea2c0..8463682e79 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7624,6 +7624,40 @@ representations can be used for parsing, serialization, or random testing.
 The only ASN.1 encodings currently supported are BER and DER.")
     (license license:isc)))
 
+(define-public ocaml-mirage-crypto-ec
+  ;; FIXME: This package contains generated code (see
+  ;; https://github.com/mirage/mirage-crypto/blob/main/ec/native/README.md). These
+  ;; should be re-generated during the build process.
+  (package
+    (inherit ocaml-mirage-crypto)
+    (name "ocaml-mirage-crypto-ec")
+    (arguments `(#:package "mirage-crypto-ec"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
+       ("gmp" ,gmp)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("ocaml-randomconv" ,ocaml-randomconv)
+       ("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-mirage-crypto-pk" ,ocaml-mirage-crypto-pk)
+       ("ocaml-hex" ,ocaml-hex)
+       ("ocaml-alcotest" ,ocaml-alcotest)
+       ("ocaml-asn1-combinators" ,ocaml-asn1-combinators)
+       ("ocaml-ppx-deriving-yojson" ,ocaml-ppx-deriving-yojson)
+       ("ocaml-ppx-deriving" ,ocaml-ppx-deriving)
+       ("ocaml-yojson" ,ocaml-yojson)))
+    (synopsis "OCaml library providing Elliptic Curve Cryptography")
+    (description "This OCaml library provides an implementation of key exchange
+(ECDH) and digital signature (ECDSA/EdDSA) algorithms.  The curves P224
+(SECP224R1), P256 (SECP256R1), P384 (SECP384R1),P521 (SECP521R1), and 25519
+(X25519, Ed25519) are implemented by this package.")
+    ;; See https://github.com/mirage/mirage-crypto/blob/main/ec/LICENSE.md
+    (license license:expat)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:14 2021
Received: from localhost ([127.0.0.1]:42444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9N-0002oW-Qn
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:14 -0400
Received: from mout01.posteo.de ([185.67.36.65]:34515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002ib-Km
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:06 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 35483240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061416; bh=WwpNJpB1mBmAwL4krsSs/F29aRj04MTm+NQ545BjxM0=;
 h=From:To:Cc:Subject:Date:From;
 b=aHcd+tR4yfnUbc7L/PLSu92nt3uno70PCTXZy5Otbus4VSPW5HPXy/l4cCZOYdiaV
 AfQtxMDYyJXWvArxc07X+yj9ia/DjVqtQNJvZ1D1YgLHfVU7E8wE/m0YyMcPqpv9FW
 dv4BS595hILYcyIUi3JztNeXtjJMa+yYYwYDz8zxTsadR0zu8dKzd+YeEPpiQ2UBt1
 OeTTvmWaoYyMRhXfFuKVaZ0jj2rb24rybLSB5SGVSpkFUavvSn7Ps/j5NA1UKyZ2vq
 d1T/P2CoGavai1hhLIzfr5XdMW0XWleqYAa3dHJ+eMu8CU2FmusCw+tdYcSop+L69n
 19hmLus30qgXQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjM50FBz6tmF;
 Wed,  4 Aug 2021 09:16:55 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 15/29] gnu: Add ocaml-ptime.
Date: Wed,  4 Aug 2021 07:15:31 +0000
Message-Id: <20210804071545.21181-15-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ptime): New variable.
---
 gnu/packages/ocaml.scm | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index a34c844059..ab385eb26f 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7487,6 +7487,48 @@ number generator interface, and implementations.")))
     (description "@code{ocaml-mirage-crypto-pk} provides public-key
 cryptography (RSA, DSA, DH) for OCaml.")))
 
+(define-public ocaml-ptime
+  (package
+    (name "ocaml-ptime")
+    (version "0.8.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri "https://erratique.ch/software/ptime/releases/ptime-0.8.5.tbz")
+       (sha256
+        (base32
+         "1fxq57xy1ajzfdnvv5zfm7ap2nf49znw5f9gbi4kb9vds942ij27"))))
+    (build-system ocaml-build-system)
+    (arguments
+     `(#:tests? #f
+       #:build-flags (list "build" "--with-js_of_ocaml" "false")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure))))
+    (propagated-inputs
+     `(("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocamlbuild" ,ocamlbuild)
+       ("ocaml-topkg" ,ocaml-topkg)
+       ("opam" ,opam)))
+    (home-page "https://erratique.ch/software/ptime")
+    (synopsis "POSIX time for OCaml")
+    (description "Ptime has platform independent POSIX time support in pure
+OCaml. It provides a type to represent a well-defined range of POSIX
+timestamps with picosecond precision, conversion with date-time values,
+conversion with RFC 3339 timestamps and pretty printing to a human-readable,
+locale-independent representation.
+
+The additional Ptime_clock library provides access to a system POSIX clock and
+to the system's current time zone offset.
+
+Ptime is not a calendar library.
+
+Ptime depends on the @code{ocaml-result} compatibility package. Ptime_clock
+depends on your system library. Ptime_clock's optional JavaScript support
+depends on @code{js-of-ocaml}.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:13 2021
Received: from localhost ([127.0.0.1]:42442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9N-0002oK-Fa
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:13 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002i9-Hq
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id C1DC8240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061419; bh=BwK1kUVKcm4mzR3xxpf6F5iBPpIt66YyLq8nQYILfCw=;
 h=From:To:Cc:Subject:Date:From;
 b=gz8jm0P6rGjRJGpbP8EM+SDrKJ7bJxg7jGEAcZei12VzCMVoftNXffpPTbvNVNNU9
 FmOVw2OK234JGcTlVuNb17J/5PaKv+t1pbJx8AYM+47R33Ye7Glra66M2xtCEYS1fW
 kawtUWHHPKNWsQQ2xAW4WFSMQcDjJXkUXPJfXV/RrnaO2eC73V+8emOUfeqAV4+2Fc
 5IPGL0tJcsqytyQK9+DxHfwnDDmYLRt6E9rsYuKxTf5CBiSajPrgBSH5hDC+kSQqGf
 gcApF9tcJO5maefGcBjOCgx368PSGCakbJVO70fBP9B4xiJmuBMhXLL10dQVlSxCxq
 pcF7aS0Jou4hw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjR24P1z6tmF;
 Wed,  4 Aug 2021 09:16:59 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 22/29] gnu: Add ocaml-cstruct-unix.
Date: Wed,  4 Aug 2021 07:15:38 +0000
Message-Id: <20210804071545.21181-22-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cstruct-unix): New variable.
---
 gnu/packages/ocaml.scm | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 6effe1ff12..a9a4c8a684 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -3412,6 +3412,22 @@ to access C-like structures directly from OCaml.  It supports both reading and
 writing to these structures, and they are accessed via the Bigarray module.")
     (license license:isc)))
 
+(define-public ocaml-cstruct-unix
+  (package
+    (inherit ocaml-cstruct)
+    (name "ocaml-cstruct-unix")
+    (build-system dune-build-system)
+    (arguments
+     `(#:package "cstruct-unix"
+       #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "Unix variation of the @code{ocaml-cstruct} library for accessing C-like structures directly from OCaml")
+    (description "Cstruct is a library and syntax extension to make it easier to access C-like
+structures directly from OCaml. It supports both reading and writing to these
+structures, and they are accessed via the `Bigarray` module.")
+    (license license:isc)))
+
 (define-public ocaml-hex
   (package
     (name "ocaml-hex")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:13 2021
Received: from localhost ([127.0.0.1]:42439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9N-0002o7-5q
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:13 -0400
Received: from mout01.posteo.de ([185.67.36.65]:42141)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002iX-Kb
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 99CE2240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061414; bh=WG3cKeWDjGAfCj4WqF25tNYZf3083csi6Ds3zDNRsYY=;
 h=From:To:Cc:Subject:Date:From;
 b=R3R9LUhd9l/qFtXplfHYZGRQdRf4glDvGFIMnEVSEu1YqJT9wZ+wZ7f334XSB803m
 xw8FYJNXGnuGQ2eBxmhzHH5/TJW2Ut1HiaayIkkj3Ev00W3TA+jZMDehoEb6W9Qr6a
 BSvN/B2lGLW3Ifymyi5yi3tN5owKZcQsn9BHosOQujS6q/Du3an7rbQz1NQO9ap2Sx
 Iw5ThcDHsMHkF1xUGdcZQHXuA9vQkWewACyk71LzymG1Lt8EtghDvvsp9aXWn897ZN
 yUk9OkBtkxnEEkgUuqvdvquMnZ2PQotgVeZvnm43eZN4PbUZcpbKj4IaoUR2rybCkD
 Ll7/ufPKxL0/A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjL0ntRz6tmF;
 Wed,  4 Aug 2021 09:16:54 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 12/29] gnu: Add ocaml-randomconv.
Date: Wed,  4 Aug 2021 07:15:28 +0000
Message-Id: <20210804071545.21181-12-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-randomconv): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 11458d0039..f7956fe216 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7417,6 +7417,31 @@ time duration as an usigned 64 bit integer.  This can be used for conversions
 between various time units.")
     (license license:isc)))
 
+(define-public ocaml-randomconv
+  (package
+    (name "ocaml-randomconv")
+    (version "0.1.3")
+    (home-page "https://github.com/hannesm/randomconv")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0pzq2zqz5bpy2snsvmn82hg79wfd0lmbbbhmhdvc8k20km86jqy7"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "OCaml library for converting random byte vectors to random numer")
+    (description
+     "This Ocaml library provides functions for converting random byte vectors
+as (C-like structures using @code{ocaml-cstruct}) to OCaml native numbers.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:13 2021
Received: from localhost ([127.0.0.1]:42436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9M-0002nu-PM
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:13 -0400
Received: from mout01.posteo.de ([185.67.36.65]:33265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002ia-KZ
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A8A32240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061416; bh=oCKZEt2spdiXv77NtoxlryopTFP3p7x0ah8lcFQOq54=;
 h=From:To:Cc:Subject:Date:From;
 b=oaDOEK1XY2dRgLZMPTgM6ZrQ3yzOM6Bu5U2GpMiZQVELxZcu5HJ0ecvUgzyqJ7jNn
 iF7EKFTnfVX70Qjv5YwnU2priZuYhSmGHOHZXAADFOwJIflojGuTKJSEFflowW0RTW
 X6af5vIS04eRDo5QaV/CVK3BuiI9u8MNMSEeONgjvGC008QrhW9IvnSQCWExcJA4i5
 B9heZXfk6GCfMuVZKEDF4QzFn3Ky4CAyhcCEgAyaGHbKBB5udLwESVRlHcer+pLAhk
 B/Ye4SmFayURVERtxq8MXNQ4FP25QxkaHbwtqvsoy/5mFFQIa2Ly99ESvu0uvOOaF6
 cAuax/esO0qXg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjN1Hlgz6tmF;
 Wed,  4 Aug 2021 09:16:56 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 16/29] gnu: Add ocaml-asn1-combinators.
Date: Wed,  4 Aug 2021 07:15:32 +0000
Message-Id: <20210804071545.21181-16-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-asn1-combinators): New variable.
---
 gnu/packages/ocaml.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index ab385eb26f..3c8d6fb5df 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7529,6 +7529,41 @@ depends on your system library. Ptime_clock's optional JavaScript support
 depends on @code{js-of-ocaml}.")
     (license license:isc)))
 
+(define-public ocaml-asn1-combinators
+  (package
+    (name "ocaml-asn1-combinators")
+    (version "0.2.5")
+    (home-page "https://github.com/mirleft/ocaml-asn1-combinators")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0n7afzyqc3b7g7rl54ccw31431h6g145zvpzg34q0y4m5gzjv5h5"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-zarith" ,ocaml-zarith)
+       ("ocaml-bigarray-compat" ,ocaml-bigarray-compat)
+       ("ocaml-stdlib-shims" ,ocaml-stdlib-shims)
+       ("ocaml-ptime" ,ocaml-ptime)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (inputs `(("gmp" ,gmp)))
+    (synopsis "OCaml library for embedding typed ASN.1 grammars")
+    (description "@{ocaml-asn1-combinators} is an OCaml library for expressing
+ASN.1 in OCaml.  This allows you to skip the notation part of ASN.1, and embed
+the abstract syntax directly in the language.  These abstract syntax
+representations can be used for parsing, serialization, or random testing.
+
+The only ASN.1 encodings currently supported are BER and DER.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:12 2021
Received: from localhost ([127.0.0.1]:42433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9M-0002nh-9b
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:12 -0400
Received: from mout01.posteo.de ([185.67.36.65]:43989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002iY-Kb
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A0BEA240029
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061415; bh=JgrbEuD1FpXB5bXltxZZLPEt1R332EO2GZqf8lxqEYA=;
 h=From:To:Cc:Subject:Date:From;
 b=WljxamtJiUOxMMHPVnq0VnLO3sB2Zl3WQuTOF038pfrw1v18Cp0+DTEFxYiH6XQ7O
 JXCjVh1q567ihH2NKtAVYLfjhSYad6hKHXmRMafGUxUQ9YH802JPawC/rFez8zR7OP
 IRk/TT1VAXfE6NaothJKYcrQtO+YDkKZilHX+ZsLCPIpPkq/zv35DxFmjzN6TVv0d0
 icqVx61r9b2P1L+kfFhHy6VNhLGILzQPi4koMBOhk5uZ1Spb39wSpuAJGtgUDF0w2I
 GlQ09XJSw2j0ik8wLgAbRFCln40HwsjweX+QkOnVuHk8Qm402LFyqWD6wCKeAUT4Du
 +kLFnqzSwMWyA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjM15HDz6tmF;
 Wed,  4 Aug 2021 09:16:55 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 14/29] gnu: Add ocaml-mirage-crypto-pk.
Date: Wed,  4 Aug 2021 07:15:30 +0000
Message-Id: <20210804071545.21181-14-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto-pk): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 6af9bedc65..a34c844059 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7462,6 +7462,31 @@ as (C-like structures using @code{ocaml-cstruct}) to OCaml native numbers.")
     (description "@code{ocaml-mirage-crypto-rng} provides an OCaml random
 number generator interface, and implementations.")))
 
+(define-public ocaml-mirage-crypto-pk
+  (package
+    (inherit ocaml-mirage-crypto)
+    (name  "ocaml-mirage-crypto-pk")
+    (arguments `(#:package "mirage-crypto-pk"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mirage-crypto-rng" ,ocaml-mirage-crypto-rng)
+       ("ocaml-mtime" ,ocaml-mtime)
+       ("ocaml-sexplib" ,ocaml-sexplib)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-zarith" ,ocaml-zarith)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-rresult" ,ocaml-rresult)))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-randomconv" ,ocaml-randomconv)))
+    (inputs `(("gmp" ,gmp)))
+    (synopsis "OCaml library providing public-key cryptography")
+    (description "@code{ocaml-mirage-crypto-pk} provides public-key
+cryptography (RSA, DSA, DH) for OCaml.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:12 2021
Received: from localhost ([127.0.0.1]:42431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9L-0002nb-Sp
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:12 -0400
Received: from mout01.posteo.de ([185.67.36.65]:41569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002iJ-7G
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1EB8B240029
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061414; bh=Y5hfu4YKqALL5qNUQKKwPyEC9Onw5Q8CdhIXL7CYClI=;
 h=From:To:Cc:Subject:Date:From;
 b=Kp05hk0kx7AkxkKSFiwT3FxvUwhYBENy4C7pY8EyhunGobo/9q+iNJjaUVSL9v+BH
 QmZ/IJ+3f3KiVqUkPdPgvKjgYFSszpojqXVBAroPwj3gE0vLI8SzRJykTOtw2e4zKx
 mfAz+A5ge4CvLMRnVqloMoxXvgHx1vZBZDHM6zjP8fmfTiqXsWxCI5Xh4fRianSz1C
 spvzcxiecIRQ7cnCn9L3hFhnGA/Pwzva6vOezJwnEc/Y2MBBKDaVEfGqDUyXSMa4Q3
 t/EpQeAT1yorm1/28VN613NPkm6fCHg7bm7Yj2QprECkiUb+F/YNeCJeM4P3wv5NoR
 VqKs9MBEu7b+Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjK4VMHz6tmF;
 Wed,  4 Aug 2021 09:16:53 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 11/29] gnu: Add ocaml-duration.
Date: Wed,  4 Aug 2021 07:15:27 +0000
Message-Id: <20210804071545.21181-11-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-duration): New variable.
---
 gnu/packages/ocaml.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index aa1129e5f3..11458d0039 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7392,6 +7392,31 @@ RC4, ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).  This library can be
 used from MirageOS unikernels.")
     (license license:isc)))
 
+(define-public ocaml-duration
+  (package
+    (name "ocaml-duration")
+    (version "0.1.3")
+    (home-page "https://github.com/hannesm/duration")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0ka4cv9581iaa6q1k02ddrpz7f53k3wk7rpq43j1lrdm4vl2jk4w"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library providing conversions between various time units")
+    (description "This OCaml library provides functions for representing a
+time duration as an usigned 64 bit integer.  This can be used for conversions
+between various time units.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:10 2021
Received: from localhost ([127.0.0.1]:42424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9K-0002ms-7j
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:10 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002i8-Eu
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 24AAE240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061419; bh=G2HxbQhRpAAjyYcmrZGkCwj4HQyE0ae4cAvNI3JLoaY=;
 h=From:To:Cc:Subject:Date:From;
 b=giFl1XMQfSmkEos9+tM8vMoe1UtJBFMhlLdbrE5b023K0f77GrRuuupU9BNZXzc2D
 7pVMIXk+sNrwoSiK82GJDnIpNuxOI8fiKDAt+WZnElvOxAaUccS1XPljuEG3mSS3+a
 jc8+D5B0TLMxpFR1QpuL3vbyF60vQKgDyXBayHs6z77eNztNgnGTQs7PmMKoVCXYLi
 d933bqubV/V92IEfatBCvymEjf1ugzBtmXiT0FNxlQJixaBjk1uDyKiozH+k1Kz0Vg
 wyTfOpjZuyHcVKQTKY94/Z2ZpBMChOLoAI505peXZudhBHxFk5Kqx8BqcBnOrJ2C51
 jrQzsyGrpXsUg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjQ4dg4z6tmF;
 Wed,  4 Aug 2021 09:16:58 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 21/29] gnu: Add ocaml-pbkdf.
Date: Wed,  4 Aug 2021 07:15:37 +0000
Message-Id: <20210804071545.21181-21-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-pbkdf): New variable.
---
 gnu/packages/ocaml.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index e520151adf..6effe1ff12 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7684,6 +7684,32 @@ Algebraic Data Type")
 to create a type-safe heterogenous maps.")
     (license license:isc)))
 
+(define-public ocaml-pbkdf
+  (package
+    (name "ocaml-pbkdf")
+    (version "1.1.0")
+    (home-page "https://github.com/abeaumont/ocaml-pbkdf")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0scq1i7hiy8dgjdfrcaca3k7wzys35k1g2cdg7v4kfdqr6q1scb3"))))
+    (build-system dune-build-system)
+    (propagated-inputs
+     `(("ocaml-mirage-crypto" ,ocaml-mirage-crypto)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library for password based key derivation functions
+(PBKDF) from PKCS#5")
+    (description "An OCaml implementation of PBKDF 1 and 2 as defined by
+PKCS#5 using @code{ocaml-mirage-crypto}.")
+    (license license:bsd-2)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:10 2021
Received: from localhost ([127.0.0.1]:42419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9J-0002mR-31
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:10 -0400
Received: from mout01.posteo.de ([185.67.36.65]:57071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9D-0002iI-7H
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 9E892240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061413; bh=sJVnE9XwfEC3fy4Aq6VK9A78gtmmqJkIgM0zQZIJV/k=;
 h=From:To:Cc:Subject:Date:From;
 b=WxlSjCPTFvgBrUhGBbtcZGk1vcelZFCPjFwznGe214A211aI0XuK7HlK2Gu4LhpLF
 8KfLBEW7fPrmfjOyRaTqWlfCEb5exapeUwFtxukkEyxwKAq4p3lZ4fXxL7qacu/nlZ
 IuAyc5qTWmsR8rEisQkySuh446NfXmzLAvpqczoFT5mOLOapOzBvuXnPjO2g0cjo/t
 yibbivRz/DTof95Dz4OsPXprao16aMKkohG/DZHSo7AXcehX1NvUFwh4KRdKrGdSFi
 3mdv5K9aplRZP6XAxFCAVEJ+vA1TZP8KDdtlE3ofqlqvXIfGST7CeD8hf7j1GP3SzY
 ueu8rA9Pho98g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjK11nyz6tmF;
 Wed,  4 Aug 2021 09:16:53 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 10/29] gnu: Add ocaml-mirage-crypto.
Date: Wed,  4 Aug 2021 07:15:26 +0000
Message-Id: <20210804071545.21181-10-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto): New variable.
---
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 04240b560b..aa1129e5f3 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7361,6 +7361,37 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 constant-time to avoid timing-attack with crypto stuff.")
     (license license:expat)))
 
+(define-public ocaml-mirage-crypto
+  (package
+    (name "ocaml-mirage-crypto")
+    (version "0.10.3")
+    (home-page "https://github.com/mirage/mirage-crypto")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0j7x07c8xy8bmqp9ad1cib6j69dy7acjg9m1d7pn0dnmbkrl8fiz"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "mirage-crypto"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-eqaf" ,ocaml-eqaf)
+       ("ocaml-bigarray-compat" ,ocaml-bigarray-compat)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml library provding cryptographic primitives")
+    (description "This OCaml library provides symmetric ciphers (DES, AES,
+RC4, ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).  This library can be
+used from MirageOS unikernels.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:09 2021
Received: from localhost ([127.0.0.1]:42413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9I-0002mD-Bv
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:09 -0400
Received: from mout02.posteo.de ([185.67.36.66]:49711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9C-0002iB-RY
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 38613240103
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061417; bh=17xFEJVmqmytGdpVKLJ4ADHBAacwANx+UWKRJmAI9O0=;
 h=From:To:Cc:Subject:Date:From;
 b=SEKPydGwNEPsmvODpYp4YFQUwy1rrkSyR6rEnTDg4nSPmmyt4aq7ijw+sqU8XozoO
 5ajMPu11GWqbCdZ6JaDwI5+EYugphsPiP7lUsqgc/OFyQQj6L/6xQk9xFV+IK80jf3
 7+xK2v/X94f+BPWHLo4nVqMXpq/I9tyvSNgVNp/Hzfj5RFPyo85FT1BdbDTJ4N3mR8
 0siLXEXD1NnRnKiscMrJ+vxYqkiStzsO5dB12hRLmkmBgg13u334xGIokCXo82BAV2
 qIsd0vnU5SScAxK9zO6Ri9RlnQc3CirDs4g5o8y+LHcjMNwi2whvCfda/2SkEPxlfR
 XoX3Ox5tcZZqw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjN4n3Hz6tmF;
 Wed,  4 Aug 2021 09:16:56 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 17/29] gnu: Add ocaml-ppx-deriving.
Date: Wed,  4 Aug 2021 07:15:33 +0000
Message-Id: <20210804071545.21181-17-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
---
 gnu/packages/ocaml.scm | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 3c8d6fb5df..f385aa2a94 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -4528,7 +4528,38 @@ speedup, polymorphic variants and optional syntax for tuples and variants.
 yojson package.  The program @code{atdgen} can be used to derive OCaml-JSON
 serializers and deserializers from type definitions.")
     (license license:bsd-3)))
- 
+
+(define-public ocaml-ppx-deriving
+  (package
+    (name "ocaml-ppx-deriving")
+    (version "5.2.1")
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1wqcnw4wi6pfjjhixpakckm03dpj990259za432804471a6spm2j"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-derivers" ,ocaml-ppx-derivers)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)
+       ("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocaml-cppo" ,ocaml-cppo)
+       ("ocaml-ounit2" ,ocaml-ounit2)))
+    (properties `((upstream-name . "ppx_deriving")))
+    (synopsis "Type-driven code generation for OCaml")
+    (description "This OCaml library provides common infrastructure for
+generating code based on type definitions, and a set of useful plugins for
+common tasks.")
+    (license license:expat)))
+
 (define-public ocaml-craml
   (package
     (name "ocaml-craml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:08 2021
Received: from localhost ([127.0.0.1]:42408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9H-0002lt-Md
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:08 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9C-0002i9-Kp
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:03 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 96F5A240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061412; bh=SaOLkmNhH2+5IJ/ZICopmefyOh5tDAkuswEHr6Hm1nQ=;
 h=From:To:Cc:Subject:Date:From;
 b=imAfvxicjr7ZTkRhOgpqiCcOS7kPYfG+UFGO3VamgIyDR4Ihb0eaunNNTOuLxEGrf
 5+kDgH4KZw0yqNsEg7V2i5rEahEQ4wzbbXWYwPGtxfMUGJ+Y/UJZyNxhSfC5og5t+a
 afs2mNOLJJj7IpyiwqolfYBievQMYbIlN0hqX4dtvgrwOBf5FtS4fkDiHYbY2qHG93
 7KgDHJtLfrWfeOAlns9hF51+FdI4MGlgILYTKuIpSu7ntwjOGe24rtVgEP2DEJMl0X
 xYZqOhz32CDIjKblFcrPpnyM7MR5ckc/W+YSztPHdk6iFtyYxNyILP8QpN0cQQ4kIC
 htfjguLt0C7Dw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjJ0lT1z6tmF;
 Wed,  4 Aug 2021 09:16:52 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 08/29] gnu: Add ocaml-conduit-lwt.
Date: Wed,  4 Aug 2021 07:15:24 +0000
Message-Id: <20210804071545.21181-8-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-conduit-lwt): New variable.
---
 gnu/packages/ocaml.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index f5723bdf09..c29a272214 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7310,6 +7310,24 @@ TCP and SSL/TLS connections.  This allows using the same type signatures
 regardless of the SSL library or platform being used.")
     (license license:isc)))
 
+(define-public ocaml-conduit-lwt
+  (package
+    (inherit ocaml-conduit)
+    (name "ocaml-conduit-lwt")
+    (arguments `(#:package "conduit-lwt"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-sexplib" ,ocaml-sexplib)
+       ("ocaml-conduit" ,ocaml-conduit)
+       ("ocaml-lwt" ,ocaml-lwt)))
+    (synopsis "OCaml library for establishing TCP and SSL/TLS connections
+using Lwt")
+    (description "This OCaml library provides the abstractions for
+establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
+@code{ocaml-lwt}.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:07 2021
Received: from localhost ([127.0.0.1]:42403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9G-0002lY-Tb
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:07 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9C-0002i8-Km
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:03 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1E98E240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061412; bh=ubERBhmXwfdqi+3gGsDPioPbUL//lZawzBUFTaq6fOs=;
 h=From:To:Cc:Subject:Date:From;
 b=Q6cuSD8kn4okUVwpg4SchBCj61zoicmwU/0vykDJy47HzkVpAZxDfR/K1MMMmOGLr
 oTC56+iCgYRmGDfLp8U3SE9yxcqjFGSkEA4jiR8nil9KyitjZ5/hX2r9OvQGElEvyV
 yjz6GNBNw5NUDU1RYYnAKTTt7pYoCh6nYPsH0+SEZ4w6J/nntdrHlfcOw4eHW1ZUXQ
 UrqmX9UXmasHIeJgTv7v83ivVn5wla6r8q71mG9LBtPCXtNnIR2dmWyWj24vqzDqvT
 SmyQzys2jFo0jPxpDsakaCzwZ6uDrEoI/0bP/whdpl8icuFlXXqA8JmjN/rJKbYnb9
 LMF7CtyRCnVwg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjH4LkJz6tmF;
 Wed,  4 Aug 2021 09:16:51 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 07/29] gnu: Add ocaml-conduit.
Date: Wed,  4 Aug 2021 07:15:23 +0000
Message-Id: <20210804071545.21181-7-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-conduit): New variable.
---
 gnu/packages/ocaml.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 7e3abcacb1..f5723bdf09 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7278,6 +7278,38 @@ C-like structures using the @code{ocaml-cstruct} library.")))
     (description "This OCaml library provides functions for manipulating as
 S-expressions using the @code{ocaml-sexp} library.")))
 
+(define-public ocaml-conduit
+  (package
+    (name "ocaml-conduit")
+    (version "4.0.0")
+    (home-page "https://github.com/mirage/ocaml-conduit")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0ipm6fkmvgsyfj5f5p057av8kykli5rh8qzw7ycdrakdk7gzvhi0"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "conduit"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-sexplib" ,ocaml-sexplib)
+       ("ocaml-astring" ,ocaml-astring)
+       ("ocaml-uri" ,ocaml-uri)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-ipaddr-sexp" ,ocaml-ipaddr-sexp)))
+    (synopsis "OCaml library for establishing TCP and SSL/TLS connections")
+    (description "This OCaml library provides an abstraction for establishing
+TCP and SSL/TLS connections.  This allows using the same type signatures
+regardless of the SSL library or platform being used.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:07 2021
Received: from localhost ([127.0.0.1]:42397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9E-0002kL-Bf
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:06 -0400
Received: from mout02.posteo.de ([185.67.36.66]:58197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB9A-0002hy-Qg
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:01 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 2B365240101
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061415; bh=Csi3DdX2dQmjyTBOW2xr9NaTvwyzG75HywqLUFaSfrQ=;
 h=From:To:Cc:Subject:Date:From;
 b=GtZTol3+meBBsmBPu3PPxhbmLHZtbeae0mMW9uJ6CDWvkVY19/lDYe3Y5/iUEC0km
 UaTfgAmtnatHq+yWrmf7jiOpZxWjzko4rzWQ6kCpGBU5hjfoUwE0UUCuGdjSN4yHxO
 aUwhhLl3W5+48VvhrtBVh/Ip2gKsYr/tQf72H2dky9cITdkiV7GmtloDtcW2ZwyAsV
 iC9FGir/uIfgN5YFbvkGuOtw7r43R4gOAM3LTaKF9AWusx9h6Zgx1kpNsJvsI2k7oh
 vXmASe/lR7CqfkGXfdzZxi8zq/xH7uIYLcw3iysvYiax0fjATurGzNYqhDX02/wG7Z
 tlS/XF4/eA/GQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjL4fYRz6tmF;
 Wed,  4 Aug 2021 09:16:54 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 13/29] gnu: Add ocaml-mirage-crypto-rng.
Date: Wed,  4 Aug 2021 07:15:29 +0000
Message-Id: <20210804071545.21181-13-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-mirage-crypto-rng): New variable.
---
 gnu/packages/ocaml.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index f7956fe216..6af9bedc65 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7442,6 +7442,26 @@ between various time units.")
 as (C-like structures using @code{ocaml-cstruct}) to OCaml native numbers.")
     (license license:isc)))
 
+(define-public ocaml-mirage-crypto-rng
+  (package
+    (inherit ocaml-mirage-crypto)
+    (name  "ocaml-mirage-crypto-rng")
+    (arguments `(#:package "mirage-crypto-rng"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-duration" ,ocaml-duration)
+       ("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-mirage-crypto" ,ocaml-mirage-crypto)
+       ("ocaml-mtime" ,ocaml-mtime)
+       ("ocaml-lwt" ,ocaml-lwt)))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-randomconv" ,ocaml-randomconv)))
+    (synopsis "OCaml library providing a cryptographically secure pseudorandom number generator")
+    (description "@code{ocaml-mirage-crypto-rng} provides an OCaml random
+number generator interface, and implementations.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:04 2021
Received: from localhost ([127.0.0.1]:42380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9D-0002k0-DW
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:04 -0400
Received: from mout02.posteo.de ([185.67.36.66]:34353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB98-0002hv-QI
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:59 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 2B01C240101
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061413; bh=eqxM77Rt46bcoBfAqNWyi9wZJi39EHO7tvVr00rCJcQ=;
 h=From:To:Cc:Subject:Date:From;
 b=rVTKVj+aOg6rMRjCcHRWpCb2k1vmWPYvtIAFyWjGD4EHTx0K5jTA0IaUwGOMQ7tF3
 6nYRd1I4oPdo8WcOe7T8tm0kwdLwtVOQFBQ+7EXIhtPUEdBCe/7Sb7DXcVO4jrIs/Y
 VznQF5ztTF2zlKWAmkcXJJzzX98eFrBXtt4DHWgtCh4H2AF2JQCTZ3eMNHAXiNeOxd
 /SKqG9YZRGMsRSELMvYFoXvKnbdc8eUYHiEUTZrc/yJ9IzTE3G9lR42zWU835NxgiK
 BEQmCAGb/kb+vRy5AyYp9kAAgQcywO5w/5O3exEF4v6xwO/eHniDyl+0GZl7XFow28
 0HECSrcynwBrA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjJ4f0tz6tmF;
 Wed,  4 Aug 2021 09:16:52 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 09/29] gnu: Add ocaml-eqaf.
Date: Wed,  4 Aug 2021 07:15:25 +0000
Message-Id: <20210804071545.21181-9-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-eqaf): New variable.
---
 gnu/packages/ocaml.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index c29a272214..04240b560b 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7328,6 +7328,39 @@ establishing TCP and SSL/TLS connections from @code{ocaml-conduit} using
 @code{ocaml-lwt}.")
     (license license:isc)))
 
+(define-public ocaml-eqaf
+  (package
+    (name "ocaml-eqaf")
+    (version "0.7")
+    (home-page "https://github.com/mirage/eqaf")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "06hsnnjax1kb3qsi3cj0nyyz8c2hj2gbw3h517gpjinpnwy2fr85"))))
+    (build-system dune-build-system)
+    (arguments
+     ;; Tests require ocaml-crowbar which depends on
+     ;; ocaml-afl-persistent. ocaml-afl-persistent uses a non-standard build system
+     ;; and I have not yet managed to build it with Guix. There is an on-going effort
+     ;; to port the build system to dune
+     ;; (https://github.com/stedolan/ocaml-afl-persistent/pull/7). With that it should
+     ;; be easy to add ocaml-afl-persistent and ocaml-crowbar and enable these tests.
+     `(#:tests? #f))
+    (propagated-inputs
+     ;; required to build the eqaf.cstruct library (see https://github.com/mirage/eqaf/pull/27)
+     `(("ocaml-bigarray-compat" ,ocaml-bigarray-compat)
+       ("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "OCaml library for constant-time equal function on string")
+    (description "This OCaml library provides an equal function on string in
+constant-time to avoid timing-attack with crypto stuff.")
+    (license license:expat)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:00 2021
Received: from localhost ([127.0.0.1]:42364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB9A-0002j8-2N
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:00 -0400
Received: from mout01.posteo.de ([185.67.36.65]:35357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB95-0002hf-Q8
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0E881240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:50 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061410; bh=BJOi9giDAjEhCqrmKBYI8d6UJ76BnAik0A4zn2l0EpE=;
 h=From:To:Cc:Subject:Date:From;
 b=i3MgOMJy53vf+prq7tzRCRK0bbw3bQb2+2wKPWPK93e/FT2QLhk3WBDu4T3gzybZ6
 U1Y5eVJNSoDBsDtp4CEKDN3iOirGRZ4r6RQ50vTwCnkaqYYtXaS2G7j45sgmZG8NJF
 63gugyBITkPcCqwWVfW9x3wgN0XgxIQA1svyN8iHduE1qSqrev32FaEN1jo3Ojq2cj
 FhWeGEptrgP76avGxnHs8C4XZh/eV69LFcnCvbZvQ0pw+aFcwA+GKPxLiANLJyuuYe
 XrF5qaa7bTR/mF5yW2oA2AUnNRaJaoqfQHF1+gvGySl49PL/9nctxrkWAoAkqfHWRf
 WctlCvEwZy9TQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjF3wh1z6tmF;
 Wed,  4 Aug 2021 09:16:49 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 03/29] gnu: Add ocaml-macaddr.
Date: Wed,  4 Aug 2021 07:15:19 +0000
Message-Id: <20210804071545.21181-3-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-macaddr): New variable.
---
 gnu/packages/ocaml.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 7acc3bcf6d..46adb95b93 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7201,6 +7201,34 @@ comparing domain names or checking if one domain name is a sub-domain of
 another.")
     (license license:isc)))
 
+(define-public ocaml-macaddr
+  (package
+    (name "ocaml-macaddr")
+    (version "5.1.0")
+    (home-page "https://github.com/mirage/ocaml-ipaddr")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "02pan5b8s4j5r68znjdb5mln3nffccdfsh4rw71x31b6qsrlqzgg"))))
+    (build-system dune-build-system)
+    (arguments `(#:package "macaddr"
+                 #:test-target "."))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-domain-name" ,ocaml-domain-name)
+       ("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)))
+    (synopsis "OCaml library for manipulation of MAC address representations")
+    (description "This OCaml library provides functions for manipulating MAC
+address representations.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:17:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:17:00 2021
Received: from localhost ([127.0.0.1]:42362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB99-0002j1-SB
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:17:00 -0400
Received: from mout01.posteo.de ([185.67.36.65]:52123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB96-0002hq-Il
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 140DB240029
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061411; bh=Q4J2esoqc6Dtf07JSn4hmlmDZVQsqFH3WWLnFs9rGj4=;
 h=From:To:Cc:Subject:Date:From;
 b=dsyUwEi2/pLHVCL6Ltra8OeTidgT3u8z1f+iCSp35dhfWJ0nsJHqiH0fe5TPL/W+d
 a1LLBa59VUYhxli0ujABZWft322IzorbAPF8R66kDYWgBTNWQvlZowNAlMQLjcP5KG
 Jbc+0kXTls+U2gHXz+VjjcbX8+yxkblH24jG8ZoFeaJ5Vx48cbsMuxSENM89ICtoFP
 WJA14Bs7eUACHiHmbApleY9GPZ921g5QT3eqyGRa61meZ7GTf26wBuAJurZ1qY/RTN
 2yE0W3mQsryO0PaIeroXzUllOyd5j4D8L4FQ0Xv5N9lR9mne6tF1/vmLMwALsnNvuV
 /7jWtp37OHSug==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjG48Hbz6tmF;
 Wed,  4 Aug 2021 09:16:50 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 05/29] gnu: Add ocaml-ipaddr-cstruct.
Date: Wed,  4 Aug 2021 07:15:21 +0000
Message-Id: <20210804071545.21181-5-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ipaddr-cstruct): New variable.
---
 gnu/packages/ocaml.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 08c45f46a7..668299e89c 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7248,6 +7248,19 @@ address representations.")
 address representations.  It supports IPv4 and IPv6.")
     (license license:isc)))
 
+(define-public ocaml-ipaddr-cstruct
+  (package
+    (inherit ocaml-macaddr)
+    (name "ocaml-ipaddr-cstruct")
+    (arguments `(#:package "ipaddr-cstruct"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-cstruct" ,ocaml-cstruct)))
+    (synopsis "OCaml library for manipulation of IP addresses as C-like structres")
+    (description "This OCaml library provides functions for manipulating as
+C-like structures using the @code{ocaml-cstruct} library.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:16:59 2021
Received: from localhost ([127.0.0.1]:42360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB99-0002iu-L0
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:59 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB97-0002hr-3h
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 92C86240026
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061411; bh=EQzHTLdphDdHG+0lIBA0OqLQd4FtJ0f/219od/GnrN4=;
 h=From:To:Cc:Subject:Date:From;
 b=f/Ws8bshFAfOm8xx6XXAMziQfFu7qcDyb1MrGTL/4u0IfilgI0aVjp2ABIc/KLDdd
 YfBhkPpdlq0EkH4HEd7cOFcVWdHRhdShbw7OoeiAjPHbJUtb58UTXGAVeFIGcQQhoI
 2JkUaxvDXEyApq37Gr6XAXXPLhHh7fBsH5ZoQ63FUMgJlyQbqipEd4vanoPW/0ePJ0
 SLEZSaNSXhyg8tfODIld1olxc2QO39QejJ3pGOJUkzKGbvRl1nWG4Y+wTgK4MvOk3y
 QiQ26beSIKVFzATVSLK+H5A68EbnXrWkSdAvZSnUx+lTmAwznVV+NlyV4u/F7VhMam
 O8/ydOgAGh9iA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjH0Zk1z6tmJ;
 Wed,  4 Aug 2021 09:16:51 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 06/29] gnu: Add ocaml-ipaddr-sexp.
Date: Wed,  4 Aug 2021 07:15:22 +0000
Message-Id: <20210804071545.21181-6-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ipaddr-sexp): New variable.
---
 gnu/packages/ocaml.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 668299e89c..7e3abcacb1 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7261,6 +7261,23 @@ address representations.  It supports IPv4 and IPv6.")
     (description "This OCaml library provides functions for manipulating as
 C-like structures using the @code{ocaml-cstruct} library.")))
 
+(define-public ocaml-ipaddr-sexp
+  (package
+    (inherit ocaml-macaddr)
+    (name "ocaml-ipaddr-sexp")
+    (arguments `(#:package "ipaddr-sexp"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ipaddr" ,ocaml-ipaddr)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-sexplib0" ,ocaml-sexplib0)))
+    (native-inputs
+     `(("ocaml-ipaddr-cstruct" ,ocaml-ipaddr-cstruct)
+       ("ocaml-ounit" ,ocaml-ounit)))
+    (synopsis "OCaml library for manipulation of IP addresses as S-expressions")
+    (description "This OCaml library provides functions for manipulating as
+S-expressions using the @code{ocaml-sexp} library.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:16:59 2021
Received: from localhost ([127.0.0.1]:42358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB99-0002is-Ck
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:59 -0400
Received: from mout01.posteo.de ([185.67.36.65]:50419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB96-0002hh-2b
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:57 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 852CD240027
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:50 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061410; bh=DboyIn5qN1FblLaFAR51T97fPX9aKvbTyjkayus3oww=;
 h=From:To:Cc:Subject:Date:From;
 b=GJ0u8taCdvIOFRU1bryWstnaXitIhWOn2PnnEIfcqbyaPVaMQCC8Y+ePAgYT3xZwk
 Md7T5+HbHC0agOQWfQzXNRbhHz7HJNICjM0fcq+9cLRlU1yawus5kA+qjiJZj+LIe2
 7f8QKV8sUqcAiAwIimURBEHWrZcAgJQeMGRg47jCt9mITn61Ykg70/gfbAdLS0yfFO
 xsPXq0br8DcTrBlJW8pWlHOsyK2z4NsAMk+jX9EdDEC76Q2I99/iQU9LpFp66RJhhh
 M9KL2CAcd2kd1gWFzgy7enWqet4/4pYCnmi0BJi/6zZIFOe3XLNEJhqE1EwgHLRpy3
 tRoHj2UeJ0acA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjG0DJqz6tmF;
 Wed,  4 Aug 2021 09:16:49 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 04/29] gnu: Add ocaml-ipaddr.
Date: Wed,  4 Aug 2021 07:15:20 +0000
Message-Id: <20210804071545.21181-4-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-ipaddr): New variable.
---
 gnu/packages/ocaml.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 46adb95b93..08c45f46a7 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7229,6 +7229,25 @@ another.")
 address representations.")
     (license license:isc)))
 
+(define-public ocaml-ipaddr
+  (package
+    (inherit ocaml-macaddr)
+    (name "ocaml-ipaddr")
+    (arguments `(#:package "ipaddr"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-macaddr" ,ocaml-macaddr)
+       ("ocaml-stdlib-shims" ,ocaml-stdlib-shims)
+       ("ocaml-cstruct" ,ocaml-cstruct)
+       ("ocaml-domain-name" ,ocaml-domain-name)))
+    (native-inputs
+     `(("ocaml-ounit" ,ocaml-ounit)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)))
+    (synopsis "OCaml library for manipulation of IP address representations")
+    (description "This OCaml library provides functions for manipulating IP
+address representations.  It supports IPv4 and IPv6.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:16:58 2021
Received: from localhost ([127.0.0.1]:42354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB98-0002iK-1a
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:58 -0400
Received: from mout01.posteo.de ([185.67.36.65]:39421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB95-0002hd-Pm
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:57 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id C45B9240029
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061409; bh=DEY1HT4z/4IzDWTxbZ2xyJq8c2EMpOF+wXJwFa7bsW4=;
 h=From:To:Cc:Subject:Date:From;
 b=T47Kzn4tsMAdhWEZtFw/jLZyb10/KTLmtYry+UQHdjpp4YrTcDKbI5iMrPQCDRUmP
 qdieWU+1HxxERMQH5V/6Om/OJfnMEiA3xUqgkV/gCP8xxBOiNNVB3+NSO2HzY7gZMp
 S3IZ4NmXnoiJjbJWhuhMNTI1zhp9mN6UxvNb1KZINj6uy919OHNB62A5Y7fsibqAn7
 FQK1q08Sz4znvkx5Wu3QK/Zb9JfloJI8QCaqvx23GwSKl63HPnHbN8m7MGtrqinV3U
 EmHQTUi4NGClj2BIOLVdCpCrN5iN6DkHzlinF9nPqpKOnNGibjxPxsAWyoZ7lD1ijV
 xGukhDnKjY2cw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4GfjjF0Mhwz6tmF;
 Wed,  4 Aug 2021 09:16:49 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 02/29] gnu: Add ocaml-domain-name.
Date: Wed,  4 Aug 2021 07:15:18 +0000
Message-Id: <20210804071545.21181-2-pukkamustard@HIDDEN>
In-Reply-To: <20210804071545.21181-1-pukkamustard@HIDDEN>
References: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-domain-name): New variable.
---
 gnu/packages/ocaml.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index a33ae85c3a..7acc3bcf6d 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7172,6 +7172,35 @@ JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
 version of the library.  All of these implementations share the same IO logic
 from this module.")))
 
+(define-public ocaml-domain-name
+  (package
+    (name "ocaml-domain-name")
+    (version "0.3.0")
+    (home-page "https://github.com/hannesm/domain-name")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "06l82k27wa446k0sd799i73rrqwwmqfm542blkx6bbm2xpxaz2cm"))))
+    (build-system dune-build-system)
+    (arguments `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-fmt" ,ocaml-fmt)
+       ("ocaml-astring" ,ocaml-astring)))
+    (native-inputs
+     `(("ocaml-alcotest" ,ocaml-alcotest)))
+    (synopsis "OCaml library for RFC 1035 Internet domain names")
+    (description "This OCaml library provides functions for working with
+Internet domain names (RFC 1035).  For example, it provides functions for
+comparing domain names or checking if one domain name is a sub-domain of
+another.")
+    (license license:isc)))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at 49867 <at> debbugs.gnu.org:


Received: (at 49867) by debbugs.gnu.org; 4 Aug 2021 07:16:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:16:51 2021
Received: from localhost ([127.0.0.1]:42342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB90-0002hg-Nh
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:50 -0400
Received: from mout02.posteo.de ([185.67.36.66]:57923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB8y-0002hL-3c
 for 49867 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:16:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 8AC59240104
 for <49867 <at> debbugs.gnu.org>; Wed,  4 Aug 2021 09:16:41 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061401; bh=myaKgA7mb1bjlljxh0JtKEI8WrDkbE2dJ8Z6ZzOJ4qY=;
 h=From:To:Cc:Subject:Date:From;
 b=DUqPrhX+jheffTRG6TIESDhMH3UwKQwr1Q9p7jY6TAptcGH/Tv1P9yEBX539JpwJR
 L0nE7S5jw9UulunpHZdWHN0yKGrbuWEG4O90v1c/LVSaH4rQUHiUFR8iZlKSmoluFV
 atauR1sZ/bP8KwCILq+oI5q6p2pHK+hlW0SlJLwoHdyFx8x0v1CKHVqDGLhZ5hdJ0K
 lc4R6/VErlLGuzrsiungQHLT66AHwZPMboYymZ6XUfFD9EFKhSvB1Tr83y8TUi1C+x
 EOqyG6XeDdEM2ODiimgDwQ/3KZkT6kJsMnRNxX60jYg7Xm9WKAEVG3tEJ6PREsFkZs
 oR8O+j+dgSe1g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gfjj4564bz6tmF;
 Wed,  4 Aug 2021 09:16:40 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: 49867 <at> debbugs.gnu.org
Subject: [PATCH 01/29] gnu: Add ocaml-cohttp-lwt.
Date: Wed,  4 Aug 2021 07:15:17 +0000
Message-Id: <20210804071545.21181-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49867
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ocaml.scm (ocaml-cohttp-lwt): New variable.
---
 gnu/packages/ocaml.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index bf9242410d..a33ae85c3a 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -7148,6 +7148,30 @@ HTTP parser, and implementations using various asynchronous programming
 libraries.")
     (license license:isc)))
 
+(define-public ocaml-cohttp-lwt
+  (package
+    (inherit ocaml-cohttp)
+    (name "ocaml-cohttp-lwt")
+    (arguments `(#:package "cohttp-lwt"
+                 #:test-target "."))
+    (propagated-inputs
+     `(("ocaml-cohttp" ,ocaml-cohttp)
+       ("ocaml-lwt" ,ocaml-lwt)
+       ("ocaml-sexplib0" ,ocaml-sexplib0)
+       ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
+       ("ocaml-logs" ,ocaml-logs)
+       ("ocaml-uri" ,ocaml-uri)))
+    (synopsis "OCaml library for HTTP clients and servers using the Lwt
+concurrency library")
+    (description "This is a portable implementation of HTTP that uses the Lwt
+concurrency library to multiplex IO.  It implements as much of the logic in an
+OS-independent way as possible, so that more specialised modules can be
+tailored for different targets.  For example, you can install
+@code{ocaml-cohttp-lwt-unix} or @code{ocaml-cohttp-lwt-jsoo} for a Unix or
+JavaScript backend, or @code{ocaml-cohttp-mirage} for the MirageOS unikernel
+version of the library.  All of these implementations share the same IO logic
+from this module.")))
+
 (define-public js-of-ocaml
   (package
     (name "js-of-ocaml")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Aug 2021 07:11:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:11:34 2021
Received: from localhost ([127.0.0.1]:42318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBB3u-0002Xr-AK
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:11:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:38724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mBB3s-0002Xh-Tm
 for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:11:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44896)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pukkamustard@HIDDEN>)
 id 1mBB3s-0000c7-Nj
 for guix-patches@HIDDEN; Wed, 04 Aug 2021 03:11:32 -0400
Received: from mout02.posteo.de ([185.67.36.66]:56945)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pukkamustard@HIDDEN>)
 id 1mBB3q-00085Q-2J
 for guix-patches@HIDDEN; Wed, 04 Aug 2021 03:11:32 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 84CE0240104
 for <guix-patches@HIDDEN>; Wed,  4 Aug 2021 09:11:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1628061086; bh=B42LYsTkwKyfE4rp0x2AixahFTQzFh7ZJ0ePgP0Ifo8=;
 h=From:To:Cc:Subject:Date:From;
 b=P1j5R2OHvjC5oORf0AyAH9Gg0i/bH1YVAnlxZJMKl0YqVZJpininufEXtGuyFmJZf
 wLfriHjEjodt9y5EXhmfGjlF8j0wVdSXKwJ+LmNxUPdjNipff59UR3Sv1RclJtQZJS
 eVsNLDsEU25RYlHN9sBvNkaIfb2A70kZpnSGzlZ+90RuFM1pd0vnovV2QDtmgCecDq
 Qilii0b4cWun4UAdXxU8lIcMKdli2MO1x9PgXR/JsB3FTbN2AWd55QA4gkmT34kj6M
 /3Vg57EGhiwQmsEBrGdXe/5n8+FUaaABthRlxgjfW3xj1Ba5y+/qchj0oNuHgsonjq
 sg67fiAVe2qzA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Gfjb15GKsz6tmH;
 Wed,  4 Aug 2021 09:11:25 +0200 (CEST)
From: pukkamustard <pukkamustard@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 00/29] gnu: Add ocaml-cohttp-lwt-unix.
Date: Wed,  4 Aug 2021 07:10:15 +0000
Message-Id: <20210804071015.20848-1-pukkamustard@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.66;
 envelope-from=pukkamustard@HIDDEN; helo=mout02.posteo.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: pukkamustard <pukkamustard@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

These patches add ocaml-cohttp-lwt-unix - an OCaml HTTP library - and dependencies.

Some known rough edges:

- ocaml-eqaf: Tests are disabled for now as I am not able to build ocaml-afl-persistent which is a dependency for ocaml-crowbar which is required to run ocaml-eqaf tests. There is ongoing work to port ocaml-afl-persistent to dune (https://github.com/stedolan/ocaml-afl-persistent/pull/7) with that it should be much easier to build it and enable tests for ocaml-eqaf.
- ocaml-mirage-crypto-ec: Contains generated code from Fiat-Crypto (https://github.com/mit-plv/fiat-crypto). It would be nicer to generate the C code from the Coq sources during Guix build, but that seems like a lot more work.
- ocaml-ca-certs: Tests requie access to `/etc/ssl/certs/*` which does not seem to be available during tests. Any ways to allow this in the test environment?
- ocaml-cohttp-lwt-unix: Seems to require network during tests. Can someone confirm this?

Thanks,
pukkamustard


pukkamustard (29):
  gnu: Add ocaml-cohttp-lwt.
  gnu: Add ocaml-domain-name.
  gnu: Add ocaml-macaddr.
  gnu: Add ocaml-ipaddr.
  gnu: Add ocaml-ipaddr-cstruct.
  gnu: Add ocaml-ipaddr-sexp.
  gnu: Add ocaml-conduit.
  gnu: Add ocaml-conduit-lwt.
  gnu: Add ocaml-eqaf.
  gnu: Add ocaml-mirage-crypto.
  gnu: Add ocaml-duration.
  gnu: Add ocaml-randomconv.
  gnu: Add ocaml-mirage-crypto-rng.
  gnu: Add ocaml-mirage-crypto-pk.
  gnu: Add ocaml-ptime.
  gnu: Add ocaml-asn1-combinators.
  gnu: Add ocaml-ppx-deriving.
  gnu: Add ocaml-ppx-deriving-yojson.
  gnu: Add ocaml-mirage-crypto-ec.
  gnu: Add ocaml-gmap.
  gnu: Add ocaml-pbkdf.
  gnu: Add ocaml-cstruct-unix.
  gnu: Add ocaml-x509.
  gnu: Add ocaml-ca-certs.
  gnu: Add ocaml-lwt-log.
  gnu: Add ocaml-lwt-ssl.
  gnu: Add ocaml-conduit-lwt-unix.
  gnu: Add ocaml-magic-mime.
  gnu: Add ocaml-cohttp-lwt-unix

 gnu/packages/ocaml.scm | 787 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 786 insertions(+), 1 deletion(-)

-- 
2.32.0





Acknowledgement sent to pukkamustard <pukkamustard@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49867; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Sep 2021 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.